## org.eclipse.xsd
Interface XSDPackage

All Superinterfaces:
  EModelElement, ENamedElement, EObject, EPackage, Notifier

All Known Implementing Classes:
  XSDPackageImpl

    public interface XSDPackage

extends EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each literal of each enum

See Also:
  `XSDFactory`

Nested Class Summary
`static interface` `XSDPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Field Summary
`static int` `DOM_ATTR` The meta object id for the 'DOM Attr' data type
`static int` `DOM_DOCUMENT` The meta object id for the 'DOM Document' data type
`static int` `DOM_ELEMENT` The meta object id for the 'DOM Element' data type
`static int` `DOM_NODE` The meta object id for the 'DOM Node' data type
`static java.lang.String` `eCONTENT_TYPE` The package content type ID
`static XSDPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `VALUE` The meta object id for the 'Value' data type
`static int` `XSD_ANNOTATION` The meta object id for the '`Annotation`' class
`static int` `XSD_ANNOTATION__APPLICATION_INFORMATION` The feature id for the 'Application Information' attribute list
`static int` `XSD_ANNOTATION__ATTRIBUTES` The feature id for the 'Attributes' attribute list
`static int` `XSD_ANNOTATION__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_ANNOTATION__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_ANNOTATION__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_ANNOTATION__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_ANNOTATION__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_ANNOTATION__USER_INFORMATION` The feature id for the 'User Information' attribute list
`static int` `XSD_ANNOTATION_FEATURE_COUNT` The number of structural features of the 'Annotation' class
`static int` `XSD_ATTRIBUTE_DECLARATION` The meta object id for the '`Attribute Declaration`' class
`static int` `XSD_ATTRIBUTE_DECLARATION__ALIAS_NAME` The feature id for the 'Alias Name' attribute
`static int` `XSD_ATTRIBUTE_DECLARATION__ALIAS_URI` The feature id for the 'Alias URI' attribute
`static int` `XSD_ATTRIBUTE_DECLARATION__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_ATTRIBUTE_DECLARATION__ANONYMOUS_TYPE_DEFINITION` The feature id for the 'Anonymous Type Definition' containment reference
`static int` `XSD_ATTRIBUTE_DECLARATION__ATTRIBUTE_DECLARATION_REFERENCE` The feature id for the 'Attribute Declaration Reference' attribute
`static int` `XSD_ATTRIBUTE_DECLARATION__CONSTRAINT` The feature id for the 'Constraint' attribute
`static int` `XSD_ATTRIBUTE_DECLARATION__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_ATTRIBUTE_DECLARATION__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_ATTRIBUTE_DECLARATION__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_ATTRIBUTE_DECLARATION__FEATURE_REFERENCE` The feature id for the 'Feature Reference' attribute
`static int` `XSD_ATTRIBUTE_DECLARATION__FORM` The feature id for the 'Form' attribute
`static int` `XSD_ATTRIBUTE_DECLARATION__GLOBAL` The feature id for the 'Global' attribute
`static int` `XSD_ATTRIBUTE_DECLARATION__LEXICAL_VALUE` The feature id for the 'Lexical Value' attribute
`static int` `XSD_ATTRIBUTE_DECLARATION__NAME` The feature id for the 'Name' attribute
`static int` `XSD_ATTRIBUTE_DECLARATION__QNAME` The feature id for the 'QName' attribute
`static int` `XSD_ATTRIBUTE_DECLARATION__RESOLVED_ATTRIBUTE_DECLARATION` The feature id for the 'Resolved Attribute Declaration' reference
`static int` `XSD_ATTRIBUTE_DECLARATION__RESOLVED_FEATURE` The feature id for the 'Resolved Feature' reference
`static int` `XSD_ATTRIBUTE_DECLARATION__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_ATTRIBUTE_DECLARATION__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_ATTRIBUTE_DECLARATION__SCOPE` The feature id for the 'Scope' reference
`static int` `XSD_ATTRIBUTE_DECLARATION__TARGET_NAMESPACE` The feature id for the 'Target Namespace' attribute
`static int` `XSD_ATTRIBUTE_DECLARATION__TYPE` The feature id for the 'Type' reference
`static int` `XSD_ATTRIBUTE_DECLARATION__TYPE_DEFINITION` The feature id for the 'Type Definition' reference
`static int` `XSD_ATTRIBUTE_DECLARATION__URI` The feature id for the 'URI' attribute
`static int` `XSD_ATTRIBUTE_DECLARATION__VALUE` The feature id for the 'Value' attribute
`static int` `XSD_ATTRIBUTE_DECLARATION_FEATURE_COUNT` The number of structural features of the 'Attribute Declaration' class
`static int` `XSD_ATTRIBUTE_GROUP_CONTENT` The meta object id for the '`Attribute Group Content`' class
`static int` `XSD_ATTRIBUTE_GROUP_CONTENT__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_ATTRIBUTE_GROUP_CONTENT__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_ATTRIBUTE_GROUP_CONTENT__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_ATTRIBUTE_GROUP_CONTENT__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_ATTRIBUTE_GROUP_CONTENT__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_ATTRIBUTE_GROUP_CONTENT_FEATURE_COUNT` The number of structural features of the 'Attribute Group Content' class
`static int` `XSD_ATTRIBUTE_GROUP_DEFINITION` The meta object id for the '`Attribute Group Definition`' class
`static int` `XSD_ATTRIBUTE_GROUP_DEFINITION__ALIAS_NAME` The feature id for the 'Alias Name' attribute
`static int` `XSD_ATTRIBUTE_GROUP_DEFINITION__ALIAS_URI` The feature id for the 'Alias URI' attribute
`static int` `XSD_ATTRIBUTE_GROUP_DEFINITION__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_ATTRIBUTE_GROUP_DEFINITION__ATTRIBUTE_GROUP_DEFINITION_REFERENCE` The feature id for the 'Attribute Group Definition Reference' attribute
`static int` `XSD_ATTRIBUTE_GROUP_DEFINITION__ATTRIBUTE_USES` The feature id for the 'Attribute Uses' reference list
`static int` `XSD_ATTRIBUTE_GROUP_DEFINITION__ATTRIBUTE_WILDCARD` The feature id for the 'Attribute Wildcard' reference
`static int` `XSD_ATTRIBUTE_GROUP_DEFINITION__ATTRIBUTE_WILDCARD_CONTENT` The feature id for the 'Attribute Wildcard Content' containment reference
`static int` `XSD_ATTRIBUTE_GROUP_DEFINITION__CIRCULAR` The feature id for the 'Circular' attribute
`static int` `XSD_ATTRIBUTE_GROUP_DEFINITION__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_ATTRIBUTE_GROUP_DEFINITION__CONTENTS` The feature id for the 'Contents' containment reference list
`static int` `XSD_ATTRIBUTE_GROUP_DEFINITION__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_ATTRIBUTE_GROUP_DEFINITION__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_ATTRIBUTE_GROUP_DEFINITION__NAME` The feature id for the 'Name' attribute
`static int` `XSD_ATTRIBUTE_GROUP_DEFINITION__QNAME` The feature id for the 'QName' attribute
`static int` `XSD_ATTRIBUTE_GROUP_DEFINITION__RESOLVED_ATTRIBUTE_GROUP_DEFINITION` The feature id for the 'Resolved Attribute Group Definition' reference
`static int` `XSD_ATTRIBUTE_GROUP_DEFINITION__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_ATTRIBUTE_GROUP_DEFINITION__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_ATTRIBUTE_GROUP_DEFINITION__SYNTHETIC_WILDCARD` The feature id for the 'Synthetic Wildcard' containment reference
`static int` `XSD_ATTRIBUTE_GROUP_DEFINITION__TARGET_NAMESPACE` The feature id for the 'Target Namespace' attribute
`static int` `XSD_ATTRIBUTE_GROUP_DEFINITION__URI` The feature id for the 'URI' attribute
`static int` `XSD_ATTRIBUTE_GROUP_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Attribute Group Definition' class
`static int` `XSD_ATTRIBUTE_USE` The meta object id for the '`Attribute Use`' class
`static int` `XSD_ATTRIBUTE_USE__ATTRIBUTE_DECLARATION` The feature id for the 'Attribute Declaration' reference
`static int` `XSD_ATTRIBUTE_USE__CONSTRAINT` The feature id for the 'Constraint' attribute
`static int` `XSD_ATTRIBUTE_USE__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_ATTRIBUTE_USE__CONTENT` The feature id for the 'Content' containment reference
`static int` `XSD_ATTRIBUTE_USE__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_ATTRIBUTE_USE__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_ATTRIBUTE_USE__LEXICAL_VALUE` The feature id for the 'Lexical Value' attribute
`static int` `XSD_ATTRIBUTE_USE__REQUIRED` The feature id for the 'Required' attribute
`static int` `XSD_ATTRIBUTE_USE__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_ATTRIBUTE_USE__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_ATTRIBUTE_USE__USE` The feature id for the 'Use' attribute
`static int` `XSD_ATTRIBUTE_USE__VALUE` The feature id for the 'Value' attribute
`static int` `XSD_ATTRIBUTE_USE_CATEGORY` The meta object id for the '`Attribute Use Category`' enum
`static int` `XSD_ATTRIBUTE_USE_FEATURE_COUNT` The number of structural features of the 'Attribute Use' class
`static int` `XSD_BOUNDED_FACET` The meta object id for the '`Bounded Facet`' class
`static int` `XSD_BOUNDED_FACET__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_BOUNDED_FACET__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_BOUNDED_FACET__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_BOUNDED_FACET__EFFECTIVE_VALUE` The feature id for the 'Effective Value' attribute
`static int` `XSD_BOUNDED_FACET__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_BOUNDED_FACET__FACET_NAME` The feature id for the 'Facet Name' attribute
`static int` `XSD_BOUNDED_FACET__LEXICAL_VALUE` The feature id for the 'Lexical Value' attribute
`static int` `XSD_BOUNDED_FACET__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_BOUNDED_FACET__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_BOUNDED_FACET__SIMPLE_TYPE_DEFINITION` The feature id for the 'Simple Type Definition' reference
`static int` `XSD_BOUNDED_FACET__VALUE` The feature id for the 'Value' attribute
`static int` `XSD_BOUNDED_FACET_FEATURE_COUNT` The number of structural features of the 'Bounded Facet' class
`static int` `XSD_CARDINALITY` The meta object id for the '`Cardinality`' enum
`static int` `XSD_CARDINALITY_FACET` The meta object id for the '`Cardinality Facet`' class
`static int` `XSD_CARDINALITY_FACET__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_CARDINALITY_FACET__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_CARDINALITY_FACET__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_CARDINALITY_FACET__EFFECTIVE_VALUE` The feature id for the 'Effective Value' attribute
`static int` `XSD_CARDINALITY_FACET__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_CARDINALITY_FACET__FACET_NAME` The feature id for the 'Facet Name' attribute
`static int` `XSD_CARDINALITY_FACET__LEXICAL_VALUE` The feature id for the 'Lexical Value' attribute
`static int` `XSD_CARDINALITY_FACET__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_CARDINALITY_FACET__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_CARDINALITY_FACET__SIMPLE_TYPE_DEFINITION` The feature id for the 'Simple Type Definition' reference
`static int` `XSD_CARDINALITY_FACET__VALUE` The feature id for the 'Value' attribute
`static int` `XSD_CARDINALITY_FACET_FEATURE_COUNT` The number of structural features of the 'Cardinality Facet' class
`static int` `XSD_COMPLEX_FINAL` The meta object id for the '`Complex Final`' enum
`static int` `XSD_COMPLEX_TYPE_CONTENT` The meta object id for the '`Complex Type Content`' class
`static int` `XSD_COMPLEX_TYPE_CONTENT__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_COMPLEX_TYPE_CONTENT__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_COMPLEX_TYPE_CONTENT__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_COMPLEX_TYPE_CONTENT__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_COMPLEX_TYPE_CONTENT__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_COMPLEX_TYPE_CONTENT_FEATURE_COUNT` The number of structural features of the 'Complex Type Content' class
`static int` `XSD_COMPLEX_TYPE_DEFINITION` The meta object id for the '`Complex Type Definition`' class
`static int` `XSD_COMPLEX_TYPE_DEFINITION__ABSTRACT` The feature id for the 'Abstract' attribute
`static int` `XSD_COMPLEX_TYPE_DEFINITION__ALIAS_NAME` The feature id for the 'Alias Name' attribute
`static int` `XSD_COMPLEX_TYPE_DEFINITION__ALIAS_URI` The feature id for the 'Alias URI' attribute
`static int` `XSD_COMPLEX_TYPE_DEFINITION__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_COMPLEX_TYPE_DEFINITION__ANNOTATIONS` The feature id for the 'Annotations' reference list
`static int` `XSD_COMPLEX_TYPE_DEFINITION__ATTRIBUTE_CONTENTS` The feature id for the 'Attribute Contents' containment reference list
`static int` `XSD_COMPLEX_TYPE_DEFINITION__ATTRIBUTE_USES` The feature id for the 'Attribute Uses' reference list
`static int` `XSD_COMPLEX_TYPE_DEFINITION__ATTRIBUTE_WILDCARD` The feature id for the 'Attribute Wildcard' reference
`static int` `XSD_COMPLEX_TYPE_DEFINITION__ATTRIBUTE_WILDCARD_CONTENT` The feature id for the 'Attribute Wildcard Content' containment reference
`static int` `XSD_COMPLEX_TYPE_DEFINITION__BASE_TYPE` The feature id for the 'Base Type' reference
`static int` `XSD_COMPLEX_TYPE_DEFINITION__BASE_TYPE_DEFINITION` The feature id for the 'Base Type Definition' reference
`static int` `XSD_COMPLEX_TYPE_DEFINITION__BLOCK` The feature id for the 'Block' attribute list
`static int` `XSD_COMPLEX_TYPE_DEFINITION__CIRCULAR` The feature id for the 'Circular' attribute
`static int` `XSD_COMPLEX_TYPE_DEFINITION__COMPLEX_TYPE` The feature id for the 'Complex Type' reference
`static int` `XSD_COMPLEX_TYPE_DEFINITION__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_COMPLEX_TYPE_DEFINITION__CONTENT` The feature id for the 'Content' containment reference
`static int` `XSD_COMPLEX_TYPE_DEFINITION__CONTENT_ANNOTATION` The feature id for the 'Content Annotation' containment reference
`static int` `XSD_COMPLEX_TYPE_DEFINITION__CONTENT_TYPE` The feature id for the 'Content Type' reference
`static int` `XSD_COMPLEX_TYPE_DEFINITION__CONTENT_TYPE_CATEGORY` The feature id for the 'Content Type Category' attribute
`static int` `XSD_COMPLEX_TYPE_DEFINITION__DERIVATION_ANNOTATION` The feature id for the 'Derivation Annotation' containment reference
`static int` `XSD_COMPLEX_TYPE_DEFINITION__DERIVATION_METHOD` The feature id for the 'Derivation Method' attribute
`static int` `XSD_COMPLEX_TYPE_DEFINITION__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_COMPLEX_TYPE_DEFINITION__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_COMPLEX_TYPE_DEFINITION__FINAL` The feature id for the 'Final' attribute list
`static int` `XSD_COMPLEX_TYPE_DEFINITION__LEXICAL_FINAL` The feature id for the 'Lexical Final' attribute list
`static int` `XSD_COMPLEX_TYPE_DEFINITION__MIXED` The feature id for the 'Mixed' attribute
`static int` `XSD_COMPLEX_TYPE_DEFINITION__NAME` The feature id for the 'Name' attribute
`static int` `XSD_COMPLEX_TYPE_DEFINITION__PROHIBITED_SUBSTITUTIONS` The feature id for the 'Prohibited Substitutions' attribute list
`static int` `XSD_COMPLEX_TYPE_DEFINITION__QNAME` The feature id for the 'QName' attribute
`static int` `XSD_COMPLEX_TYPE_DEFINITION__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_COMPLEX_TYPE_DEFINITION__ROOT_TYPE` The feature id for the 'Root Type' reference
`static int` `XSD_COMPLEX_TYPE_DEFINITION__ROOT_TYPE_DEFINITION` The feature id for the 'Root Type Definition' reference
`static int` `XSD_COMPLEX_TYPE_DEFINITION__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_COMPLEX_TYPE_DEFINITION__SIMPLE_TYPE` The feature id for the 'Simple Type' reference
`static int` `XSD_COMPLEX_TYPE_DEFINITION__SYNTHETIC_PARTICLE` The feature id for the 'Synthetic Particle' containment reference
`static int` `XSD_COMPLEX_TYPE_DEFINITION__SYNTHETIC_WILDCARD` The feature id for the 'Synthetic Wildcard' containment reference
`static int` `XSD_COMPLEX_TYPE_DEFINITION__TARGET_NAMESPACE` The feature id for the 'Target Namespace' attribute
`static int` `XSD_COMPLEX_TYPE_DEFINITION__URI` The feature id for the 'URI' attribute
`static int` `XSD_COMPLEX_TYPE_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Complex Type Definition' class
`static int` `XSD_COMPONENT` The meta object id for the '`Component`' class
`static int` `XSD_COMPONENT__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_COMPONENT__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_COMPONENT__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_COMPONENT__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_COMPONENT__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_COMPONENT_FEATURE_COUNT` The number of structural features of the 'Component' class
`static int` `XSD_COMPOSITOR` The meta object id for the '`Compositor`' enum
`static int` `XSD_CONCRETE_COMPONENT` The meta object id for the '`Concrete Component`' class
`static int` `XSD_CONCRETE_COMPONENT__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_CONCRETE_COMPONENT__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_CONCRETE_COMPONENT__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_CONCRETE_COMPONENT__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_CONCRETE_COMPONENT__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_CONCRETE_COMPONENT_FEATURE_COUNT` The number of structural features of the 'Concrete Component' class
`static int` `XSD_CONSTRAINING_FACET` The meta object id for the '`Constraining Facet`' class
`static int` `XSD_CONSTRAINING_FACET__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_CONSTRAINING_FACET__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_CONSTRAINING_FACET__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_CONSTRAINING_FACET__EFFECTIVE_VALUE` The feature id for the 'Effective Value' attribute
`static int` `XSD_CONSTRAINING_FACET__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_CONSTRAINING_FACET__FACET_NAME` The feature id for the 'Facet Name' attribute
`static int` `XSD_CONSTRAINING_FACET__LEXICAL_VALUE` The feature id for the 'Lexical Value' attribute
`static int` `XSD_CONSTRAINING_FACET__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_CONSTRAINING_FACET__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_CONSTRAINING_FACET__SIMPLE_TYPE_DEFINITION` The feature id for the 'Simple Type Definition' reference
`static int` `XSD_CONSTRAINING_FACET_FEATURE_COUNT` The number of structural features of the 'Constraining Facet' class
`static int` `XSD_CONSTRAINT` The meta object id for the '`Constraint`' enum
`static int` `XSD_CONTENT_TYPE_CATEGORY` The meta object id for the '`Content Type Category`' enum
`static int` `XSD_DERIVATION_METHOD` The meta object id for the '`Derivation Method`' enum
`static int` `XSD_DIAGNOSTIC` The meta object id for the '`Diagnostic`' class
`static int` `XSD_DIAGNOSTIC__ANNOTATION_URI` The feature id for the 'Annotation URI' attribute
`static int` `XSD_DIAGNOSTIC__COLUMN` The feature id for the 'Column' attribute
`static int` `XSD_DIAGNOSTIC__COMPONENTS` The feature id for the 'Components' reference list
`static int` `XSD_DIAGNOSTIC__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_DIAGNOSTIC__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_DIAGNOSTIC__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_DIAGNOSTIC__KEY` The feature id for the 'Key' attribute
`static int` `XSD_DIAGNOSTIC__LINE` The feature id for the 'Line' attribute
`static int` `XSD_DIAGNOSTIC__LOCATION_URI` The feature id for the 'Location URI' attribute
`static int` `XSD_DIAGNOSTIC__MESSAGE` The feature id for the 'Message' attribute
`static int` `XSD_DIAGNOSTIC__NODE` The feature id for the 'Node' attribute
`static int` `XSD_DIAGNOSTIC__PRIMARY_COMPONENT` The feature id for the 'Primary Component' reference
`static int` `XSD_DIAGNOSTIC__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_DIAGNOSTIC__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_DIAGNOSTIC__SEVERITY` The feature id for the 'Severity' attribute
`static int` `XSD_DIAGNOSTIC__SUBSTITUTIONS` The feature id for the 'Substitutions' attribute list
`static int` `XSD_DIAGNOSTIC_FEATURE_COUNT` The number of structural features of the 'Diagnostic' class
`static int` `XSD_DIAGNOSTIC_SEVERITY` The meta object id for the '`Diagnostic Severity`' enum
`static int` `XSD_DISALLOWED_SUBSTITUTIONS` The meta object id for the '`Disallowed Substitutions`' enum
`static int` `XSD_ELEMENT_DECLARATION` The meta object id for the '`Element Declaration`' class
`static int` `XSD_ELEMENT_DECLARATION__ABSTRACT` The feature id for the 'Abstract' attribute
`static int` `XSD_ELEMENT_DECLARATION__ALIAS_NAME` The feature id for the 'Alias Name' attribute
`static int` `XSD_ELEMENT_DECLARATION__ALIAS_URI` The feature id for the 'Alias URI' attribute
`static int` `XSD_ELEMENT_DECLARATION__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_ELEMENT_DECLARATION__ANONYMOUS_TYPE_DEFINITION` The feature id for the 'Anonymous Type Definition' containment reference
`static int` `XSD_ELEMENT_DECLARATION__BLOCK` The feature id for the 'Block' attribute list
`static int` `XSD_ELEMENT_DECLARATION__CIRCULAR` The feature id for the 'Circular' attribute
`static int` `XSD_ELEMENT_DECLARATION__CONSTRAINT` The feature id for the 'Constraint' attribute
`static int` `XSD_ELEMENT_DECLARATION__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_ELEMENT_DECLARATION__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_ELEMENT_DECLARATION__DISALLOWED_SUBSTITUTIONS` The feature id for the 'Disallowed Substitutions' attribute list
`static int` `XSD_ELEMENT_DECLARATION__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_ELEMENT_DECLARATION__ELEMENT_DECLARATION_REFERENCE` The feature id for the 'Element Declaration Reference' attribute
`static int` `XSD_ELEMENT_DECLARATION__FEATURE_REFERENCE` The feature id for the 'Feature Reference' attribute
`static int` `XSD_ELEMENT_DECLARATION__FORM` The feature id for the 'Form' attribute
`static int` `XSD_ELEMENT_DECLARATION__GLOBAL` The feature id for the 'Global' attribute
`static int` `XSD_ELEMENT_DECLARATION__IDENTITY_CONSTRAINT_DEFINITIONS` The feature id for the 'Identity Constraint Definitions' containment reference list
`static int` `XSD_ELEMENT_DECLARATION__LEXICAL_FINAL` The feature id for the 'Lexical Final' attribute list
`static int` `XSD_ELEMENT_DECLARATION__LEXICAL_VALUE` The feature id for the 'Lexical Value' attribute
`static int` `XSD_ELEMENT_DECLARATION__NAME` The feature id for the 'Name' attribute
`static int` `XSD_ELEMENT_DECLARATION__NILLABLE` The feature id for the 'Nillable' attribute
`static int` `XSD_ELEMENT_DECLARATION__QNAME` The feature id for the 'QName' attribute
`static int` `XSD_ELEMENT_DECLARATION__RESOLVED_ELEMENT_DECLARATION` The feature id for the 'Resolved Element Declaration' reference
`static int` `XSD_ELEMENT_DECLARATION__RESOLVED_FEATURE` The feature id for the 'Resolved Feature' reference
`static int` `XSD_ELEMENT_DECLARATION__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_ELEMENT_DECLARATION__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_ELEMENT_DECLARATION__SCOPE` The feature id for the 'Scope' reference
`static int` `XSD_ELEMENT_DECLARATION__SUBSTITUTION_GROUP` The feature id for the 'Substitution Group' reference list
`static int` `XSD_ELEMENT_DECLARATION__SUBSTITUTION_GROUP_AFFILIATION` The feature id for the 'Substitution Group Affiliation' reference
`static int` `XSD_ELEMENT_DECLARATION__SUBSTITUTION_GROUP_EXCLUSIONS` The feature id for the 'Substitution Group Exclusions' attribute list
`static int` `XSD_ELEMENT_DECLARATION__TARGET_NAMESPACE` The feature id for the 'Target Namespace' attribute
`static int` `XSD_ELEMENT_DECLARATION__TYPE` The feature id for the 'Type' reference
`static int` `XSD_ELEMENT_DECLARATION__TYPE_DEFINITION` The feature id for the 'Type Definition' reference
`static int` `XSD_ELEMENT_DECLARATION__URI` The feature id for the 'URI' attribute
`static int` `XSD_ELEMENT_DECLARATION__VALUE` The feature id for the 'Value' attribute
`static int` `XSD_ELEMENT_DECLARATION_FEATURE_COUNT` The number of structural features of the 'Element Declaration' class
`static int` `XSD_ENUMERATION_FACET` The meta object id for the '`Enumeration Facet`' class
`static int` `XSD_ENUMERATION_FACET__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_ENUMERATION_FACET__ANNOTATIONS` The feature id for the 'Annotations' reference list
`static int` `XSD_ENUMERATION_FACET__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_ENUMERATION_FACET__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_ENUMERATION_FACET__EFFECTIVE_VALUE` The feature id for the 'Effective Value' attribute
`static int` `XSD_ENUMERATION_FACET__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_ENUMERATION_FACET__FACET_NAME` The feature id for the 'Facet Name' attribute
`static int` `XSD_ENUMERATION_FACET__LEXICAL_VALUE` The feature id for the 'Lexical Value' attribute
`static int` `XSD_ENUMERATION_FACET__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_ENUMERATION_FACET__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_ENUMERATION_FACET__SIMPLE_TYPE_DEFINITION` The feature id for the 'Simple Type Definition' reference
`static int` `XSD_ENUMERATION_FACET__VALUE` The feature id for the 'Value' attribute list
`static int` `XSD_ENUMERATION_FACET_FEATURE_COUNT` The number of structural features of the 'Enumeration Facet' class
`static int` `XSD_FACET` The meta object id for the '`Facet`' class
`static int` `XSD_FACET__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_FACET__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_FACET__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_FACET__EFFECTIVE_VALUE` The feature id for the 'Effective Value' attribute
`static int` `XSD_FACET__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_FACET__FACET_NAME` The feature id for the 'Facet Name' attribute
`static int` `XSD_FACET__LEXICAL_VALUE` The feature id for the 'Lexical Value' attribute
`static int` `XSD_FACET__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_FACET__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_FACET__SIMPLE_TYPE_DEFINITION` The feature id for the 'Simple Type Definition' reference
`static int` `XSD_FACET_FEATURE_COUNT` The number of structural features of the 'Facet' class
`static int` `XSD_FEATURE` The meta object id for the '`Feature`' class
`static int` `XSD_FEATURE__ALIAS_NAME` The feature id for the 'Alias Name' attribute
`static int` `XSD_FEATURE__ALIAS_URI` The feature id for the 'Alias URI' attribute
`static int` `XSD_FEATURE__CONSTRAINT` The feature id for the 'Constraint' attribute
`static int` `XSD_FEATURE__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_FEATURE__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_FEATURE__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_FEATURE__FEATURE_REFERENCE` The feature id for the 'Feature Reference' attribute
`static int` `XSD_FEATURE__FORM` The feature id for the 'Form' attribute
`static int` `XSD_FEATURE__GLOBAL` The feature id for the 'Global' attribute
`static int` `XSD_FEATURE__LEXICAL_VALUE` The feature id for the 'Lexical Value' attribute
`static int` `XSD_FEATURE__NAME` The feature id for the 'Name' attribute
`static int` `XSD_FEATURE__QNAME` The feature id for the 'QName' attribute
`static int` `XSD_FEATURE__RESOLVED_FEATURE` The feature id for the 'Resolved Feature' reference
`static int` `XSD_FEATURE__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_FEATURE__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_FEATURE__SCOPE` The feature id for the 'Scope' reference
`static int` `XSD_FEATURE__TARGET_NAMESPACE` The feature id for the 'Target Namespace' attribute
`static int` `XSD_FEATURE__TYPE` The feature id for the 'Type' reference
`static int` `XSD_FEATURE__URI` The feature id for the 'URI' attribute
`static int` `XSD_FEATURE__VALUE` The feature id for the 'Value' attribute
`static int` `XSD_FEATURE_FEATURE_COUNT` The number of structural features of the 'Feature' class
`static int` `XSD_FIXED_FACET` The meta object id for the '`Fixed Facet`' class
`static int` `XSD_FIXED_FACET__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_FIXED_FACET__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_FIXED_FACET__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_FIXED_FACET__EFFECTIVE_VALUE` The feature id for the 'Effective Value' attribute
`static int` `XSD_FIXED_FACET__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_FIXED_FACET__FACET_NAME` The feature id for the 'Facet Name' attribute
`static int` `XSD_FIXED_FACET__FIXED` The feature id for the 'Fixed' attribute
`static int` `XSD_FIXED_FACET__LEXICAL_VALUE` The feature id for the 'Lexical Value' attribute
`static int` `XSD_FIXED_FACET__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_FIXED_FACET__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_FIXED_FACET__SIMPLE_TYPE_DEFINITION` The feature id for the 'Simple Type Definition' reference
`static int` `XSD_FIXED_FACET_FEATURE_COUNT` The number of structural features of the 'Fixed Facet' class
`static int` `XSD_FORM` The meta object id for the '`Form`' enum
`static int` `XSD_FRACTION_DIGITS_FACET` The meta object id for the '`Fraction Digits Facet`' class
`static int` `XSD_FRACTION_DIGITS_FACET__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_FRACTION_DIGITS_FACET__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_FRACTION_DIGITS_FACET__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_FRACTION_DIGITS_FACET__EFFECTIVE_VALUE` The feature id for the 'Effective Value' attribute
`static int` `XSD_FRACTION_DIGITS_FACET__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_FRACTION_DIGITS_FACET__FACET_NAME` The feature id for the 'Facet Name' attribute
`static int` `XSD_FRACTION_DIGITS_FACET__FIXED` The feature id for the 'Fixed' attribute
`static int` `XSD_FRACTION_DIGITS_FACET__LEXICAL_VALUE` The feature id for the 'Lexical Value' attribute
`static int` `XSD_FRACTION_DIGITS_FACET__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_FRACTION_DIGITS_FACET__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_FRACTION_DIGITS_FACET__SIMPLE_TYPE_DEFINITION` The feature id for the 'Simple Type Definition' reference
`static int` `XSD_FRACTION_DIGITS_FACET__VALUE` The feature id for the 'Value' attribute
`static int` `XSD_FRACTION_DIGITS_FACET_FEATURE_COUNT` The number of structural features of the 'Fraction Digits Facet' class
`static int` `XSD_FUNDAMENTAL_FACET` The meta object id for the '`Fundamental Facet`' class
`static int` `XSD_FUNDAMENTAL_FACET__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_FUNDAMENTAL_FACET__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_FUNDAMENTAL_FACET__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_FUNDAMENTAL_FACET__EFFECTIVE_VALUE` The feature id for the 'Effective Value' attribute
`static int` `XSD_FUNDAMENTAL_FACET__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_FUNDAMENTAL_FACET__FACET_NAME` The feature id for the 'Facet Name' attribute
`static int` `XSD_FUNDAMENTAL_FACET__LEXICAL_VALUE` The feature id for the 'Lexical Value' attribute
`static int` `XSD_FUNDAMENTAL_FACET__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_FUNDAMENTAL_FACET__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_FUNDAMENTAL_FACET__SIMPLE_TYPE_DEFINITION` The feature id for the 'Simple Type Definition' reference
`static int` `XSD_FUNDAMENTAL_FACET_FEATURE_COUNT` The number of structural features of the 'Fundamental Facet' class
`static int` `XSD_IDENTITY_CONSTRAINT_CATEGORY` The meta object id for the '`Identity Constraint Category`' enum
`static int` `XSD_IDENTITY_CONSTRAINT_DEFINITION` The meta object id for the '`Identity Constraint Definition`' class
`static int` `XSD_IDENTITY_CONSTRAINT_DEFINITION__ALIAS_NAME` The feature id for the 'Alias Name' attribute
`static int` `XSD_IDENTITY_CONSTRAINT_DEFINITION__ALIAS_URI` The feature id for the 'Alias URI' attribute
`static int` `XSD_IDENTITY_CONSTRAINT_DEFINITION__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_IDENTITY_CONSTRAINT_DEFINITION__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_IDENTITY_CONSTRAINT_DEFINITION__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_IDENTITY_CONSTRAINT_DEFINITION__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_IDENTITY_CONSTRAINT_DEFINITION__FIELDS` The feature id for the 'Fields' containment reference list
`static int` `XSD_IDENTITY_CONSTRAINT_DEFINITION__IDENTITY_CONSTRAINT_CATEGORY` The feature id for the 'Identity Constraint Category' attribute
`static int` `XSD_IDENTITY_CONSTRAINT_DEFINITION__NAME` The feature id for the 'Name' attribute
`static int` `XSD_IDENTITY_CONSTRAINT_DEFINITION__QNAME` The feature id for the 'QName' attribute
`static int` `XSD_IDENTITY_CONSTRAINT_DEFINITION__REFERENCED_KEY` The feature id for the 'Referenced Key' reference
`static int` `XSD_IDENTITY_CONSTRAINT_DEFINITION__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_IDENTITY_CONSTRAINT_DEFINITION__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_IDENTITY_CONSTRAINT_DEFINITION__SELECTOR` The feature id for the 'Selector' containment reference
`static int` `XSD_IDENTITY_CONSTRAINT_DEFINITION__TARGET_NAMESPACE` The feature id for the 'Target Namespace' attribute
`static int` `XSD_IDENTITY_CONSTRAINT_DEFINITION__URI` The feature id for the 'URI' attribute
`static int` `XSD_IDENTITY_CONSTRAINT_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Identity Constraint Definition' class
`static int` `XSD_IMPORT` The meta object id for the '`Import`' class
`static int` `XSD_IMPORT__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_IMPORT__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_IMPORT__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_IMPORT__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_IMPORT__NAMESPACE` The feature id for the 'Namespace' attribute
`static int` `XSD_IMPORT__RESOLVED_SCHEMA` The feature id for the 'Resolved Schema' reference
`static int` `XSD_IMPORT__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_IMPORT__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_IMPORT__SCHEMA_LOCATION` The feature id for the 'Schema Location' attribute
`static int` `XSD_IMPORT_FEATURE_COUNT` The number of structural features of the 'Import' class
`static int` `XSD_INCLUDE` The meta object id for the '`Include`' class
`static int` `XSD_INCLUDE__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_INCLUDE__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_INCLUDE__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_INCLUDE__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_INCLUDE__INCORPORATED_SCHEMA` The feature id for the 'Incorporated Schema' reference
`static int` `XSD_INCLUDE__RESOLVED_SCHEMA` The feature id for the 'Resolved Schema' reference
`static int` `XSD_INCLUDE__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_INCLUDE__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_INCLUDE__SCHEMA_LOCATION` The feature id for the 'Schema Location' attribute
`static int` `XSD_INCLUDE_FEATURE_COUNT` The number of structural features of the 'Include' class
`static int` `XSD_LENGTH_FACET` The meta object id for the '`Length Facet`' class
`static int` `XSD_LENGTH_FACET__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_LENGTH_FACET__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_LENGTH_FACET__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_LENGTH_FACET__EFFECTIVE_VALUE` The feature id for the 'Effective Value' attribute
`static int` `XSD_LENGTH_FACET__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_LENGTH_FACET__FACET_NAME` The feature id for the 'Facet Name' attribute
`static int` `XSD_LENGTH_FACET__FIXED` The feature id for the 'Fixed' attribute
`static int` `XSD_LENGTH_FACET__LEXICAL_VALUE` The feature id for the 'Lexical Value' attribute
`static int` `XSD_LENGTH_FACET__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_LENGTH_FACET__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_LENGTH_FACET__SIMPLE_TYPE_DEFINITION` The feature id for the 'Simple Type Definition' reference
`static int` `XSD_LENGTH_FACET__VALUE` The feature id for the 'Value' attribute
`static int` `XSD_LENGTH_FACET_FEATURE_COUNT` The number of structural features of the 'Length Facet' class
`static int` `XSD_MAX_EXCLUSIVE_FACET` The meta object id for the '`Max Exclusive Facet`' class
`static int` `XSD_MAX_EXCLUSIVE_FACET__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_MAX_EXCLUSIVE_FACET__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_MAX_EXCLUSIVE_FACET__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_MAX_EXCLUSIVE_FACET__EFFECTIVE_VALUE` The feature id for the 'Effective Value' attribute
`static int` `XSD_MAX_EXCLUSIVE_FACET__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_MAX_EXCLUSIVE_FACET__EXCLUSIVE` The feature id for the 'Exclusive' attribute
`static int` `XSD_MAX_EXCLUSIVE_FACET__FACET_NAME` The feature id for the 'Facet Name' attribute
`static int` `XSD_MAX_EXCLUSIVE_FACET__FIXED` The feature id for the 'Fixed' attribute
`static int` `XSD_MAX_EXCLUSIVE_FACET__INCLUSIVE` The feature id for the 'Inclusive' attribute
`static int` `XSD_MAX_EXCLUSIVE_FACET__LEXICAL_VALUE` The feature id for the 'Lexical Value' attribute
`static int` `XSD_MAX_EXCLUSIVE_FACET__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_MAX_EXCLUSIVE_FACET__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_MAX_EXCLUSIVE_FACET__SIMPLE_TYPE_DEFINITION` The feature id for the 'Simple Type Definition' reference
`static int` `XSD_MAX_EXCLUSIVE_FACET__VALUE` The feature id for the 'Value' attribute
`static int` `XSD_MAX_EXCLUSIVE_FACET_FEATURE_COUNT` The number of structural features of the 'Max Exclusive Facet' class
`static int` `XSD_MAX_FACET` The meta object id for the '`Max Facet`' class
`static int` `XSD_MAX_FACET__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_MAX_FACET__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_MAX_FACET__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_MAX_FACET__EFFECTIVE_VALUE` The feature id for the 'Effective Value' attribute
`static int` `XSD_MAX_FACET__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_MAX_FACET__EXCLUSIVE` The feature id for the 'Exclusive' attribute
`static int` `XSD_MAX_FACET__FACET_NAME` The feature id for the 'Facet Name' attribute
`static int` `XSD_MAX_FACET__FIXED` The feature id for the 'Fixed' attribute
`static int` `XSD_MAX_FACET__INCLUSIVE` The feature id for the 'Inclusive' attribute
`static int` `XSD_MAX_FACET__LEXICAL_VALUE` The feature id for the 'Lexical Value' attribute
`static int` `XSD_MAX_FACET__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_MAX_FACET__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_MAX_FACET__SIMPLE_TYPE_DEFINITION` The feature id for the 'Simple Type Definition' reference
`static int` `XSD_MAX_FACET__VALUE` The feature id for the 'Value' attribute
`static int` `XSD_MAX_FACET_FEATURE_COUNT` The number of structural features of the 'Max Facet' class
`static int` `XSD_MAX_INCLUSIVE_FACET` The meta object id for the '`Max Inclusive Facet`' class
`static int` `XSD_MAX_INCLUSIVE_FACET__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_MAX_INCLUSIVE_FACET__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_MAX_INCLUSIVE_FACET__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_MAX_INCLUSIVE_FACET__EFFECTIVE_VALUE` The feature id for the 'Effective Value' attribute
`static int` `XSD_MAX_INCLUSIVE_FACET__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_MAX_INCLUSIVE_FACET__EXCLUSIVE` The feature id for the 'Exclusive' attribute
`static int` `XSD_MAX_INCLUSIVE_FACET__FACET_NAME` The feature id for the 'Facet Name' attribute
`static int` `XSD_MAX_INCLUSIVE_FACET__FIXED` The feature id for the 'Fixed' attribute
`static int` `XSD_MAX_INCLUSIVE_FACET__INCLUSIVE` The feature id for the 'Inclusive' attribute
`static int` `XSD_MAX_INCLUSIVE_FACET__LEXICAL_VALUE` The feature id for the 'Lexical Value' attribute
`static int` `XSD_MAX_INCLUSIVE_FACET__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_MAX_INCLUSIVE_FACET__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_MAX_INCLUSIVE_FACET__SIMPLE_TYPE_DEFINITION` The feature id for the 'Simple Type Definition' reference
`static int` `XSD_MAX_INCLUSIVE_FACET__VALUE` The feature id for the 'Value' attribute
`static int` `XSD_MAX_INCLUSIVE_FACET_FEATURE_COUNT` The number of structural features of the 'Max Inclusive Facet' class
`static int` `XSD_MAX_LENGTH_FACET` The meta object id for the '`Max Length Facet`' class
`static int` `XSD_MAX_LENGTH_FACET__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_MAX_LENGTH_FACET__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_MAX_LENGTH_FACET__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_MAX_LENGTH_FACET__EFFECTIVE_VALUE` The feature id for the 'Effective Value' attribute
`static int` `XSD_MAX_LENGTH_FACET__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_MAX_LENGTH_FACET__FACET_NAME` The feature id for the 'Facet Name' attribute
`static int` `XSD_MAX_LENGTH_FACET__FIXED` The feature id for the 'Fixed' attribute
`static int` `XSD_MAX_LENGTH_FACET__LEXICAL_VALUE` The feature id for the 'Lexical Value' attribute
`static int` `XSD_MAX_LENGTH_FACET__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_MAX_LENGTH_FACET__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_MAX_LENGTH_FACET__SIMPLE_TYPE_DEFINITION` The feature id for the 'Simple Type Definition' reference
`static int` `XSD_MAX_LENGTH_FACET__VALUE` The feature id for the 'Value' attribute
`static int` `XSD_MAX_LENGTH_FACET_FEATURE_COUNT` The number of structural features of the 'Max Length Facet' class
`static int` `XSD_MIN_EXCLUSIVE_FACET` The meta object id for the '`Min Exclusive Facet`' class
`static int` `XSD_MIN_EXCLUSIVE_FACET__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_MIN_EXCLUSIVE_FACET__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_MIN_EXCLUSIVE_FACET__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_MIN_EXCLUSIVE_FACET__EFFECTIVE_VALUE` The feature id for the 'Effective Value' attribute
`static int` `XSD_MIN_EXCLUSIVE_FACET__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_MIN_EXCLUSIVE_FACET__EXCLUSIVE` The feature id for the 'Exclusive' attribute
`static int` `XSD_MIN_EXCLUSIVE_FACET__FACET_NAME` The feature id for the 'Facet Name' attribute
`static int` `XSD_MIN_EXCLUSIVE_FACET__FIXED` The feature id for the 'Fixed' attribute
`static int` `XSD_MIN_EXCLUSIVE_FACET__INCLUSIVE` The feature id for the 'Inclusive' attribute
`static int` `XSD_MIN_EXCLUSIVE_FACET__LEXICAL_VALUE` The feature id for the 'Lexical Value' attribute
`static int` `XSD_MIN_EXCLUSIVE_FACET__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_MIN_EXCLUSIVE_FACET__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_MIN_EXCLUSIVE_FACET__SIMPLE_TYPE_DEFINITION` The feature id for the 'Simple Type Definition' reference
`static int` `XSD_MIN_EXCLUSIVE_FACET__VALUE` The feature id for the 'Value' attribute
`static int` `XSD_MIN_EXCLUSIVE_FACET_FEATURE_COUNT` The number of structural features of the 'Min Exclusive Facet' class
`static int` `XSD_MIN_FACET` The meta object id for the '`Min Facet`' class
`static int` `XSD_MIN_FACET__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_MIN_FACET__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_MIN_FACET__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_MIN_FACET__EFFECTIVE_VALUE` The feature id for the 'Effective Value' attribute
`static int` `XSD_MIN_FACET__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_MIN_FACET__EXCLUSIVE` The feature id for the 'Exclusive' attribute
`static int` `XSD_MIN_FACET__FACET_NAME` The feature id for the 'Facet Name' attribute
`static int` `XSD_MIN_FACET__FIXED` The feature id for the 'Fixed' attribute
`static int` `XSD_MIN_FACET__INCLUSIVE` The feature id for the 'Inclusive' attribute
`static int` `XSD_MIN_FACET__LEXICAL_VALUE` The feature id for the 'Lexical Value' attribute
`static int` `XSD_MIN_FACET__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_MIN_FACET__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_MIN_FACET__SIMPLE_TYPE_DEFINITION` The feature id for the 'Simple Type Definition' reference
`static int` `XSD_MIN_FACET__VALUE` The feature id for the 'Value' attribute
`static int` `XSD_MIN_FACET_FEATURE_COUNT` The number of structural features of the 'Min Facet' class
`static int` `XSD_MIN_INCLUSIVE_FACET` The meta object id for the '`Min Inclusive Facet`' class
`static int` `XSD_MIN_INCLUSIVE_FACET__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_MIN_INCLUSIVE_FACET__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_MIN_INCLUSIVE_FACET__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_MIN_INCLUSIVE_FACET__EFFECTIVE_VALUE` The feature id for the 'Effective Value' attribute
`static int` `XSD_MIN_INCLUSIVE_FACET__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_MIN_INCLUSIVE_FACET__EXCLUSIVE` The feature id for the 'Exclusive' attribute
`static int` `XSD_MIN_INCLUSIVE_FACET__FACET_NAME` The feature id for the 'Facet Name' attribute
`static int` `XSD_MIN_INCLUSIVE_FACET__FIXED` The feature id for the 'Fixed' attribute
`static int` `XSD_MIN_INCLUSIVE_FACET__INCLUSIVE` The feature id for the 'Inclusive' attribute
`static int` `XSD_MIN_INCLUSIVE_FACET__LEXICAL_VALUE` The feature id for the 'Lexical Value' attribute
`static int` `XSD_MIN_INCLUSIVE_FACET__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_MIN_INCLUSIVE_FACET__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_MIN_INCLUSIVE_FACET__SIMPLE_TYPE_DEFINITION` The feature id for the 'Simple Type Definition' reference
`static int` `XSD_MIN_INCLUSIVE_FACET__VALUE` The feature id for the 'Value' attribute
`static int` `XSD_MIN_INCLUSIVE_FACET_FEATURE_COUNT` The number of structural features of the 'Min Inclusive Facet' class
`static int` `XSD_MIN_LENGTH_FACET` The meta object id for the '`Min Length Facet`' class
`static int` `XSD_MIN_LENGTH_FACET__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_MIN_LENGTH_FACET__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_MIN_LENGTH_FACET__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_MIN_LENGTH_FACET__EFFECTIVE_VALUE` The feature id for the 'Effective Value' attribute
`static int` `XSD_MIN_LENGTH_FACET__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_MIN_LENGTH_FACET__FACET_NAME` The feature id for the 'Facet Name' attribute
`static int` `XSD_MIN_LENGTH_FACET__FIXED` The feature id for the 'Fixed' attribute
`static int` `XSD_MIN_LENGTH_FACET__LEXICAL_VALUE` The feature id for the 'Lexical Value' attribute
`static int` `XSD_MIN_LENGTH_FACET__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_MIN_LENGTH_FACET__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_MIN_LENGTH_FACET__SIMPLE_TYPE_DEFINITION` The feature id for the 'Simple Type Definition' reference
`static int` `XSD_MIN_LENGTH_FACET__VALUE` The feature id for the 'Value' attribute
`static int` `XSD_MIN_LENGTH_FACET_FEATURE_COUNT` The number of structural features of the 'Min Length Facet' class
`static int` `XSD_MODEL_GROUP` The meta object id for the '`Model Group`' class
`static int` `XSD_MODEL_GROUP__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_MODEL_GROUP__COMPOSITOR` The feature id for the 'Compositor' attribute
`static int` `XSD_MODEL_GROUP__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_MODEL_GROUP__CONTENTS` The feature id for the 'Contents' containment reference list
`static int` `XSD_MODEL_GROUP__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_MODEL_GROUP__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_MODEL_GROUP__PARTICLES` The feature id for the 'Particles' reference list
`static int` `XSD_MODEL_GROUP__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_MODEL_GROUP__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_MODEL_GROUP_DEFINITION` The meta object id for the '`Model Group Definition`' class
`static int` `XSD_MODEL_GROUP_DEFINITION__ALIAS_NAME` The feature id for the 'Alias Name' attribute
`static int` `XSD_MODEL_GROUP_DEFINITION__ALIAS_URI` The feature id for the 'Alias URI' attribute
`static int` `XSD_MODEL_GROUP_DEFINITION__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_MODEL_GROUP_DEFINITION__CIRCULAR` The feature id for the 'Circular' attribute
`static int` `XSD_MODEL_GROUP_DEFINITION__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_MODEL_GROUP_DEFINITION__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_MODEL_GROUP_DEFINITION__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_MODEL_GROUP_DEFINITION__MODEL_GROUP` The feature id for the 'Model Group' containment reference
`static int` `XSD_MODEL_GROUP_DEFINITION__MODEL_GROUP_DEFINITION_REFERENCE` The feature id for the 'Model Group Definition Reference' attribute
`static int` `XSD_MODEL_GROUP_DEFINITION__NAME` The feature id for the 'Name' attribute
`static int` `XSD_MODEL_GROUP_DEFINITION__QNAME` The feature id for the 'QName' attribute
`static int` `XSD_MODEL_GROUP_DEFINITION__RESOLVED_MODEL_GROUP_DEFINITION` The feature id for the 'Resolved Model Group Definition' reference
`static int` `XSD_MODEL_GROUP_DEFINITION__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_MODEL_GROUP_DEFINITION__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_MODEL_GROUP_DEFINITION__TARGET_NAMESPACE` The feature id for the 'Target Namespace' attribute
`static int` `XSD_MODEL_GROUP_DEFINITION__URI` The feature id for the 'URI' attribute
`static int` `XSD_MODEL_GROUP_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Model Group Definition' class
`static int` `XSD_MODEL_GROUP_FEATURE_COUNT` The number of structural features of the 'Model Group' class
`static int` `XSD_NAMED_COMPONENT` The meta object id for the '`Named Component`' class
`static int` `XSD_NAMED_COMPONENT__ALIAS_NAME` The feature id for the 'Alias Name' attribute
`static int` `XSD_NAMED_COMPONENT__ALIAS_URI` The feature id for the 'Alias URI' attribute
`static int` `XSD_NAMED_COMPONENT__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_NAMED_COMPONENT__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_NAMED_COMPONENT__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_NAMED_COMPONENT__NAME` The feature id for the 'Name' attribute
`static int` `XSD_NAMED_COMPONENT__QNAME` The feature id for the 'QName' attribute
`static int` `XSD_NAMED_COMPONENT__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_NAMED_COMPONENT__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_NAMED_COMPONENT__TARGET_NAMESPACE` The feature id for the 'Target Namespace' attribute
`static int` `XSD_NAMED_COMPONENT__URI` The feature id for the 'URI' attribute
`static int` `XSD_NAMED_COMPONENT_FEATURE_COUNT` The number of structural features of the 'Named Component' class
`static int` `XSD_NAMESPACE_CONSTRAINT_CATEGORY` The meta object id for the '`Namespace Constraint Category`' enum
`static int` `XSD_NOTATION_DECLARATION` The meta object id for the '`Notation Declaration`' class
`static int` `XSD_NOTATION_DECLARATION__ALIAS_NAME` The feature id for the 'Alias Name' attribute
`static int` `XSD_NOTATION_DECLARATION__ALIAS_URI` The feature id for the 'Alias URI' attribute
`static int` `XSD_NOTATION_DECLARATION__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_NOTATION_DECLARATION__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_NOTATION_DECLARATION__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_NOTATION_DECLARATION__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_NOTATION_DECLARATION__NAME` The feature id for the 'Name' attribute
`static int` `XSD_NOTATION_DECLARATION__PUBLIC_IDENTIFIER` The feature id for the 'Public Identifier' attribute
`static int` `XSD_NOTATION_DECLARATION__QNAME` The feature id for the 'QName' attribute
`static int` `XSD_NOTATION_DECLARATION__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_NOTATION_DECLARATION__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_NOTATION_DECLARATION__SYSTEM_IDENTIFIER` The feature id for the 'System Identifier' attribute
`static int` `XSD_NOTATION_DECLARATION__TARGET_NAMESPACE` The feature id for the 'Target Namespace' attribute
`static int` `XSD_NOTATION_DECLARATION__URI` The feature id for the 'URI' attribute
`static int` `XSD_NOTATION_DECLARATION_FEATURE_COUNT` The number of structural features of the 'Notation Declaration' class
`static int` `XSD_NUMERIC_FACET` The meta object id for the '`Numeric Facet`' class
`static int` `XSD_NUMERIC_FACET__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_NUMERIC_FACET__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_NUMERIC_FACET__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_NUMERIC_FACET__EFFECTIVE_VALUE` The feature id for the 'Effective Value' attribute
`static int` `XSD_NUMERIC_FACET__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_NUMERIC_FACET__FACET_NAME` The feature id for the 'Facet Name' attribute
`static int` `XSD_NUMERIC_FACET__LEXICAL_VALUE` The feature id for the 'Lexical Value' attribute
`static int` `XSD_NUMERIC_FACET__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_NUMERIC_FACET__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_NUMERIC_FACET__SIMPLE_TYPE_DEFINITION` The feature id for the 'Simple Type Definition' reference
`static int` `XSD_NUMERIC_FACET__VALUE` The feature id for the 'Value' attribute
`static int` `XSD_NUMERIC_FACET_FEATURE_COUNT` The number of structural features of the 'Numeric Facet' class
`static int` `XSD_ORDERED` The meta object id for the '`Ordered`' enum
`static int` `XSD_ORDERED_FACET` The meta object id for the '`Ordered Facet`' class
`static int` `XSD_ORDERED_FACET__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_ORDERED_FACET__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_ORDERED_FACET__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_ORDERED_FACET__EFFECTIVE_VALUE` The feature id for the 'Effective Value' attribute
`static int` `XSD_ORDERED_FACET__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_ORDERED_FACET__FACET_NAME` The feature id for the 'Facet Name' attribute
`static int` `XSD_ORDERED_FACET__LEXICAL_VALUE` The feature id for the 'Lexical Value' attribute
`static int` `XSD_ORDERED_FACET__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_ORDERED_FACET__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_ORDERED_FACET__SIMPLE_TYPE_DEFINITION` The feature id for the 'Simple Type Definition' reference
`static int` `XSD_ORDERED_FACET__VALUE` The feature id for the 'Value' attribute
`static int` `XSD_ORDERED_FACET_FEATURE_COUNT` The number of structural features of the 'Ordered Facet' class
`static int` `XSD_PARTICLE` The meta object id for the '`Particle`' class
`static int` `XSD_PARTICLE__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_PARTICLE__CONTENT` The feature id for the 'Content' containment reference
`static int` `XSD_PARTICLE__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_PARTICLE__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_PARTICLE__MAX_OCCURS` The feature id for the 'Max Occurs' attribute
`static int` `XSD_PARTICLE__MIN_OCCURS` The feature id for the 'Min Occurs' attribute
`static int` `XSD_PARTICLE__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_PARTICLE__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_PARTICLE__TERM` The feature id for the 'Term' reference
`static int` `XSD_PARTICLE_CONTENT` The meta object id for the '`Particle Content`' class
`static int` `XSD_PARTICLE_CONTENT__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_PARTICLE_CONTENT__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_PARTICLE_CONTENT__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_PARTICLE_CONTENT__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_PARTICLE_CONTENT__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_PARTICLE_CONTENT_FEATURE_COUNT` The number of structural features of the 'Particle Content' class
`static int` `XSD_PARTICLE_FEATURE_COUNT` The number of structural features of the 'Particle' class
`static int` `XSD_PATTERN_FACET` The meta object id for the '`Pattern Facet`' class
`static int` `XSD_PATTERN_FACET__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_PATTERN_FACET__ANNOTATIONS` The feature id for the 'Annotations' reference list
`static int` `XSD_PATTERN_FACET__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_PATTERN_FACET__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_PATTERN_FACET__EFFECTIVE_VALUE` The feature id for the 'Effective Value' attribute
`static int` `XSD_PATTERN_FACET__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_PATTERN_FACET__FACET_NAME` The feature id for the 'Facet Name' attribute
`static int` `XSD_PATTERN_FACET__LEXICAL_VALUE` The feature id for the 'Lexical Value' attribute
`static int` `XSD_PATTERN_FACET__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_PATTERN_FACET__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_PATTERN_FACET__SIMPLE_TYPE_DEFINITION` The feature id for the 'Simple Type Definition' reference
`static int` `XSD_PATTERN_FACET__VALUE` The feature id for the 'Value' attribute list
`static int` `XSD_PATTERN_FACET_FEATURE_COUNT` The number of structural features of the 'Pattern Facet' class
`static int` `XSD_PROCESS_CONTENTS` The meta object id for the '`Process Contents`' enum
`static int` `XSD_PROHIBITED_SUBSTITUTIONS` The meta object id for the '`Prohibited Substitutions`' enum
`static int` `XSD_REDEFINABLE_COMPONENT` The meta object id for the '`Redefinable Component`' class
`static int` `XSD_REDEFINABLE_COMPONENT__ALIAS_NAME` The feature id for the 'Alias Name' attribute
`static int` `XSD_REDEFINABLE_COMPONENT__ALIAS_URI` The feature id for the 'Alias URI' attribute
`static int` `XSD_REDEFINABLE_COMPONENT__CIRCULAR` The feature id for the 'Circular' attribute
`static int` `XSD_REDEFINABLE_COMPONENT__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_REDEFINABLE_COMPONENT__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_REDEFINABLE_COMPONENT__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_REDEFINABLE_COMPONENT__NAME` The feature id for the 'Name' attribute
`static int` `XSD_REDEFINABLE_COMPONENT__QNAME` The feature id for the 'QName' attribute
`static int` `XSD_REDEFINABLE_COMPONENT__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_REDEFINABLE_COMPONENT__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_REDEFINABLE_COMPONENT__TARGET_NAMESPACE` The feature id for the 'Target Namespace' attribute
`static int` `XSD_REDEFINABLE_COMPONENT__URI` The feature id for the 'URI' attribute
`static int` `XSD_REDEFINABLE_COMPONENT_FEATURE_COUNT` The number of structural features of the 'Redefinable Component' class
`static int` `XSD_REDEFINE` The meta object id for the '`Redefine`' class
`static int` `XSD_REDEFINE__ANNOTATIONS` The feature id for the 'Annotations' reference list
`static int` `XSD_REDEFINE__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_REDEFINE__CONTENTS` The feature id for the 'Contents' containment reference list
`static int` `XSD_REDEFINE__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_REDEFINE__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_REDEFINE__INCORPORATED_SCHEMA` The feature id for the 'Incorporated Schema' reference
`static int` `XSD_REDEFINE__RESOLVED_SCHEMA` The feature id for the 'Resolved Schema' reference
`static int` `XSD_REDEFINE__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_REDEFINE__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_REDEFINE__SCHEMA_LOCATION` The feature id for the 'Schema Location' attribute
`static int` `XSD_REDEFINE_CONTENT` The meta object id for the '`Redefine Content`' class
`static int` `XSD_REDEFINE_CONTENT__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_REDEFINE_CONTENT__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_REDEFINE_CONTENT__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_REDEFINE_CONTENT__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_REDEFINE_CONTENT__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_REDEFINE_CONTENT_FEATURE_COUNT` The number of structural features of the 'Redefine Content' class
`static int` `XSD_REDEFINE_FEATURE_COUNT` The number of structural features of the 'Redefine' class
`static int` `XSD_REPEATABLE_FACET` The meta object id for the '`Repeatable Facet`' class
`static int` `XSD_REPEATABLE_FACET__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_REPEATABLE_FACET__ANNOTATIONS` The feature id for the 'Annotations' reference list
`static int` `XSD_REPEATABLE_FACET__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_REPEATABLE_FACET__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_REPEATABLE_FACET__EFFECTIVE_VALUE` The feature id for the 'Effective Value' attribute
`static int` `XSD_REPEATABLE_FACET__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_REPEATABLE_FACET__FACET_NAME` The feature id for the 'Facet Name' attribute
`static int` `XSD_REPEATABLE_FACET__LEXICAL_VALUE` The feature id for the 'Lexical Value' attribute
`static int` `XSD_REPEATABLE_FACET__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_REPEATABLE_FACET__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_REPEATABLE_FACET__SIMPLE_TYPE_DEFINITION` The feature id for the 'Simple Type Definition' reference
`static int` `XSD_REPEATABLE_FACET_FEATURE_COUNT` The number of structural features of the 'Repeatable Facet' class
`static int` `XSD_SCHEMA` The meta object id for the '`Schema`' class
`static int` `XSD_SCHEMA__ALL_DIAGNOSTICS` The feature id for the 'All Diagnostics' reference list
`static int` `XSD_SCHEMA__ANNOTATIONS` The feature id for the 'Annotations' reference list
`static int` `XSD_SCHEMA__ATTRIBUTE_DECLARATIONS` The feature id for the 'Attribute Declarations' reference list
`static int` `XSD_SCHEMA__ATTRIBUTE_FORM_DEFAULT` The feature id for the 'Attribute Form Default' attribute
`static int` `XSD_SCHEMA__ATTRIBUTE_GROUP_DEFINITIONS` The feature id for the 'Attribute Group Definitions' reference list
`static int` `XSD_SCHEMA__BLOCK_DEFAULT` The feature id for the 'Block Default' attribute list
`static int` `XSD_SCHEMA__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_SCHEMA__CONTENTS` The feature id for the 'Contents' containment reference list
`static int` `XSD_SCHEMA__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_SCHEMA__DOCUMENT` The feature id for the 'Document' attribute
`static int` `XSD_SCHEMA__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_SCHEMA__ELEMENT_DECLARATIONS` The feature id for the 'Element Declarations' reference list
`static int` `XSD_SCHEMA__ELEMENT_FORM_DEFAULT` The feature id for the 'Element Form Default' attribute
`static int` `XSD_SCHEMA__FINAL_DEFAULT` The feature id for the 'Final Default' attribute list
`static int` `XSD_SCHEMA__IDENTITY_CONSTRAINT_DEFINITIONS` The feature id for the 'Identity Constraint Definitions' reference list
`static int` `XSD_SCHEMA__INCORPORATED_VERSIONS` The feature id for the 'Incorporated Versions' containment reference list
`static int` `XSD_SCHEMA__MODEL_GROUP_DEFINITIONS` The feature id for the 'Model Group Definitions' reference list
`static int` `XSD_SCHEMA__NOTATION_DECLARATIONS` The feature id for the 'Notation Declarations' reference list
`static int` `XSD_SCHEMA__ORIGINAL_VERSION` The feature id for the 'Original Version' reference
`static int` `XSD_SCHEMA__REFERENCING_DIRECTIVES` The feature id for the 'Referencing Directives' reference list
`static int` `XSD_SCHEMA__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_SCHEMA__ROOT_VERSION` The feature id for the 'Root Version' reference
`static int` `XSD_SCHEMA__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_SCHEMA__SCHEMA_FOR_SCHEMA` The feature id for the 'Schema For Schema' reference
`static int` `XSD_SCHEMA__SCHEMA_LOCATION` The feature id for the 'Schema Location' attribute
`static int` `XSD_SCHEMA__TARGET_NAMESPACE` The feature id for the 'Target Namespace' attribute
`static int` `XSD_SCHEMA__TYPE_DEFINITIONS` The feature id for the 'Type Definitions' reference list
`static int` `XSD_SCHEMA__VERSION` The feature id for the 'Version' attribute
`static int` `XSD_SCHEMA_COMPOSITOR` The meta object id for the '`Schema Compositor`' class
`static int` `XSD_SCHEMA_COMPOSITOR__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_SCHEMA_COMPOSITOR__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_SCHEMA_COMPOSITOR__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_SCHEMA_COMPOSITOR__INCORPORATED_SCHEMA` The feature id for the 'Incorporated Schema' reference
`static int` `XSD_SCHEMA_COMPOSITOR__RESOLVED_SCHEMA` The feature id for the 'Resolved Schema' reference
`static int` `XSD_SCHEMA_COMPOSITOR__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_SCHEMA_COMPOSITOR__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_SCHEMA_COMPOSITOR__SCHEMA_LOCATION` The feature id for the 'Schema Location' attribute
`static int` `XSD_SCHEMA_COMPOSITOR_FEATURE_COUNT` The number of structural features of the 'Schema Compositor' class
`static int` `XSD_SCHEMA_CONTENT` The meta object id for the '`Schema Content`' class
`static int` `XSD_SCHEMA_CONTENT__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_SCHEMA_CONTENT__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_SCHEMA_CONTENT__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_SCHEMA_CONTENT__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_SCHEMA_CONTENT__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_SCHEMA_CONTENT_FEATURE_COUNT` The number of structural features of the 'Schema Content' class
`static int` `XSD_SCHEMA_DIRECTIVE` The meta object id for the '`Schema Directive`' class
`static int` `XSD_SCHEMA_DIRECTIVE__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_SCHEMA_DIRECTIVE__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_SCHEMA_DIRECTIVE__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_SCHEMA_DIRECTIVE__RESOLVED_SCHEMA` The feature id for the 'Resolved Schema' reference
`static int` `XSD_SCHEMA_DIRECTIVE__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_SCHEMA_DIRECTIVE__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_SCHEMA_DIRECTIVE__SCHEMA_LOCATION` The feature id for the 'Schema Location' attribute
`static int` `XSD_SCHEMA_DIRECTIVE_FEATURE_COUNT` The number of structural features of the 'Schema Directive' class
`static int` `XSD_SCHEMA_FEATURE_COUNT` The number of structural features of the 'Schema' class
`static int` `XSD_SCOPE` The meta object id for the '`Scope`' class
`static int` `XSD_SCOPE__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_SCOPE__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_SCOPE__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_SCOPE__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_SCOPE__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_SCOPE_FEATURE_COUNT` The number of structural features of the 'Scope' class
`static int` `XSD_SIMPLE_FINAL` The meta object id for the '`Simple Final`' enum
`static int` `XSD_SIMPLE_TYPE_DEFINITION` The meta object id for the '`Simple Type Definition`' class
`static int` `XSD_SIMPLE_TYPE_DEFINITION__ALIAS_NAME` The feature id for the 'Alias Name' attribute
`static int` `XSD_SIMPLE_TYPE_DEFINITION__ALIAS_URI` The feature id for the 'Alias URI' attribute
`static int` `XSD_SIMPLE_TYPE_DEFINITION__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__ANNOTATIONS` The feature id for the 'Annotations' reference list
`static int` `XSD_SIMPLE_TYPE_DEFINITION__BASE_TYPE` The feature id for the 'Base Type' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__BASE_TYPE_DEFINITION` The feature id for the 'Base Type Definition' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__BOUNDED_FACET` The feature id for the 'Bounded Facet' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__CARDINALITY_FACET` The feature id for the 'Cardinality Facet' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__CIRCULAR` The feature id for the 'Circular' attribute
`static int` `XSD_SIMPLE_TYPE_DEFINITION__COMPLEX_TYPE` The feature id for the 'Complex Type' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__CONTENTS` The feature id for the 'Contents' containment reference list
`static int` `XSD_SIMPLE_TYPE_DEFINITION__DERIVATION_ANNOTATION` The feature id for the 'Derivation Annotation' containment reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_ENUMERATION_FACET` The feature id for the 'Effective Enumeration Facet' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_FRACTION_DIGITS_FACET` The feature id for the 'Effective Fraction Digits Facet' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_LENGTH_FACET` The feature id for the 'Effective Length Facet' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_MAX_FACET` The feature id for the 'Effective Max Facet' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_MAX_LENGTH_FACET` The feature id for the 'Effective Max Length Facet' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_MIN_FACET` The feature id for the 'Effective Min Facet' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_MIN_LENGTH_FACET` The feature id for the 'Effective Min Length Facet' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_PATTERN_FACET` The feature id for the 'Effective Pattern Facet' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_TOTAL_DIGITS_FACET` The feature id for the 'Effective Total Digits Facet' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_WHITE_SPACE_FACET` The feature id for the 'Effective White Space Facet' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_SIMPLE_TYPE_DEFINITION__ENUMERATION_FACETS` The feature id for the 'Enumeration Facets' reference list
`static int` `XSD_SIMPLE_TYPE_DEFINITION__FACET_CONTENTS` The feature id for the 'Facet Contents' containment reference list
`static int` `XSD_SIMPLE_TYPE_DEFINITION__FACETS` The feature id for the 'Facets' reference list
`static int` `XSD_SIMPLE_TYPE_DEFINITION__FINAL` The feature id for the 'Final' attribute list
`static int` `XSD_SIMPLE_TYPE_DEFINITION__FRACTION_DIGITS_FACET` The feature id for the 'Fraction Digits Facet' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__FUNDAMENTAL_FACETS` The feature id for the 'Fundamental Facets' containment reference list
`static int` `XSD_SIMPLE_TYPE_DEFINITION__ITEM_TYPE_DEFINITION` The feature id for the 'Item Type Definition' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__LENGTH_FACET` The feature id for the 'Length Facet' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__LEXICAL_FINAL` The feature id for the 'Lexical Final' attribute list
`static int` `XSD_SIMPLE_TYPE_DEFINITION__MAX_EXCLUSIVE_FACET` The feature id for the 'Max Exclusive Facet' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__MAX_FACET` The feature id for the 'Max Facet' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__MAX_INCLUSIVE_FACET` The feature id for the 'Max Inclusive Facet' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__MAX_LENGTH_FACET` The feature id for the 'Max Length Facet' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__MEMBER_TYPE_DEFINITIONS` The feature id for the 'Member Type Definitions' reference list
`static int` `XSD_SIMPLE_TYPE_DEFINITION__MIN_EXCLUSIVE_FACET` The feature id for the 'Min Exclusive Facet' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__MIN_FACET` The feature id for the 'Min Facet' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__MIN_INCLUSIVE_FACET` The feature id for the 'Min Inclusive Facet' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__MIN_LENGTH_FACET` The feature id for the 'Min Length Facet' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__NAME` The feature id for the 'Name' attribute
`static int` `XSD_SIMPLE_TYPE_DEFINITION__NUMERIC_FACET` The feature id for the 'Numeric Facet' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__ORDERED_FACET` The feature id for the 'Ordered Facet' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__PATTERN_FACETS` The feature id for the 'Pattern Facets' reference list
`static int` `XSD_SIMPLE_TYPE_DEFINITION__PRIMITIVE_TYPE_DEFINITION` The feature id for the 'Primitive Type Definition' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__QNAME` The feature id for the 'QName' attribute
`static int` `XSD_SIMPLE_TYPE_DEFINITION__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__ROOT_TYPE` The feature id for the 'Root Type' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__ROOT_TYPE_DEFINITION` The feature id for the 'Root Type Definition' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__SIMPLE_TYPE` The feature id for the 'Simple Type' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__SYNTHETIC_FACETS` The feature id for the 'Synthetic Facets' containment reference list
`static int` `XSD_SIMPLE_TYPE_DEFINITION__TARGET_NAMESPACE` The feature id for the 'Target Namespace' attribute
`static int` `XSD_SIMPLE_TYPE_DEFINITION__TOTAL_DIGITS_FACET` The feature id for the 'Total Digits Facet' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION__URI` The feature id for the 'URI' attribute
`static int` `XSD_SIMPLE_TYPE_DEFINITION__VALID_FACETS` The feature id for the 'Valid Facets' attribute list
`static int` `XSD_SIMPLE_TYPE_DEFINITION__VARIETY` The feature id for the 'Variety' attribute
`static int` `XSD_SIMPLE_TYPE_DEFINITION__WHITE_SPACE_FACET` The feature id for the 'White Space Facet' reference
`static int` `XSD_SIMPLE_TYPE_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Simple Type Definition' class
`static int` `XSD_SUBSTITUTION_GROUP_EXCLUSIONS` The meta object id for the '`Substitution Group Exclusions`' enum
`static int` `XSD_TERM` The meta object id for the '`Term`' class
`static int` `XSD_TERM__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_TERM__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_TERM__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_TERM__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_TERM__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_TERM_FEATURE_COUNT` The number of structural features of the 'Term' class
`static int` `XSD_TOTAL_DIGITS_FACET` The meta object id for the '`Total Digits Facet`' class
`static int` `XSD_TOTAL_DIGITS_FACET__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_TOTAL_DIGITS_FACET__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_TOTAL_DIGITS_FACET__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_TOTAL_DIGITS_FACET__EFFECTIVE_VALUE` The feature id for the 'Effective Value' attribute
`static int` `XSD_TOTAL_DIGITS_FACET__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_TOTAL_DIGITS_FACET__FACET_NAME` The feature id for the 'Facet Name' attribute
`static int` `XSD_TOTAL_DIGITS_FACET__FIXED` The feature id for the 'Fixed' attribute
`static int` `XSD_TOTAL_DIGITS_FACET__LEXICAL_VALUE` The feature id for the 'Lexical Value' attribute
`static int` `XSD_TOTAL_DIGITS_FACET__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_TOTAL_DIGITS_FACET__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_TOTAL_DIGITS_FACET__SIMPLE_TYPE_DEFINITION` The feature id for the 'Simple Type Definition' reference
`static int` `XSD_TOTAL_DIGITS_FACET__VALUE` The feature id for the 'Value' attribute
`static int` `XSD_TOTAL_DIGITS_FACET_FEATURE_COUNT` The number of structural features of the 'Total Digits Facet' class
`static int` `XSD_TYPE_DEFINITION` The meta object id for the '`Type Definition`' class
`static int` `XSD_TYPE_DEFINITION__ALIAS_NAME` The feature id for the 'Alias Name' attribute
`static int` `XSD_TYPE_DEFINITION__ALIAS_URI` The feature id for the 'Alias URI' attribute
`static int` `XSD_TYPE_DEFINITION__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_TYPE_DEFINITION__ANNOTATIONS` The feature id for the 'Annotations' reference list
`static int` `XSD_TYPE_DEFINITION__BASE_TYPE` The feature id for the 'Base Type' reference
`static int` `XSD_TYPE_DEFINITION__CIRCULAR` The feature id for the 'Circular' attribute
`static int` `XSD_TYPE_DEFINITION__COMPLEX_TYPE` The feature id for the 'Complex Type' reference
`static int` `XSD_TYPE_DEFINITION__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_TYPE_DEFINITION__DERIVATION_ANNOTATION` The feature id for the 'Derivation Annotation' containment reference
`static int` `XSD_TYPE_DEFINITION__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_TYPE_DEFINITION__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_TYPE_DEFINITION__NAME` The feature id for the 'Name' attribute
`static int` `XSD_TYPE_DEFINITION__QNAME` The feature id for the 'QName' attribute
`static int` `XSD_TYPE_DEFINITION__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_TYPE_DEFINITION__ROOT_TYPE` The feature id for the 'Root Type' reference
`static int` `XSD_TYPE_DEFINITION__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_TYPE_DEFINITION__SIMPLE_TYPE` The feature id for the 'Simple Type' reference
`static int` `XSD_TYPE_DEFINITION__TARGET_NAMESPACE` The feature id for the 'Target Namespace' attribute
`static int` `XSD_TYPE_DEFINITION__URI` The feature id for the 'URI' attribute
`static int` `XSD_TYPE_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Type Definition' class
`static int` `XSD_VARIETY` The meta object id for the '`Variety`' enum
`static int` `XSD_WHITE_SPACE` The meta object id for the '`White Space`' enum
`static int` `XSD_WHITE_SPACE_FACET` The meta object id for the '`White Space Facet`' class
`static int` `XSD_WHITE_SPACE_FACET__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_WHITE_SPACE_FACET__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_WHITE_SPACE_FACET__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_WHITE_SPACE_FACET__EFFECTIVE_VALUE` The feature id for the 'Effective Value' attribute
`static int` `XSD_WHITE_SPACE_FACET__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_WHITE_SPACE_FACET__FACET_NAME` The feature id for the 'Facet Name' attribute
`static int` `XSD_WHITE_SPACE_FACET__FIXED` The feature id for the 'Fixed' attribute
`static int` `XSD_WHITE_SPACE_FACET__LEXICAL_VALUE` The feature id for the 'Lexical Value' attribute
`static int` `XSD_WHITE_SPACE_FACET__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_WHITE_SPACE_FACET__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_WHITE_SPACE_FACET__SIMPLE_TYPE_DEFINITION` The feature id for the 'Simple Type Definition' reference
`static int` `XSD_WHITE_SPACE_FACET__VALUE` The feature id for the 'Value' attribute
`static int` `XSD_WHITE_SPACE_FACET_FEATURE_COUNT` The number of structural features of the 'White Space Facet' class
`static int` `XSD_WILDCARD` The meta object id for the '`Wildcard`' class
`static int` `XSD_WILDCARD__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_WILDCARD__ANNOTATIONS` The feature id for the 'Annotations' reference list
`static int` `XSD_WILDCARD__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_WILDCARD__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_WILDCARD__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_WILDCARD__LEXICAL_NAMESPACE_CONSTRAINT` The feature id for the 'Lexical Namespace Constraint' attribute list
`static int` `XSD_WILDCARD__NAMESPACE_CONSTRAINT` The feature id for the 'Namespace Constraint' attribute list
`static int` `XSD_WILDCARD__NAMESPACE_CONSTRAINT_CATEGORY` The feature id for the 'Namespace Constraint Category' attribute
`static int` `XSD_WILDCARD__PROCESS_CONTENTS` The feature id for the 'Process Contents' attribute
`static int` `XSD_WILDCARD__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_WILDCARD__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_WILDCARD_FEATURE_COUNT` The number of structural features of the 'Wildcard' class
`static int` `XSD_XPATH_DEFINITION` The meta object id for the '`XPath Definition`' class
`static int` `XSD_XPATH_DEFINITION__ANNOTATION` The feature id for the 'Annotation' containment reference
`static int` `XSD_XPATH_DEFINITION__CONTAINER` The feature id for the 'Container' reference
`static int` `XSD_XPATH_DEFINITION__DIAGNOSTICS` The feature id for the 'Diagnostics' containment reference list
`static int` `XSD_XPATH_DEFINITION__ELEMENT` The feature id for the 'Element' attribute
`static int` `XSD_XPATH_DEFINITION__ROOT_CONTAINER` The feature id for the 'Root Container' reference
`static int` `XSD_XPATH_DEFINITION__SCHEMA` The feature id for the 'Schema' reference
`static int` `XSD_XPATH_DEFINITION__VALUE` The feature id for the 'Value' attribute
`static int` `XSD_XPATH_DEFINITION__VARIETY` The feature id for the 'Variety' attribute
`static int` `XSD_XPATH_DEFINITION_FEATURE_COUNT` The number of structural features of the 'XPath Definition' class
`static int` `XSD_XPATH_VARIETY` The meta object id for the '`XPath Variety`' enum

Method Summary
`EDataType` `getDOMAttr()` Returns the meta object for data type '`DOM Attr`'
`EDataType` `getDOMDocument()` Returns the meta object for data type '`DOM Document`'
`EDataType` `getDOMElement()` Returns the meta object for data type '`DOM Element`'
`EDataType` `getDOMNode()` Returns the meta object for data type '`DOM Node`'
`EDataType` `getValue()` Returns the meta object for data type '`Value`'
`EAttribute` `getXSDAnnotation_ApplicationInformation()` Returns the meta object for the attribute list '`Application Information`'
`EAttribute` `getXSDAnnotation_Attributes()` Returns the meta object for the attribute list '`Attributes`'
`EAttribute` `getXSDAnnotation_UserInformation()` Returns the meta object for the attribute list '`User Information`'
`EClass` `getXSDAnnotation()` Returns the meta object for class '`Annotation`'
`EReference` `getXSDAttributeDeclaration_Annotation()` Returns the meta object for the containment reference '`Annotation`'
`EReference` `getXSDAttributeDeclaration_AnonymousTypeDefinition()` Returns the meta object for the containment reference '`Anonymous Type Definition`'
`EAttribute` `getXSDAttributeDeclaration_AttributeDeclarationReference()` Returns the meta object for the attribute '`Attribute Declaration Reference`'
`EReference` `getXSDAttributeDeclaration_ResolvedAttributeDeclaration()` Returns the meta object for the reference '`Resolved Attribute Declaration`'
`EReference` `getXSDAttributeDeclaration_TypeDefinition()` Returns the meta object for the reference '`Type Definition`'
`EClass` `getXSDAttributeDeclaration()` Returns the meta object for class '`Attribute Declaration`'
`EClass` `getXSDAttributeGroupContent()` Returns the meta object for class '`Attribute Group Content`'
`EReference` `getXSDAttributeGroupDefinition_Annotation()` Returns the meta object for the containment reference '`Annotation`'
`EAttribute` `getXSDAttributeGroupDefinition_AttributeGroupDefinitionReference()` Returns the meta object for the attribute '`Attribute Group Definition Reference`'
`EReference` `getXSDAttributeGroupDefinition_AttributeUses()` Returns the meta object for the reference list '`Attribute Uses`'
`EReference` `getXSDAttributeGroupDefinition_AttributeWildcard()` Returns the meta object for the reference '`Attribute Wildcard`'
`EReference` `getXSDAttributeGroupDefinition_AttributeWildcardContent()` Returns the meta object for the containment reference '`Attribute Wildcard Content`'
`EReference` `getXSDAttributeGroupDefinition_Contents()` Returns the meta object for the containment reference list '`Contents`'
`EReference` `getXSDAttributeGroupDefinition_ResolvedAttributeGroupDefinition()` Returns the meta object for the reference '`Resolved Attribute Group Definition`'
`EReference` `getXSDAttributeGroupDefinition_SyntheticWildcard()` Returns the meta object for the containment reference '`Synthetic Wildcard`'
`EClass` `getXSDAttributeGroupDefinition()` Returns the meta object for class '`Attribute Group Definition`'
`EReference` `getXSDAttributeUse_AttributeDeclaration()` Returns the meta object for the reference '`Attribute Declaration`'
`EAttribute` `getXSDAttributeUse_Constraint()` Returns the meta object for the attribute '`Constraint`'
`EReference` `getXSDAttributeUse_Content()` Returns the meta object for the containment reference '`Content`'
`EAttribute` `getXSDAttributeUse_LexicalValue()` Returns the meta object for the attribute '`Lexical Value`'
`EAttribute` `getXSDAttributeUse_Required()` Returns the meta object for the attribute '`Required`'
`EAttribute` `getXSDAttributeUse_Use()` Returns the meta object for the attribute '`Use`'
`EAttribute` `getXSDAttributeUse_Value()` Returns the meta object for the attribute '`Value`'
`EClass` `getXSDAttributeUse()` Returns the meta object for class '`Attribute Use`'
`EEnum` `getXSDAttributeUseCategory()` Returns the meta object for enum '`Attribute Use Category`'
`EAttribute` `getXSDBoundedFacet_Value()` Returns the meta object for the attribute '`Value`'
`EClass` `getXSDBoundedFacet()` Returns the meta object for class '`Bounded Facet`'
`EEnum` `getXSDCardinality()` Returns the meta object for enum '`Cardinality`'
`EAttribute` `getXSDCardinalityFacet_Value()` Returns the meta object for the attribute '`Value`'
`EClass` `getXSDCardinalityFacet()` Returns the meta object for class '`Cardinality Facet`'
`EEnum` `getXSDComplexFinal()` Returns the meta object for enum '`Complex Final`'
`EClass` `getXSDComplexTypeContent()` Returns the meta object for class '`Complex Type Content`'
`EAttribute` `getXSDComplexTypeDefinition_Abstract()` Returns the meta object for the attribute '`Abstract`'
`EReference` `getXSDComplexTypeDefinition_AttributeContents()` Returns the meta object for the containment reference list '`Attribute Contents`'
`EReference` `getXSDComplexTypeDefinition_AttributeUses()` Returns the meta object for the reference list '`Attribute Uses`'
`EReference` `getXSDComplexTypeDefinition_AttributeWildcard()` Returns the meta object for the reference '`Attribute Wildcard`'
`EReference` `getXSDComplexTypeDefinition_AttributeWildcardContent()` Returns the meta object for the containment reference '`Attribute Wildcard Content`'
`EReference` `getXSDComplexTypeDefinition_BaseTypeDefinition()` Returns the meta object for the reference '`Base Type Definition`'
`EAttribute` `getXSDComplexTypeDefinition_Block()` Returns the meta object for the attribute list '`Block`'
`EReference` `getXSDComplexTypeDefinition_Content()` Returns the meta object for the containment reference '`Content`'
`EReference` `getXSDComplexTypeDefinition_ContentAnnotation()` Returns the meta object for the containment reference '`Content Annotation`'
`EReference` `getXSDComplexTypeDefinition_ContentType()` Returns the meta object for the reference '`Content Type`'
`EAttribute` `getXSDComplexTypeDefinition_ContentTypeCategory()` Returns the meta object for the attribute '`Content Type Category`'
`EAttribute` `getXSDComplexTypeDefinition_DerivationMethod()` Returns the meta object for the attribute '`Derivation Method`'
`EAttribute` `getXSDComplexTypeDefinition_Final()` Returns the meta object for the attribute list '`Final`'
`EAttribute` `getXSDComplexTypeDefinition_LexicalFinal()` Returns the meta object for the attribute list '`Lexical Final`'
`EAttribute` `getXSDComplexTypeDefinition_Mixed()` Returns the meta object for the attribute '`Mixed`'
`EAttribute` `getXSDComplexTypeDefinition_ProhibitedSubstitutions()` Returns the meta object for the attribute list '`Prohibited Substitutions`'
`EReference` `getXSDComplexTypeDefinition_RootTypeDefinition()` Returns the meta object for the reference '`Root Type Definition`'
`EReference` `getXSDComplexTypeDefinition_SyntheticParticle()` Returns the meta object for the containment reference '`Synthetic Particle`'
`EReference` `getXSDComplexTypeDefinition_SyntheticWildcard()` Returns the meta object for the containment reference '`Synthetic Wildcard`'
`EClass` `getXSDComplexTypeDefinition()` Returns the meta object for class '`Complex Type Definition`'
`EClass` `getXSDComponent()` Returns the meta object for class '`Component`'
`EEnum` `getXSDCompositor()` Returns the meta object for enum '`Compositor`'
`EReference` `getXSDConcreteComponent_Container()` Returns the meta object for the reference '`Container`'
`EReference` `getXSDConcreteComponent_Diagnostics()` Returns the meta object for the containment reference list '`Diagnostics`'
`EAttribute` `getXSDConcreteComponent_Element()` Returns the meta object for the attribute '`Element`'
`EReference` `getXSDConcreteComponent_RootContainer()` Returns the meta object for the reference '`Root Container`'
`EReference` `getXSDConcreteComponent_Schema()` Returns the meta object for the reference '`Schema`'
`EClass` `getXSDConcreteComponent()` Returns the meta object for class '`Concrete Component`'
`EClass` `getXSDConstrainingFacet()` Returns the meta object for class '`Constraining Facet`'
`EEnum` `getXSDConstraint()` Returns the meta object for enum '`Constraint`'
`EEnum` `getXSDContentTypeCategory()` Returns the meta object for enum '`Content Type Category`'
`EEnum` `getXSDDerivationMethod()` Returns the meta object for enum '`Derivation Method`'
`EAttribute` `getXSDDiagnostic_AnnotationURI()` Returns the meta object for the attribute '`Annotation URI`'
`EAttribute` `getXSDDiagnostic_Column()` Returns the meta object for the attribute '`Column`'
`EReference` `getXSDDiagnostic_Components()` Returns the meta object for the reference list '`Components`'
`EAttribute` `getXSDDiagnostic_Key()` Returns the meta object for the attribute '`Key`'
`EAttribute` `getXSDDiagnostic_Line()` Returns the meta object for the attribute '`Line`'
`EAttribute` `getXSDDiagnostic_LocationURI()` Returns the meta object for the attribute '`Location URI`'
`EAttribute` `getXSDDiagnostic_Message()` Returns the meta object for the attribute '`Message`'
`EAttribute` `getXSDDiagnostic_Node()` Returns the meta object for the attribute '`Node`'
`EReference` `getXSDDiagnostic_PrimaryComponent()` Returns the meta object for the reference '`Primary Component`'
`EAttribute` `getXSDDiagnostic_Severity()` Returns the meta object for the attribute '`Severity`'
`EAttribute` `getXSDDiagnostic_Substitutions()` Returns the meta object for the attribute list '`Substitutions`'
`EClass` `getXSDDiagnostic()` Returns the meta object for class '`Diagnostic`'
`EEnum` `getXSDDiagnosticSeverity()` Returns the meta object for enum '`Diagnostic Severity`'
`EEnum` `getXSDDisallowedSubstitutions()` Returns the meta object for enum '`Disallowed Substitutions`'
`EAttribute` `getXSDElementDeclaration_Abstract()` Returns the meta object for the attribute '`Abstract`'
`EReference` `getXSDElementDeclaration_Annotation()` Returns the meta object for the containment reference '`Annotation`'
`EReference` `getXSDElementDeclaration_AnonymousTypeDefinition()` Returns the meta object for the containment reference '`Anonymous Type Definition`'
`EAttribute` `getXSDElementDeclaration_Block()` Returns the meta object for the attribute list '`Block`'
`EAttribute` `getXSDElementDeclaration_Circular()` Returns the meta object for the attribute '`Circular`'
`EAttribute` `getXSDElementDeclaration_DisallowedSubstitutions()` Returns the meta object for the attribute list '`Disallowed Substitutions`'
`EAttribute` `getXSDElementDeclaration_ElementDeclarationReference()` Returns the meta object for the attribute '`Element Declaration Reference`'
`EReference` `getXSDElementDeclaration_IdentityConstraintDefinitions()` Returns the meta object for the containment reference list '`Identity Constraint Definitions`'
`EAttribute` `getXSDElementDeclaration_LexicalFinal()` Returns the meta object for the attribute list '`Lexical Final`'
`EAttribute` `getXSDElementDeclaration_Nillable()` Returns the meta object for the attribute '`Nillable`'
`EReference` `getXSDElementDeclaration_ResolvedElementDeclaration()` Returns the meta object for the reference '`Resolved Element Declaration`'
`EReference` `getXSDElementDeclaration_SubstitutionGroup()` Returns the meta object for the reference list '`Substitution Group`'
`EReference` `getXSDElementDeclaration_SubstitutionGroupAffiliation()` Returns the meta object for the reference '`Substitution Group Affiliation`'
`EAttribute` `getXSDElementDeclaration_SubstitutionGroupExclusions()` Returns the meta object for the attribute list '`Substitution Group Exclusions`'
`EReference` `getXSDElementDeclaration_TypeDefinition()` Returns the meta object for the reference '`Type Definition`'
`EClass` `getXSDElementDeclaration()` Returns the meta object for class '`Element Declaration`'
`EAttribute` `getXSDEnumerationFacet_Value()` Returns the meta object for the attribute list '`Value`'
`EClass` `getXSDEnumerationFacet()` Returns the meta object for class '`Enumeration Facet`'
`EReference` `getXSDFacet_Annotation()` Returns the meta object for the containment reference '`Annotation`'
`EAttribute` `getXSDFacet_EffectiveValue()` Returns the meta object for the attribute '`Effective Value`'
`EAttribute` `getXSDFacet_FacetName()` Returns the meta object for the attribute '`Facet Name`'
`EAttribute` `getXSDFacet_LexicalValue()` Returns the meta object for the attribute '`Lexical Value`'
`EReference` `getXSDFacet_SimpleTypeDefinition()` Returns the meta object for the reference '`Simple Type Definition`'
`EClass` `getXSDFacet()` Returns the meta object for class '`Facet`'
`XSDFactory` `getXSDFactory()` Returns the factory that creates the instances of the model
`EAttribute` `getXSDFeature_Constraint()` Returns the meta object for the attribute '`Constraint`'
`EAttribute` `getXSDFeature_FeatureReference()` Returns the meta object for the attribute '`Feature Reference`'
`EAttribute` `getXSDFeature_Form()` Returns the meta object for the attribute '`Form`'
`EAttribute` `getXSDFeature_Global()` Returns the meta object for the attribute '`Global`'
`EAttribute` `getXSDFeature_LexicalValue()` Returns the meta object for the attribute '`Lexical Value`'
`EReference` `getXSDFeature_ResolvedFeature()` Returns the meta object for the reference '`Resolved Feature`'
`EReference` `getXSDFeature_Scope()` Returns the meta object for the reference '`Scope`'
`EReference` `getXSDFeature_Type()` Returns the meta object for the reference '`Type`'
`EAttribute` `getXSDFeature_Value()` Returns the meta object for the attribute '`Value`'
`EClass` `getXSDFeature()` Returns the meta object for class '`Feature`'
`EAttribute` `getXSDFixedFacet_Fixed()` Returns the meta object for the attribute '`Fixed`'
`EClass` `getXSDFixedFacet()` Returns the meta object for class '`Fixed Facet`'
`EEnum` `getXSDForm()` Returns the meta object for enum '`Form`'
`EAttribute` `getXSDFractionDigitsFacet_Value()` Returns the meta object for the attribute '`Value`'
`EClass` `getXSDFractionDigitsFacet()` Returns the meta object for class '`Fraction Digits Facet`'
`EClass` `getXSDFundamentalFacet()` Returns the meta object for class '`Fundamental Facet`'
`EEnum` `getXSDIdentityConstraintCategory()` Returns the meta object for enum '`Identity Constraint Category`'
`EReference` `getXSDIdentityConstraintDefinition_Annotation()` Returns the meta object for the containment reference '`Annotation`'
`EReference` `getXSDIdentityConstraintDefinition_Fields()` Returns the meta object for the containment reference list '`Fields`'
`EAttribute` `getXSDIdentityConstraintDefinition_IdentityConstraintCategory()` Returns the meta object for the attribute '`Identity Constraint Category`'
`EReference` `getXSDIdentityConstraintDefinition_ReferencedKey()` Returns the meta object for the reference '`Referenced Key`'
`EReference` `getXSDIdentityConstraintDefinition_Selector()` Returns the meta object for the containment reference '`Selector`'
`EClass` `getXSDIdentityConstraintDefinition()` Returns the meta object for class '`Identity Constraint Definition`'
`EReference` `getXSDImport_Annotation()` Returns the meta object for the containment reference '`Annotation`'
`EAttribute` `getXSDImport_Namespace()` Returns the meta object for the attribute '`Namespace`'
`EClass` `getXSDImport()` Returns the meta object for class '`Import`'
`EReference` `getXSDInclude_Annotation()` Returns the meta object for the containment reference '`Annotation`'
`EClass` `getXSDInclude()` Returns the meta object for class '`Include`'
`EAttribute` `getXSDLengthFacet_Value()` Returns the meta object for the attribute '`Value`'
`EClass` `getXSDLengthFacet()` Returns the meta object for class '`Length Facet`'
`EClass` `getXSDMaxExclusiveFacet()` Returns the meta object for class '`Max Exclusive Facet`'
`EAttribute` `getXSDMaxFacet_Exclusive()` Returns the meta object for the attribute '`Exclusive`'
`EAttribute` `getXSDMaxFacet_Inclusive()` Returns the meta object for the attribute '`Inclusive`'
`EAttribute` `getXSDMaxFacet_Value()` Returns the meta object for the attribute '`Value`'
`EClass` `getXSDMaxFacet()` Returns the meta object for class '`Max Facet`'
`EClass` `getXSDMaxInclusiveFacet()` Returns the meta object for class '`Max Inclusive Facet`'
`EAttribute` `getXSDMaxLengthFacet_Value()` Returns the meta object for the attribute '`Value`'
`EClass` `getXSDMaxLengthFacet()` Returns the meta object for class '`Max Length Facet`'
`EClass` `getXSDMinExclusiveFacet()` Returns the meta object for class '`Min Exclusive Facet`'
`EAttribute` `getXSDMinFacet_Exclusive()` Returns the meta object for the attribute '`Exclusive`'
`EAttribute` `getXSDMinFacet_Inclusive()` Returns the meta object for the attribute '`Inclusive`'
`EAttribute` `getXSDMinFacet_Value()` Returns the meta object for the attribute '`Value`'
`EClass` `getXSDMinFacet()` Returns the meta object for class '`Min Facet`'
`EClass` `getXSDMinInclusiveFacet()` Returns the meta object for class '`Min Inclusive Facet`'
`EAttribute` `getXSDMinLengthFacet_Value()` Returns the meta object for the attribute '`Value`'
`EClass` `getXSDMinLengthFacet()` Returns the meta object for class '`Min Length Facet`'
`EReference` `getXSDModelGroup_Annotation()` Returns the meta object for the containment reference '`Annotation`'
`EAttribute` `getXSDModelGroup_Compositor()` Returns the meta object for the attribute '`Compositor`'
`EReference` `getXSDModelGroup_Contents()` Returns the meta object for the containment reference list '`Contents`'
`EReference` `getXSDModelGroup_Particles()` Returns the meta object for the reference list '`Particles`'
`EClass` `getXSDModelGroup()` Returns the meta object for class '`Model Group`'
`EReference` `getXSDModelGroupDefinition_Annotation()` Returns the meta object for the containment reference '`Annotation`'
`EReference` `getXSDModelGroupDefinition_ModelGroup()` Returns the meta object for the containment reference '`Model Group`'
`EAttribute` `getXSDModelGroupDefinition_ModelGroupDefinitionReference()` Returns the meta object for the attribute '`Model Group Definition Reference`'
`EReference` `getXSDModelGroupDefinition_ResolvedModelGroupDefinition()` Returns the meta object for the reference '`Resolved Model Group Definition`'
`EClass` `getXSDModelGroupDefinition()` Returns the meta object for class '`Model Group Definition`'
`EAttribute` `getXSDNamedComponent_AliasName()` Returns the meta object for the attribute '`Alias Name`'
`EAttribute` `getXSDNamedComponent_AliasURI()` Returns the meta object for the attribute '`Alias URI`'
`EAttribute` `getXSDNamedComponent_Name()` Returns the meta object for the attribute '`Name`'
`EAttribute` `getXSDNamedComponent_QName()` Returns the meta object for the attribute '`QName`'
`EAttribute` `getXSDNamedComponent_TargetNamespace()` Returns the meta object for the attribute '`Target Namespace`'
`EAttribute` `getXSDNamedComponent_URI()` Returns the meta object for the attribute '`URI`'
`EClass` `getXSDNamedComponent()` Returns the meta object for class '`Named Component`'
`EEnum` `getXSDNamespaceConstraintCategory()` Returns the meta object for enum '`Namespace Constraint Category`'
`EReference` `getXSDNotationDeclaration_Annotation()` Returns the meta object for the containment reference '`Annotation`'
`EAttribute` `getXSDNotationDeclaration_PublicIdentifier()` Returns the meta object for the attribute '`Public Identifier`'
`EAttribute` `getXSDNotationDeclaration_SystemIdentifier()` Returns the meta object for the attribute '`System Identifier`'
`EClass` `getXSDNotationDeclaration()` Returns the meta object for class '`Notation Declaration`'
`EAttribute` `getXSDNumericFacet_Value()` Returns the meta object for the attribute '`Value`'
`EClass` `getXSDNumericFacet()` Returns the meta object for class '`Numeric Facet`'
`EEnum` `getXSDOrdered()` Returns the meta object for enum '`Ordered`'
`EAttribute` `getXSDOrderedFacet_Value()` Returns the meta object for the attribute '`Value`'
`EClass` `getXSDOrderedFacet()` Returns the meta object for class '`Ordered Facet`'
`EReference` `getXSDParticle_Content()` Returns the meta object for the containment reference '`Content`'
`EAttribute` `getXSDParticle_MaxOccurs()` Returns the meta object for the attribute '`Max Occurs`'
`EAttribute` `getXSDParticle_MinOccurs()` Returns the meta object for the attribute '`Min Occurs`'
`EReference` `getXSDParticle_Term()` Returns the meta object for the reference '`Term`'
`EClass` `getXSDParticle()` Returns the meta object for class '`Particle`'
`EClass` `getXSDParticleContent()` Returns the meta object for class '`Particle Content`'
`EAttribute` `getXSDPatternFacet_Value()` Returns the meta object for the attribute list '`Value`'
`EClass` `getXSDPatternFacet()` Returns the meta object for class '`Pattern Facet`'
`EEnum` `getXSDProcessContents()` Returns the meta object for enum '`Process Contents`'
`EEnum` `getXSDProhibitedSubstitutions()` Returns the meta object for enum '`Prohibited Substitutions`'
`EAttribute` `getXSDRedefinableComponent_Circular()` Returns the meta object for the attribute '`Circular`'
`EClass` `getXSDRedefinableComponent()` Returns the meta object for class '`Redefinable Component`'
`EReference` `getXSDRedefine_Annotations()` Returns the meta object for the reference list '`Annotations`'
`EReference` `getXSDRedefine_Contents()` Returns the meta object for the containment reference list '`Contents`'
`EClass` `getXSDRedefine()` Returns the meta object for class '`Redefine`'
`EClass` `getXSDRedefineContent()` Returns the meta object for class '`Redefine Content`'
`EReference` `getXSDRepeatableFacet_Annotations()` Returns the meta object for the reference list '`Annotations`'
`EClass` `getXSDRepeatableFacet()` Returns the meta object for class '`Repeatable Facet`'
`EReference` `getXSDSchema_AllDiagnostics()` Returns the meta object for the reference list '`All Diagnostics`'
`EReference` `getXSDSchema_Annotations()` Returns the meta object for the reference list '`Annotations`'
`EReference` `getXSDSchema_AttributeDeclarations()` Returns the meta object for the reference list '`Attribute Declarations`'
`EAttribute` `getXSDSchema_AttributeFormDefault()` Returns the meta object for the attribute '`Attribute Form Default`'
`EReference` `getXSDSchema_AttributeGroupDefinitions()` Returns the meta object for the reference list '`Attribute Group Definitions`'
`EAttribute` `getXSDSchema_BlockDefault()` Returns the meta object for the attribute list '`Block Default`'
`EReference` `getXSDSchema_Contents()` Returns the meta object for the containment reference list '`Contents`'
`EAttribute` `getXSDSchema_Document()` Returns the meta object for the attribute '`Document`'
`EReference` `getXSDSchema_ElementDeclarations()` Returns the meta object for the reference list '`Element Declarations`'
`EAttribute` `getXSDSchema_ElementFormDefault()` Returns the meta object for the attribute '`Element Form Default`'
`EAttribute` `getXSDSchema_FinalDefault()` Returns the meta object for the attribute list '`Final Default`'
`EReference` `getXSDSchema_IdentityConstraintDefinitions()` Returns the meta object for the reference list '`Identity Constraint Definitions`'
`EReference` `getXSDSchema_IncorporatedVersions()` Returns the meta object for the containment reference list '`Incorporated Versions`'
`EReference` `getXSDSchema_ModelGroupDefinitions()` Returns the meta object for the reference list '`Model Group Definitions`'
`EReference` `getXSDSchema_NotationDeclarations()` Returns the meta object for the reference list '`Notation Declarations`'
`EReference` `getXSDSchema_OriginalVersion()` Returns the meta object for the reference '`Original Version`'
`EReference` `getXSDSchema_ReferencingDirectives()` Returns the meta object for the reference list '`Referencing Directives`'
`EReference` `getXSDSchema_RootVersion()` Returns the meta object for the reference '`Root Version`'
`EReference` `getXSDSchema_SchemaForSchema()` Returns the meta object for the reference '`Schema For Schema`'
`EAttribute` `getXSDSchema_SchemaLocation()` Returns the meta object for the attribute '`Schema Location`'
`EAttribute` `getXSDSchema_TargetNamespace()` Returns the meta object for the attribute '`Target Namespace`'
`EReference` `getXSDSchema_TypeDefinitions()` Returns the meta object for the reference list '`Type Definitions`'
`EAttribute` `getXSDSchema_Version()` Returns the meta object for the attribute '`Version`'
`EClass` `getXSDSchema()` Returns the meta object for class '`Schema`'
`EReference` `getXSDSchemaCompositor_IncorporatedSchema()` Returns the meta object for the reference '`Incorporated Schema`'
`EClass` `getXSDSchemaCompositor()` Returns the meta object for class '`Schema Compositor`'
`EClass` `getXSDSchemaContent()` Returns the meta object for class '`Schema Content`'
`EReference` `getXSDSchemaDirective_ResolvedSchema()` Returns the meta object for the reference '`Resolved Schema`'
`EAttribute` `getXSDSchemaDirective_SchemaLocation()` Returns the meta object for the attribute '`Schema Location`'
`EClass` `getXSDSchemaDirective()` Returns the meta object for class '`Schema Directive`'
`EClass` `getXSDScope()` Returns the meta object for class '`Scope`'
`EEnum` `getXSDSimpleFinal()` Returns the meta object for enum '`Simple Final`'
`EReference` `getXSDSimpleTypeDefinition_BaseTypeDefinition()` Returns the meta object for the reference '`Base Type Definition`'
`EReference` `getXSDSimpleTypeDefinition_BoundedFacet()` Returns the meta object for the reference '`Bounded Facet`'
`EReference` `getXSDSimpleTypeDefinition_CardinalityFacet()` Returns the meta object for the reference '`Cardinality Facet`'
`EReference` `getXSDSimpleTypeDefinition_Contents()` Returns the meta object for the containment reference list '`Contents`'
`EReference` `getXSDSimpleTypeDefinition_EffectiveEnumerationFacet()` Returns the meta object for the reference '`Effective Enumeration Facet`'
`EReference` `getXSDSimpleTypeDefinition_EffectiveFractionDigitsFacet()` Returns the meta object for the reference '`Effective Fraction Digits Facet`'
`EReference` `getXSDSimpleTypeDefinition_EffectiveLengthFacet()` Returns the meta object for the reference '`Effective Length Facet`'
`EReference` `getXSDSimpleTypeDefinition_EffectiveMaxFacet()` Returns the meta object for the reference '`Effective Max Facet`'
`EReference` `getXSDSimpleTypeDefinition_EffectiveMaxLengthFacet()` Returns the meta object for the reference '`Effective Max Length Facet`'
`EReference` `getXSDSimpleTypeDefinition_EffectiveMinFacet()` Returns the meta object for the reference '`Effective Min Facet`'
`EReference` `getXSDSimpleTypeDefinition_EffectiveMinLengthFacet()` Returns the meta object for the reference '`Effective Min Length Facet`'
`EReference` `getXSDSimpleTypeDefinition_EffectivePatternFacet()` Returns the meta object for the reference '`Effective Pattern Facet`'
`EReference` `getXSDSimpleTypeDefinition_EffectiveTotalDigitsFacet()` Returns the meta object for the reference '`Effective Total Digits Facet`'
`EReference` `getXSDSimpleTypeDefinition_EffectiveWhiteSpaceFacet()` Returns the meta object for the reference '`Effective White Space Facet`'
`EReference` `getXSDSimpleTypeDefinition_EnumerationFacets()` Returns the meta object for the reference list '`Enumeration Facets`'
`EReference` `getXSDSimpleTypeDefinition_FacetContents()` Returns the meta object for the containment reference list '`Facet Contents`'
`EReference` `getXSDSimpleTypeDefinition_Facets()` Returns the meta object for the reference list '`Facets`'
`EAttribute` `getXSDSimpleTypeDefinition_Final()` Returns the meta object for the attribute list '`Final`'
`EReference` `getXSDSimpleTypeDefinition_FractionDigitsFacet()` Returns the meta object for the reference '`Fraction Digits Facet`'
`EReference` `getXSDSimpleTypeDefinition_FundamentalFacets()` Returns the meta object for the containment reference list '`Fundamental Facets`'
`EReference` `getXSDSimpleTypeDefinition_ItemTypeDefinition()` Returns the meta object for the reference '`Item Type Definition`'
`EReference` `getXSDSimpleTypeDefinition_LengthFacet()` Returns the meta object for the reference '`Length Facet`'
`EAttribute` `getXSDSimpleTypeDefinition_LexicalFinal()` Returns the meta object for the attribute list '`Lexical Final`'
`EReference` `getXSDSimpleTypeDefinition_MaxExclusiveFacet()` Returns the meta object for the reference '`Max Exclusive Facet`'
`EReference` `getXSDSimpleTypeDefinition_MaxFacet()` Returns the meta object for the reference '`Max Facet`'
`EReference` `getXSDSimpleTypeDefinition_MaxInclusiveFacet()` Returns the meta object for the reference '`Max Inclusive Facet`'
`EReference` `getXSDSimpleTypeDefinition_MaxLengthFacet()` Returns the meta object for the reference '`Max Length Facet`'
`EReference` `getXSDSimpleTypeDefinition_MemberTypeDefinitions()` Returns the meta object for the reference list '`Member Type Definitions`'
`EReference` `getXSDSimpleTypeDefinition_MinExclusiveFacet()` Returns the meta object for the reference '`Min Exclusive Facet`'
`EReference` `getXSDSimpleTypeDefinition_MinFacet()` Returns the meta object for the reference '`Min Facet`'
`EReference` `getXSDSimpleTypeDefinition_MinInclusiveFacet()` Returns the meta object for the reference '`Min Inclusive Facet`'
`EReference` `getXSDSimpleTypeDefinition_MinLengthFacet()` Returns the meta object for the reference '`Min Length Facet`'
`EReference` `getXSDSimpleTypeDefinition_NumericFacet()` Returns the meta object for the reference '`Numeric Facet`'
`EReference` `getXSDSimpleTypeDefinition_OrderedFacet()` Returns the meta object for the reference '`Ordered Facet`'
`EReference` `getXSDSimpleTypeDefinition_PatternFacets()` Returns the meta object for the reference list '`Pattern Facets`'
`EReference` `getXSDSimpleTypeDefinition_PrimitiveTypeDefinition()` Returns the meta object for the reference '`Primitive Type Definition`'
`EReference` `getXSDSimpleTypeDefinition_RootTypeDefinition()` Returns the meta object for the reference '`Root Type Definition`'
`EReference` `getXSDSimpleTypeDefinition_SyntheticFacets()` Returns the meta object for the containment reference list '`Synthetic Facets`'
`EReference` `getXSDSimpleTypeDefinition_TotalDigitsFacet()` Returns the meta object for the reference '`Total Digits Facet`'
`EAttribute` `getXSDSimpleTypeDefinition_ValidFacets()` Returns the meta object for the attribute list '`Valid Facets`'
`EAttribute` `getXSDSimpleTypeDefinition_Variety()` Returns the meta object for the attribute '`Variety`'
`EReference` `getXSDSimpleTypeDefinition_WhiteSpaceFacet()` Returns the meta object for the reference '`White Space Facet`'
`EClass` `getXSDSimpleTypeDefinition()` Returns the meta object for class '`Simple Type Definition`'
`EEnum` `getXSDSubstitutionGroupExclusions()` Returns the meta object for enum '`Substitution Group Exclusions`'
`EClass` `getXSDTerm()` Returns the meta object for class '`Term`'
`EAttribute` `getXSDTotalDigitsFacet_Value()` Returns the meta object for the attribute '`Value`'
`EClass` `getXSDTotalDigitsFacet()` Returns the meta object for class '`Total Digits Facet`'
`EReference` `getXSDTypeDefinition_Annotation()` Returns the meta object for the containment reference '`Annotation`'
`EReference` `getXSDTypeDefinition_Annotations()` Returns the meta object for the reference list '`Annotations`'
`EReference` `getXSDTypeDefinition_BaseType()` Returns the meta object for the reference '`Base Type`'
`EReference` `getXSDTypeDefinition_ComplexType()` Returns the meta object for the reference '`Complex Type`'
`EReference` `getXSDTypeDefinition_DerivationAnnotation()` Returns the meta object for the containment reference '`Derivation Annotation`'
`EReference` `getXSDTypeDefinition_RootType()` Returns the meta object for the reference '`Root Type`'
`EReference` `getXSDTypeDefinition_SimpleType()` Returns the meta object for the reference '`Simple Type`'
`EClass` `getXSDTypeDefinition()` Returns the meta object for class '`Type Definition`'
`EEnum` `getXSDVariety()` Returns the meta object for enum '`Variety`'
`EEnum` `getXSDWhiteSpace()` Returns the meta object for enum '`White Space`'
`EAttribute` `getXSDWhiteSpaceFacet_Value()` Returns the meta object for the attribute '`Value`'
`EClass` `getXSDWhiteSpaceFacet()` Returns the meta object for class '`White Space Facet`'
`EReference` `getXSDWildcard_Annotation()` Returns the meta object for the containment reference '`Annotation`'
`EReference` `getXSDWildcard_Annotations()` Returns the meta object for the reference list '`Annotations`'
`EAttribute` `getXSDWildcard_LexicalNamespaceConstraint()` Returns the meta object for the attribute list '`Lexical Namespace Constraint`'
`EAttribute` `getXSDWildcard_NamespaceConstraint()` Returns the meta object for the attribute list '`Namespace Constraint`'
`EAttribute` `getXSDWildcard_NamespaceConstraintCategory()` Returns the meta object for the attribute '`Namespace Constraint Category`'
`EAttribute` `getXSDWildcard_ProcessContents()` Returns the meta object for the attribute '`Process Contents`'
`EClass` `getXSDWildcard()` Returns the meta object for class '`Wildcard`'
`EReference` `getXSDXPathDefinition_Annotation()` Returns the meta object for the containment reference '`Annotation`'
`EAttribute` `getXSDXPathDefinition_Value()` Returns the meta object for the attribute '`Value`'
`EAttribute` `getXSDXPathDefinition_Variety()` Returns the meta object for the attribute '`Variety`'
`EClass` `getXSDXPathDefinition()` Returns the meta object for class '`XPath Definition`'
`EEnum` `getXSDXPathVariety()` Returns the meta object for enum '`XPath Variety`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eCONTENT_TYPE

    static final java.lang.String eCONTENT_TYPE

  The package content type ID.

  Since:
    2.4
  See Also:
    Constant Field Values

### eINSTANCE

    static final XSDPackage eINSTANCE

  The singleton instance of the package.

### XSD_ANNOTATION

    static final int XSD_ANNOTATION

  The meta object id for the '`Annotation`' class.

  See Also:
    `XSDAnnotationImpl`, `XSDPackageImpl.getXSDAnnotation()`, Constant Field Values

### XSD_ATTRIBUTE_DECLARATION

    static final int XSD_ATTRIBUTE_DECLARATION

  The meta object id for the '`Attribute Declaration`' class.

  See Also:
    `XSDAttributeDeclarationImpl`, `XSDPackageImpl.getXSDAttributeDeclaration()`, Constant Field Values

### XSD_ATTRIBUTE_GROUP_CONTENT

    static final int XSD_ATTRIBUTE_GROUP_CONTENT

  The meta object id for the '`Attribute Group Content`' class.

  See Also:
    `XSDAttributeGroupContentImpl`, `XSDPackageImpl.getXSDAttributeGroupContent()`, Constant Field Values

### XSD_ATTRIBUTE_GROUP_DEFINITION

    static final int XSD_ATTRIBUTE_GROUP_DEFINITION

  The meta object id for the '`Attribute Group Definition`' class.

  See Also:
    `XSDAttributeGroupDefinitionImpl`, `XSDPackageImpl.getXSDAttributeGroupDefinition()`, Constant Field Values

### XSD_ATTRIBUTE_USE

    static final int XSD_ATTRIBUTE_USE

  The meta object id for the '`Attribute Use`' class.

  See Also:
    `XSDAttributeUseImpl`, `XSDPackageImpl.getXSDAttributeUse()`, Constant Field Values

### XSD_BOUNDED_FACET

    static final int XSD_BOUNDED_FACET

  The meta object id for the '`Bounded Facet`' class.

  See Also:
    `XSDBoundedFacetImpl`, `XSDPackageImpl.getXSDBoundedFacet()`, Constant Field Values

### XSD_CARDINALITY_FACET

    static final int XSD_CARDINALITY_FACET

  The meta object id for the '`Cardinality Facet`' class.

  See Also:
    `XSDCardinalityFacetImpl`, `XSDPackageImpl.getXSDCardinalityFacet()`, Constant Field Values

### XSD_COMPLEX_TYPE_CONTENT

    static final int XSD_COMPLEX_TYPE_CONTENT

  The meta object id for the '`Complex Type Content`' class.

  See Also:
    `XSDComplexTypeContentImpl`, `XSDPackageImpl.getXSDComplexTypeContent()`, Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION

    static final int XSD_COMPLEX_TYPE_DEFINITION

  The meta object id for the '`Complex Type Definition`' class.

  See Also:
    `XSDComplexTypeDefinitionImpl`, `XSDPackageImpl.getXSDComplexTypeDefinition()`, Constant Field Values

### XSD_COMPONENT

    static final int XSD_COMPONENT

  The meta object id for the '`Component`' class.

  See Also:
    `XSDComponentImpl`, `XSDPackageImpl.getXSDComponent()`, Constant Field Values

### XSD_CONCRETE_COMPONENT

    static final int XSD_CONCRETE_COMPONENT

  The meta object id for the '`Concrete Component`' class.

  See Also:
    `XSDConcreteComponentImpl`, `XSDPackageImpl.getXSDConcreteComponent()`, Constant Field Values

### XSD_CONCRETE_COMPONENT__ELEMENT

    static final int XSD_CONCRETE_COMPONENT__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_CONCRETE_COMPONENT__CONTAINER

    static final int XSD_CONCRETE_COMPONENT__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_CONCRETE_COMPONENT__ROOT_CONTAINER

    static final int XSD_CONCRETE_COMPONENT__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_CONCRETE_COMPONENT__SCHEMA

    static final int XSD_CONCRETE_COMPONENT__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_CONCRETE_COMPONENT__DIAGNOSTICS

    static final int XSD_CONCRETE_COMPONENT__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_CONCRETE_COMPONENT_FEATURE_COUNT

    static final int XSD_CONCRETE_COMPONENT_FEATURE_COUNT

  The number of structural features of the 'Concrete Component' class.

  See Also:
    Constant Field Values

### XSD_COMPONENT__ELEMENT

    static final int XSD_COMPONENT__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_COMPONENT__CONTAINER

    static final int XSD_COMPONENT__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_COMPONENT__ROOT_CONTAINER

    static final int XSD_COMPONENT__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_COMPONENT__SCHEMA

    static final int XSD_COMPONENT__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_COMPONENT__DIAGNOSTICS

    static final int XSD_COMPONENT__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_COMPONENT_FEATURE_COUNT

    static final int XSD_COMPONENT_FEATURE_COUNT

  The number of structural features of the 'Component' class.

  See Also:
    Constant Field Values

### XSD_ANNOTATION__ELEMENT

    static final int XSD_ANNOTATION__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_ANNOTATION__CONTAINER

    static final int XSD_ANNOTATION__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_ANNOTATION__ROOT_CONTAINER

    static final int XSD_ANNOTATION__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_ANNOTATION__SCHEMA

    static final int XSD_ANNOTATION__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_ANNOTATION__DIAGNOSTICS

    static final int XSD_ANNOTATION__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_ANNOTATION__APPLICATION_INFORMATION

    static final int XSD_ANNOTATION__APPLICATION_INFORMATION

  The feature id for the 'Application Information' attribute list.

  See Also:
    Constant Field Values

### XSD_ANNOTATION__USER_INFORMATION

    static final int XSD_ANNOTATION__USER_INFORMATION

  The feature id for the 'User Information' attribute list.

  See Also:
    Constant Field Values

### XSD_ANNOTATION__ATTRIBUTES

    static final int XSD_ANNOTATION__ATTRIBUTES

  The feature id for the 'Attributes' attribute list.

  See Also:
    Constant Field Values

### XSD_ANNOTATION_FEATURE_COUNT

    static final int XSD_ANNOTATION_FEATURE_COUNT

  The number of structural features of the 'Annotation' class.

  See Also:
    Constant Field Values

### XSD_CONSTRAINING_FACET

    static final int XSD_CONSTRAINING_FACET

  The meta object id for the '`Constraining Facet`' class.

  See Also:
    `XSDConstrainingFacetImpl`, `XSDPackageImpl.getXSDConstrainingFacet()`, Constant Field Values

### XSD_DIAGNOSTIC

    static final int XSD_DIAGNOSTIC

  The meta object id for the '`Diagnostic`' class.

  See Also:
    `XSDDiagnosticImpl`, `XSDPackageImpl.getXSDDiagnostic()`, Constant Field Values

### XSD_ELEMENT_DECLARATION

    static final int XSD_ELEMENT_DECLARATION

  The meta object id for the '`Element Declaration`' class.

  See Also:
    `XSDElementDeclarationImpl`, `XSDPackageImpl.getXSDElementDeclaration()`, Constant Field Values

### XSD_ENUMERATION_FACET

    static final int XSD_ENUMERATION_FACET

  The meta object id for the '`Enumeration Facet`' class.

  See Also:
    `XSDEnumerationFacetImpl`, `XSDPackageImpl.getXSDEnumerationFacet()`, Constant Field Values

### XSD_FACET

    static final int XSD_FACET

  The meta object id for the '`Facet`' class.

  See Also:
    `XSDFacetImpl`, `XSDPackageImpl.getXSDFacet()`, Constant Field Values

### XSD_FEATURE

    static final int XSD_FEATURE

  The meta object id for the '`Feature`' class.

  See Also:
    `XSDFeatureImpl`, `XSDPackageImpl.getXSDFeature()`, Constant Field Values

### XSD_FIXED_FACET

    static final int XSD_FIXED_FACET

  The meta object id for the '`Fixed Facet`' class.

  See Also:
    `XSDFixedFacetImpl`, `XSDPackageImpl.getXSDFixedFacet()`, Constant Field Values

### XSD_FRACTION_DIGITS_FACET

    static final int XSD_FRACTION_DIGITS_FACET

  The meta object id for the '`Fraction Digits Facet`' class.

  See Also:
    `XSDFractionDigitsFacetImpl`, `XSDPackageImpl.getXSDFractionDigitsFacet()`, Constant Field Values

### XSD_FUNDAMENTAL_FACET

    static final int XSD_FUNDAMENTAL_FACET

  The meta object id for the '`Fundamental Facet`' class.

  See Also:
    `XSDFundamentalFacetImpl`, `XSDPackageImpl.getXSDFundamentalFacet()`, Constant Field Values

### XSD_IDENTITY_CONSTRAINT_DEFINITION

    static final int XSD_IDENTITY_CONSTRAINT_DEFINITION

  The meta object id for the '`Identity Constraint Definition`' class.

  See Also:
    `XSDIdentityConstraintDefinitionImpl`, `XSDPackageImpl.getXSDIdentityConstraintDefinition()`, Constant Field Values

### XSD_IMPORT

    static final int XSD_IMPORT

  The meta object id for the '`Import`' class.

  See Also:
    `XSDImportImpl`, `XSDPackageImpl.getXSDImport()`, Constant Field Values

### XSD_INCLUDE

    static final int XSD_INCLUDE

  The meta object id for the '`Include`' class.

  See Also:
    `XSDIncludeImpl`, `XSDPackageImpl.getXSDInclude()`, Constant Field Values

### XSD_LENGTH_FACET

    static final int XSD_LENGTH_FACET

  The meta object id for the '`Length Facet`' class.

  See Also:
    `XSDLengthFacetImpl`, `XSDPackageImpl.getXSDLengthFacet()`, Constant Field Values

### XSD_MAX_EXCLUSIVE_FACET

    static final int XSD_MAX_EXCLUSIVE_FACET

  The meta object id for the '`Max Exclusive Facet`' class.

  See Also:
    `XSDMaxExclusiveFacetImpl`, `XSDPackageImpl.getXSDMaxExclusiveFacet()`, Constant Field Values

### XSD_MAX_FACET

    static final int XSD_MAX_FACET

  The meta object id for the '`Max Facet`' class.

  See Also:
    `XSDMaxFacetImpl`, `XSDPackageImpl.getXSDMaxFacet()`, Constant Field Values

### XSD_MAX_INCLUSIVE_FACET

    static final int XSD_MAX_INCLUSIVE_FACET

  The meta object id for the '`Max Inclusive Facet`' class.

  See Also:
    `XSDMaxInclusiveFacetImpl`, `XSDPackageImpl.getXSDMaxInclusiveFacet()`, Constant Field Values

### XSD_MAX_LENGTH_FACET

    static final int XSD_MAX_LENGTH_FACET

  The meta object id for the '`Max Length Facet`' class.

  See Also:
    `XSDMaxLengthFacetImpl`, `XSDPackageImpl.getXSDMaxLengthFacet()`, Constant Field Values

### XSD_MIN_EXCLUSIVE_FACET

    static final int XSD_MIN_EXCLUSIVE_FACET

  The meta object id for the '`Min Exclusive Facet`' class.

  See Also:
    `XSDMinExclusiveFacetImpl`, `XSDPackageImpl.getXSDMinExclusiveFacet()`, Constant Field Values

### XSD_MIN_FACET

    static final int XSD_MIN_FACET

  The meta object id for the '`Min Facet`' class.

  See Also:
    `XSDMinFacetImpl`, `XSDPackageImpl.getXSDMinFacet()`, Constant Field Values

### XSD_MIN_INCLUSIVE_FACET

    static final int XSD_MIN_INCLUSIVE_FACET

  The meta object id for the '`Min Inclusive Facet`' class.

  See Also:
    `XSDMinInclusiveFacetImpl`, `XSDPackageImpl.getXSDMinInclusiveFacet()`, Constant Field Values

### XSD_MIN_LENGTH_FACET

    static final int XSD_MIN_LENGTH_FACET

  The meta object id for the '`Min Length Facet`' class.

  See Also:
    `XSDMinLengthFacetImpl`, `XSDPackageImpl.getXSDMinLengthFacet()`, Constant Field Values

### XSD_MODEL_GROUP

    static final int XSD_MODEL_GROUP

  The meta object id for the '`Model Group`' class.

  See Also:
    `XSDModelGroupImpl`, `XSDPackageImpl.getXSDModelGroup()`, Constant Field Values

### XSD_MODEL_GROUP_DEFINITION

    static final int XSD_MODEL_GROUP_DEFINITION

  The meta object id for the '`Model Group Definition`' class.

  See Also:
    `XSDModelGroupDefinitionImpl`, `XSDPackageImpl.getXSDModelGroupDefinition()`, Constant Field Values

### XSD_NAMED_COMPONENT

    static final int XSD_NAMED_COMPONENT

  The meta object id for the '`Named Component`' class.

  See Also:
    `XSDNamedComponentImpl`, `XSDPackageImpl.getXSDNamedComponent()`, Constant Field Values

### XSD_NAMED_COMPONENT__ELEMENT

    static final int XSD_NAMED_COMPONENT__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_NAMED_COMPONENT__CONTAINER

    static final int XSD_NAMED_COMPONENT__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_NAMED_COMPONENT__ROOT_CONTAINER

    static final int XSD_NAMED_COMPONENT__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_NAMED_COMPONENT__SCHEMA

    static final int XSD_NAMED_COMPONENT__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_NAMED_COMPONENT__DIAGNOSTICS

    static final int XSD_NAMED_COMPONENT__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_NAMED_COMPONENT__NAME

    static final int XSD_NAMED_COMPONENT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### XSD_NAMED_COMPONENT__TARGET_NAMESPACE

    static final int XSD_NAMED_COMPONENT__TARGET_NAMESPACE

  The feature id for the 'Target Namespace' attribute.

  See Also:
    Constant Field Values

### XSD_NAMED_COMPONENT__ALIAS_NAME

    static final int XSD_NAMED_COMPONENT__ALIAS_NAME

  The feature id for the 'Alias Name' attribute.

  See Also:
    Constant Field Values

### XSD_NAMED_COMPONENT__URI

    static final int XSD_NAMED_COMPONENT__URI

  The feature id for the 'URI' attribute.

  See Also:
    Constant Field Values

### XSD_NAMED_COMPONENT__ALIAS_URI

    static final int XSD_NAMED_COMPONENT__ALIAS_URI

  The feature id for the 'Alias URI' attribute.

  See Also:
    Constant Field Values

### XSD_NAMED_COMPONENT__QNAME

    static final int XSD_NAMED_COMPONENT__QNAME

  The feature id for the 'QName' attribute.

  See Also:
    Constant Field Values

### XSD_NAMED_COMPONENT_FEATURE_COUNT

    static final int XSD_NAMED_COMPONENT_FEATURE_COUNT

  The number of structural features of the 'Named Component' class.

  See Also:
    Constant Field Values

### XSD_FEATURE__ELEMENT

    static final int XSD_FEATURE__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_FEATURE__CONTAINER

    static final int XSD_FEATURE__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_FEATURE__ROOT_CONTAINER

    static final int XSD_FEATURE__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_FEATURE__SCHEMA

    static final int XSD_FEATURE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_FEATURE__DIAGNOSTICS

    static final int XSD_FEATURE__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_FEATURE__NAME

    static final int XSD_FEATURE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### XSD_FEATURE__TARGET_NAMESPACE

    static final int XSD_FEATURE__TARGET_NAMESPACE

  The feature id for the 'Target Namespace' attribute.

  See Also:
    Constant Field Values

### XSD_FEATURE__ALIAS_NAME

    static final int XSD_FEATURE__ALIAS_NAME

  The feature id for the 'Alias Name' attribute.

  See Also:
    Constant Field Values

### XSD_FEATURE__URI

    static final int XSD_FEATURE__URI

  The feature id for the 'URI' attribute.

  See Also:
    Constant Field Values

### XSD_FEATURE__ALIAS_URI

    static final int XSD_FEATURE__ALIAS_URI

  The feature id for the 'Alias URI' attribute.

  See Also:
    Constant Field Values

### XSD_FEATURE__QNAME

    static final int XSD_FEATURE__QNAME

  The feature id for the 'QName' attribute.

  See Also:
    Constant Field Values

### XSD_FEATURE__VALUE

    static final int XSD_FEATURE__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### XSD_FEATURE__CONSTRAINT

    static final int XSD_FEATURE__CONSTRAINT

  The feature id for the 'Constraint' attribute.

  See Also:
    Constant Field Values

### XSD_FEATURE__FORM

    static final int XSD_FEATURE__FORM

  The feature id for the 'Form' attribute.

  See Also:
    Constant Field Values

### XSD_FEATURE__LEXICAL_VALUE

    static final int XSD_FEATURE__LEXICAL_VALUE

  The feature id for the 'Lexical Value' attribute.

  See Also:
    Constant Field Values

### XSD_FEATURE__GLOBAL

    static final int XSD_FEATURE__GLOBAL

  The feature id for the 'Global' attribute.

  See Also:
    Constant Field Values

### XSD_FEATURE__FEATURE_REFERENCE

    static final int XSD_FEATURE__FEATURE_REFERENCE

  The feature id for the 'Feature Reference' attribute.

  See Also:
    Constant Field Values

### XSD_FEATURE__SCOPE

    static final int XSD_FEATURE__SCOPE

  The feature id for the 'Scope' reference.

  See Also:
    Constant Field Values

### XSD_FEATURE__RESOLVED_FEATURE

    static final int XSD_FEATURE__RESOLVED_FEATURE

  The feature id for the 'Resolved Feature' reference.

  See Also:
    Constant Field Values

### XSD_FEATURE__TYPE

    static final int XSD_FEATURE__TYPE

  The feature id for the 'Type' reference.

  See Also:
    Constant Field Values

### XSD_FEATURE_FEATURE_COUNT

    static final int XSD_FEATURE_FEATURE_COUNT

  The number of structural features of the 'Feature' class.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_DECLARATION__ELEMENT

    static final int XSD_ATTRIBUTE_DECLARATION__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_DECLARATION__CONTAINER

    static final int XSD_ATTRIBUTE_DECLARATION__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_DECLARATION__ROOT_CONTAINER

    static final int XSD_ATTRIBUTE_DECLARATION__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_DECLARATION__SCHEMA

    static final int XSD_ATTRIBUTE_DECLARATION__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_DECLARATION__DIAGNOSTICS

    static final int XSD_ATTRIBUTE_DECLARATION__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_DECLARATION__NAME

    static final int XSD_ATTRIBUTE_DECLARATION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_DECLARATION__TARGET_NAMESPACE

    static final int XSD_ATTRIBUTE_DECLARATION__TARGET_NAMESPACE

  The feature id for the 'Target Namespace' attribute.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_DECLARATION__ALIAS_NAME

    static final int XSD_ATTRIBUTE_DECLARATION__ALIAS_NAME

  The feature id for the 'Alias Name' attribute.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_DECLARATION__URI

    static final int XSD_ATTRIBUTE_DECLARATION__URI

  The feature id for the 'URI' attribute.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_DECLARATION__ALIAS_URI

    static final int XSD_ATTRIBUTE_DECLARATION__ALIAS_URI

  The feature id for the 'Alias URI' attribute.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_DECLARATION__QNAME

    static final int XSD_ATTRIBUTE_DECLARATION__QNAME

  The feature id for the 'QName' attribute.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_DECLARATION__VALUE

    static final int XSD_ATTRIBUTE_DECLARATION__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_DECLARATION__CONSTRAINT

    static final int XSD_ATTRIBUTE_DECLARATION__CONSTRAINT

  The feature id for the 'Constraint' attribute.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_DECLARATION__FORM

    static final int XSD_ATTRIBUTE_DECLARATION__FORM

  The feature id for the 'Form' attribute.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_DECLARATION__LEXICAL_VALUE

    static final int XSD_ATTRIBUTE_DECLARATION__LEXICAL_VALUE

  The feature id for the 'Lexical Value' attribute.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_DECLARATION__GLOBAL

    static final int XSD_ATTRIBUTE_DECLARATION__GLOBAL

  The feature id for the 'Global' attribute.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_DECLARATION__FEATURE_REFERENCE

    static final int XSD_ATTRIBUTE_DECLARATION__FEATURE_REFERENCE

  The feature id for the 'Feature Reference' attribute.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_DECLARATION__SCOPE

    static final int XSD_ATTRIBUTE_DECLARATION__SCOPE

  The feature id for the 'Scope' reference.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_DECLARATION__RESOLVED_FEATURE

    static final int XSD_ATTRIBUTE_DECLARATION__RESOLVED_FEATURE

  The feature id for the 'Resolved Feature' reference.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_DECLARATION__TYPE

    static final int XSD_ATTRIBUTE_DECLARATION__TYPE

  The feature id for the 'Type' reference.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_DECLARATION__ATTRIBUTE_DECLARATION_REFERENCE

    static final int XSD_ATTRIBUTE_DECLARATION__ATTRIBUTE_DECLARATION_REFERENCE

  The feature id for the 'Attribute Declaration Reference' attribute.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_DECLARATION__ANNOTATION

    static final int XSD_ATTRIBUTE_DECLARATION__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_DECLARATION__ANONYMOUS_TYPE_DEFINITION

    static final int XSD_ATTRIBUTE_DECLARATION__ANONYMOUS_TYPE_DEFINITION

  The feature id for the 'Anonymous Type Definition' containment reference.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_DECLARATION__TYPE_DEFINITION

    static final int XSD_ATTRIBUTE_DECLARATION__TYPE_DEFINITION

  The feature id for the 'Type Definition' reference.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_DECLARATION__RESOLVED_ATTRIBUTE_DECLARATION

    static final int XSD_ATTRIBUTE_DECLARATION__RESOLVED_ATTRIBUTE_DECLARATION

  The feature id for the 'Resolved Attribute Declaration' reference.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_DECLARATION_FEATURE_COUNT

    static final int XSD_ATTRIBUTE_DECLARATION_FEATURE_COUNT

  The number of structural features of the 'Attribute Declaration' class.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_GROUP_CONTENT__ELEMENT

    static final int XSD_ATTRIBUTE_GROUP_CONTENT__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_GROUP_CONTENT__CONTAINER

    static final int XSD_ATTRIBUTE_GROUP_CONTENT__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_GROUP_CONTENT__ROOT_CONTAINER

    static final int XSD_ATTRIBUTE_GROUP_CONTENT__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_GROUP_CONTENT__SCHEMA

    static final int XSD_ATTRIBUTE_GROUP_CONTENT__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_GROUP_CONTENT__DIAGNOSTICS

    static final int XSD_ATTRIBUTE_GROUP_CONTENT__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_GROUP_CONTENT_FEATURE_COUNT

    static final int XSD_ATTRIBUTE_GROUP_CONTENT_FEATURE_COUNT

  The number of structural features of the 'Attribute Group Content' class.

  See Also:
    Constant Field Values

### XSD_NOTATION_DECLARATION

    static final int XSD_NOTATION_DECLARATION

  The meta object id for the '`Notation Declaration`' class.

  See Also:
    `XSDNotationDeclarationImpl`, `XSDPackageImpl.getXSDNotationDeclaration()`, Constant Field Values

### XSD_NUMERIC_FACET

    static final int XSD_NUMERIC_FACET

  The meta object id for the '`Numeric Facet`' class.

  See Also:
    `XSDNumericFacetImpl`, `XSDPackageImpl.getXSDNumericFacet()`, Constant Field Values

### XSD_ORDERED_FACET

    static final int XSD_ORDERED_FACET

  The meta object id for the '`Ordered Facet`' class.

  See Also:
    `XSDOrderedFacetImpl`, `XSDPackageImpl.getXSDOrderedFacet()`, Constant Field Values

### XSD_PARTICLE

    static final int XSD_PARTICLE

  The meta object id for the '`Particle`' class.

  See Also:
    `XSDParticleImpl`, `XSDPackageImpl.getXSDParticle()`, Constant Field Values

### XSD_PARTICLE_CONTENT

    static final int XSD_PARTICLE_CONTENT

  The meta object id for the '`Particle Content`' class.

  See Also:
    `XSDParticleContentImpl`, `XSDPackageImpl.getXSDParticleContent()`, Constant Field Values

### XSD_PATTERN_FACET

    static final int XSD_PATTERN_FACET

  The meta object id for the '`Pattern Facet`' class.

  See Also:
    `XSDPatternFacetImpl`, `XSDPackageImpl.getXSDPatternFacet()`, Constant Field Values

### XSD_REDEFINABLE_COMPONENT

    static final int XSD_REDEFINABLE_COMPONENT

  The meta object id for the '`Redefinable Component`' class.

  See Also:
    `XSDRedefinableComponentImpl`, `XSDPackageImpl.getXSDRedefinableComponent()`, Constant Field Values

### XSD_REDEFINABLE_COMPONENT__ELEMENT

    static final int XSD_REDEFINABLE_COMPONENT__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_REDEFINABLE_COMPONENT__CONTAINER

    static final int XSD_REDEFINABLE_COMPONENT__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_REDEFINABLE_COMPONENT__ROOT_CONTAINER

    static final int XSD_REDEFINABLE_COMPONENT__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_REDEFINABLE_COMPONENT__SCHEMA

    static final int XSD_REDEFINABLE_COMPONENT__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_REDEFINABLE_COMPONENT__DIAGNOSTICS

    static final int XSD_REDEFINABLE_COMPONENT__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_REDEFINABLE_COMPONENT__NAME

    static final int XSD_REDEFINABLE_COMPONENT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### XSD_REDEFINABLE_COMPONENT__TARGET_NAMESPACE

    static final int XSD_REDEFINABLE_COMPONENT__TARGET_NAMESPACE

  The feature id for the 'Target Namespace' attribute.

  See Also:
    Constant Field Values

### XSD_REDEFINABLE_COMPONENT__ALIAS_NAME

    static final int XSD_REDEFINABLE_COMPONENT__ALIAS_NAME

  The feature id for the 'Alias Name' attribute.

  See Also:
    Constant Field Values

### XSD_REDEFINABLE_COMPONENT__URI

    static final int XSD_REDEFINABLE_COMPONENT__URI

  The feature id for the 'URI' attribute.

  See Also:
    Constant Field Values

### XSD_REDEFINABLE_COMPONENT__ALIAS_URI

    static final int XSD_REDEFINABLE_COMPONENT__ALIAS_URI

  The feature id for the 'Alias URI' attribute.

  See Also:
    Constant Field Values

### XSD_REDEFINABLE_COMPONENT__QNAME

    static final int XSD_REDEFINABLE_COMPONENT__QNAME

  The feature id for the 'QName' attribute.

  See Also:
    Constant Field Values

### XSD_REDEFINABLE_COMPONENT__CIRCULAR

    static final int XSD_REDEFINABLE_COMPONENT__CIRCULAR

  The feature id for the 'Circular' attribute.

  See Also:
    Constant Field Values

### XSD_REDEFINABLE_COMPONENT_FEATURE_COUNT

    static final int XSD_REDEFINABLE_COMPONENT_FEATURE_COUNT

  The number of structural features of the 'Redefinable Component' class.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_GROUP_DEFINITION__ELEMENT

    static final int XSD_ATTRIBUTE_GROUP_DEFINITION__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_GROUP_DEFINITION__CONTAINER

    static final int XSD_ATTRIBUTE_GROUP_DEFINITION__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_GROUP_DEFINITION__ROOT_CONTAINER

    static final int XSD_ATTRIBUTE_GROUP_DEFINITION__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_GROUP_DEFINITION__SCHEMA

    static final int XSD_ATTRIBUTE_GROUP_DEFINITION__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_GROUP_DEFINITION__DIAGNOSTICS

    static final int XSD_ATTRIBUTE_GROUP_DEFINITION__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_GROUP_DEFINITION__NAME

    static final int XSD_ATTRIBUTE_GROUP_DEFINITION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_GROUP_DEFINITION__TARGET_NAMESPACE

    static final int XSD_ATTRIBUTE_GROUP_DEFINITION__TARGET_NAMESPACE

  The feature id for the 'Target Namespace' attribute.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_GROUP_DEFINITION__ALIAS_NAME

    static final int XSD_ATTRIBUTE_GROUP_DEFINITION__ALIAS_NAME

  The feature id for the 'Alias Name' attribute.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_GROUP_DEFINITION__URI

    static final int XSD_ATTRIBUTE_GROUP_DEFINITION__URI

  The feature id for the 'URI' attribute.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_GROUP_DEFINITION__ALIAS_URI

    static final int XSD_ATTRIBUTE_GROUP_DEFINITION__ALIAS_URI

  The feature id for the 'Alias URI' attribute.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_GROUP_DEFINITION__QNAME

    static final int XSD_ATTRIBUTE_GROUP_DEFINITION__QNAME

  The feature id for the 'QName' attribute.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_GROUP_DEFINITION__CIRCULAR

    static final int XSD_ATTRIBUTE_GROUP_DEFINITION__CIRCULAR

  The feature id for the 'Circular' attribute.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_GROUP_DEFINITION__ATTRIBUTE_GROUP_DEFINITION_REFERENCE

    static final int XSD_ATTRIBUTE_GROUP_DEFINITION__ATTRIBUTE_GROUP_DEFINITION_REFERENCE

  The feature id for the 'Attribute Group Definition Reference' attribute.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_GROUP_DEFINITION__ANNOTATION

    static final int XSD_ATTRIBUTE_GROUP_DEFINITION__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_GROUP_DEFINITION__CONTENTS

    static final int XSD_ATTRIBUTE_GROUP_DEFINITION__CONTENTS

  The feature id for the 'Contents' containment reference list.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_GROUP_DEFINITION__ATTRIBUTE_USES

    static final int XSD_ATTRIBUTE_GROUP_DEFINITION__ATTRIBUTE_USES

  The feature id for the 'Attribute Uses' reference list.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_GROUP_DEFINITION__ATTRIBUTE_WILDCARD_CONTENT

    static final int XSD_ATTRIBUTE_GROUP_DEFINITION__ATTRIBUTE_WILDCARD_CONTENT

  The feature id for the 'Attribute Wildcard Content' containment reference.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_GROUP_DEFINITION__ATTRIBUTE_WILDCARD

    static final int XSD_ATTRIBUTE_GROUP_DEFINITION__ATTRIBUTE_WILDCARD

  The feature id for the 'Attribute Wildcard' reference.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_GROUP_DEFINITION__RESOLVED_ATTRIBUTE_GROUP_DEFINITION

    static final int XSD_ATTRIBUTE_GROUP_DEFINITION__RESOLVED_ATTRIBUTE_GROUP_DEFINITION

  The feature id for the 'Resolved Attribute Group Definition' reference.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_GROUP_DEFINITION__SYNTHETIC_WILDCARD

    static final int XSD_ATTRIBUTE_GROUP_DEFINITION__SYNTHETIC_WILDCARD

  The feature id for the 'Synthetic Wildcard' containment reference.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_GROUP_DEFINITION_FEATURE_COUNT

    static final int XSD_ATTRIBUTE_GROUP_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Attribute Group Definition' class.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_USE__ELEMENT

    static final int XSD_ATTRIBUTE_USE__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_USE__CONTAINER

    static final int XSD_ATTRIBUTE_USE__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_USE__ROOT_CONTAINER

    static final int XSD_ATTRIBUTE_USE__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_USE__SCHEMA

    static final int XSD_ATTRIBUTE_USE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_USE__DIAGNOSTICS

    static final int XSD_ATTRIBUTE_USE__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_USE__REQUIRED

    static final int XSD_ATTRIBUTE_USE__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_USE__VALUE

    static final int XSD_ATTRIBUTE_USE__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_USE__CONSTRAINT

    static final int XSD_ATTRIBUTE_USE__CONSTRAINT

  The feature id for the 'Constraint' attribute.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_USE__USE

    static final int XSD_ATTRIBUTE_USE__USE

  The feature id for the 'Use' attribute.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_USE__LEXICAL_VALUE

    static final int XSD_ATTRIBUTE_USE__LEXICAL_VALUE

  The feature id for the 'Lexical Value' attribute.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_USE__ATTRIBUTE_DECLARATION

    static final int XSD_ATTRIBUTE_USE__ATTRIBUTE_DECLARATION

  The feature id for the 'Attribute Declaration' reference.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_USE__CONTENT

    static final int XSD_ATTRIBUTE_USE__CONTENT

  The feature id for the 'Content' containment reference.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_USE_FEATURE_COUNT

    static final int XSD_ATTRIBUTE_USE_FEATURE_COUNT

  The number of structural features of the 'Attribute Use' class.

  See Also:
    Constant Field Values

### XSD_FACET__ELEMENT

    static final int XSD_FACET__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_FACET__CONTAINER

    static final int XSD_FACET__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_FACET__ROOT_CONTAINER

    static final int XSD_FACET__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_FACET__SCHEMA

    static final int XSD_FACET__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_FACET__DIAGNOSTICS

    static final int XSD_FACET__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_FACET__LEXICAL_VALUE

    static final int XSD_FACET__LEXICAL_VALUE

  The feature id for the 'Lexical Value' attribute.

  See Also:
    Constant Field Values

### XSD_FACET__FACET_NAME

    static final int XSD_FACET__FACET_NAME

  The feature id for the 'Facet Name' attribute.

  See Also:
    Constant Field Values

### XSD_FACET__EFFECTIVE_VALUE

    static final int XSD_FACET__EFFECTIVE_VALUE

  The feature id for the 'Effective Value' attribute.

  See Also:
    Constant Field Values

### XSD_FACET__ANNOTATION

    static final int XSD_FACET__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_FACET__SIMPLE_TYPE_DEFINITION

    static final int XSD_FACET__SIMPLE_TYPE_DEFINITION

  The feature id for the 'Simple Type Definition' reference.

  See Also:
    Constant Field Values

### XSD_FACET_FEATURE_COUNT

    static final int XSD_FACET_FEATURE_COUNT

  The number of structural features of the 'Facet' class.

  See Also:
    Constant Field Values

### XSD_FUNDAMENTAL_FACET__ELEMENT

    static final int XSD_FUNDAMENTAL_FACET__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_FUNDAMENTAL_FACET__CONTAINER

    static final int XSD_FUNDAMENTAL_FACET__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_FUNDAMENTAL_FACET__ROOT_CONTAINER

    static final int XSD_FUNDAMENTAL_FACET__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_FUNDAMENTAL_FACET__SCHEMA

    static final int XSD_FUNDAMENTAL_FACET__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_FUNDAMENTAL_FACET__DIAGNOSTICS

    static final int XSD_FUNDAMENTAL_FACET__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_FUNDAMENTAL_FACET__LEXICAL_VALUE

    static final int XSD_FUNDAMENTAL_FACET__LEXICAL_VALUE

  The feature id for the 'Lexical Value' attribute.

  See Also:
    Constant Field Values

### XSD_FUNDAMENTAL_FACET__FACET_NAME

    static final int XSD_FUNDAMENTAL_FACET__FACET_NAME

  The feature id for the 'Facet Name' attribute.

  See Also:
    Constant Field Values

### XSD_FUNDAMENTAL_FACET__EFFECTIVE_VALUE

    static final int XSD_FUNDAMENTAL_FACET__EFFECTIVE_VALUE

  The feature id for the 'Effective Value' attribute.

  See Also:
    Constant Field Values

### XSD_FUNDAMENTAL_FACET__ANNOTATION

    static final int XSD_FUNDAMENTAL_FACET__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_FUNDAMENTAL_FACET__SIMPLE_TYPE_DEFINITION

    static final int XSD_FUNDAMENTAL_FACET__SIMPLE_TYPE_DEFINITION

  The feature id for the 'Simple Type Definition' reference.

  See Also:
    Constant Field Values

### XSD_FUNDAMENTAL_FACET_FEATURE_COUNT

    static final int XSD_FUNDAMENTAL_FACET_FEATURE_COUNT

  The number of structural features of the 'Fundamental Facet' class.

  See Also:
    Constant Field Values

### XSD_BOUNDED_FACET__ELEMENT

    static final int XSD_BOUNDED_FACET__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_BOUNDED_FACET__CONTAINER

    static final int XSD_BOUNDED_FACET__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_BOUNDED_FACET__ROOT_CONTAINER

    static final int XSD_BOUNDED_FACET__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_BOUNDED_FACET__SCHEMA

    static final int XSD_BOUNDED_FACET__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_BOUNDED_FACET__DIAGNOSTICS

    static final int XSD_BOUNDED_FACET__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_BOUNDED_FACET__LEXICAL_VALUE

    static final int XSD_BOUNDED_FACET__LEXICAL_VALUE

  The feature id for the 'Lexical Value' attribute.

  See Also:
    Constant Field Values

### XSD_BOUNDED_FACET__FACET_NAME

    static final int XSD_BOUNDED_FACET__FACET_NAME

  The feature id for the 'Facet Name' attribute.

  See Also:
    Constant Field Values

### XSD_BOUNDED_FACET__EFFECTIVE_VALUE

    static final int XSD_BOUNDED_FACET__EFFECTIVE_VALUE

  The feature id for the 'Effective Value' attribute.

  See Also:
    Constant Field Values

### XSD_BOUNDED_FACET__ANNOTATION

    static final int XSD_BOUNDED_FACET__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_BOUNDED_FACET__SIMPLE_TYPE_DEFINITION

    static final int XSD_BOUNDED_FACET__SIMPLE_TYPE_DEFINITION

  The feature id for the 'Simple Type Definition' reference.

  See Also:
    Constant Field Values

### XSD_BOUNDED_FACET__VALUE

    static final int XSD_BOUNDED_FACET__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### XSD_BOUNDED_FACET_FEATURE_COUNT

    static final int XSD_BOUNDED_FACET_FEATURE_COUNT

  The number of structural features of the 'Bounded Facet' class.

  See Also:
    Constant Field Values

### XSD_CARDINALITY_FACET__ELEMENT

    static final int XSD_CARDINALITY_FACET__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_CARDINALITY_FACET__CONTAINER

    static final int XSD_CARDINALITY_FACET__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_CARDINALITY_FACET__ROOT_CONTAINER

    static final int XSD_CARDINALITY_FACET__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_CARDINALITY_FACET__SCHEMA

    static final int XSD_CARDINALITY_FACET__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_CARDINALITY_FACET__DIAGNOSTICS

    static final int XSD_CARDINALITY_FACET__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_CARDINALITY_FACET__LEXICAL_VALUE

    static final int XSD_CARDINALITY_FACET__LEXICAL_VALUE

  The feature id for the 'Lexical Value' attribute.

  See Also:
    Constant Field Values

### XSD_CARDINALITY_FACET__FACET_NAME

    static final int XSD_CARDINALITY_FACET__FACET_NAME

  The feature id for the 'Facet Name' attribute.

  See Also:
    Constant Field Values

### XSD_CARDINALITY_FACET__EFFECTIVE_VALUE

    static final int XSD_CARDINALITY_FACET__EFFECTIVE_VALUE

  The feature id for the 'Effective Value' attribute.

  See Also:
    Constant Field Values

### XSD_CARDINALITY_FACET__ANNOTATION

    static final int XSD_CARDINALITY_FACET__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_CARDINALITY_FACET__SIMPLE_TYPE_DEFINITION

    static final int XSD_CARDINALITY_FACET__SIMPLE_TYPE_DEFINITION

  The feature id for the 'Simple Type Definition' reference.

  See Also:
    Constant Field Values

### XSD_CARDINALITY_FACET__VALUE

    static final int XSD_CARDINALITY_FACET__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### XSD_CARDINALITY_FACET_FEATURE_COUNT

    static final int XSD_CARDINALITY_FACET_FEATURE_COUNT

  The number of structural features of the 'Cardinality Facet' class.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_CONTENT__ELEMENT

    static final int XSD_COMPLEX_TYPE_CONTENT__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_CONTENT__CONTAINER

    static final int XSD_COMPLEX_TYPE_CONTENT__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_CONTENT__ROOT_CONTAINER

    static final int XSD_COMPLEX_TYPE_CONTENT__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_CONTENT__SCHEMA

    static final int XSD_COMPLEX_TYPE_CONTENT__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_CONTENT__DIAGNOSTICS

    static final int XSD_COMPLEX_TYPE_CONTENT__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_CONTENT_FEATURE_COUNT

    static final int XSD_COMPLEX_TYPE_CONTENT_FEATURE_COUNT

  The number of structural features of the 'Complex Type Content' class.

  See Also:
    Constant Field Values

### XSD_REDEFINE_CONTENT

    static final int XSD_REDEFINE_CONTENT

  The meta object id for the '`Redefine Content`' class.

  See Also:
    `XSDRedefineContentImpl`, `XSDPackageImpl.getXSDRedefineContent()`, Constant Field Values

### XSD_REDEFINE

    static final int XSD_REDEFINE

  The meta object id for the '`Redefine`' class.

  See Also:
    `XSDRedefineImpl`, `XSDPackageImpl.getXSDRedefine()`, Constant Field Values

### XSD_REPEATABLE_FACET

    static final int XSD_REPEATABLE_FACET

  The meta object id for the '`Repeatable Facet`' class.

  See Also:
    `XSDRepeatableFacetImpl`, `XSDPackageImpl.getXSDRepeatableFacet()`, Constant Field Values

### XSD_SCHEMA

    static final int XSD_SCHEMA

  The meta object id for the '`Schema`' class.

  See Also:
    `XSDSchemaImpl`, `XSDPackageImpl.getXSDSchema()`, Constant Field Values

### XSD_SCHEMA_COMPOSITOR

    static final int XSD_SCHEMA_COMPOSITOR

  The meta object id for the '`Schema Compositor`' class.

  See Also:
    `XSDSchemaCompositorImpl`, `XSDPackageImpl.getXSDSchemaCompositor()`, Constant Field Values

### XSD_SCHEMA_CONTENT

    static final int XSD_SCHEMA_CONTENT

  The meta object id for the '`Schema Content`' class.

  See Also:
    `XSDSchemaContentImpl`, `XSDPackageImpl.getXSDSchemaContent()`, Constant Field Values

### XSD_SCHEMA_DIRECTIVE

    static final int XSD_SCHEMA_DIRECTIVE

  The meta object id for the '`Schema Directive`' class.

  See Also:
    `XSDSchemaDirectiveImpl`, `XSDPackageImpl.getXSDSchemaDirective()`, Constant Field Values

### XSD_SCOPE

    static final int XSD_SCOPE

  The meta object id for the '`Scope`' class.

  See Also:
    `XSDScopeImpl`, `XSDPackageImpl.getXSDScope()`, Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION

    static final int XSD_SIMPLE_TYPE_DEFINITION

  The meta object id for the '`Simple Type Definition`' class.

  See Also:
    `XSDSimpleTypeDefinitionImpl`, `XSDPackageImpl.getXSDSimpleTypeDefinition()`, Constant Field Values

### XSD_TERM

    static final int XSD_TERM

  The meta object id for the '`Term`' class.

  See Also:
    `XSDTermImpl`, `XSDPackageImpl.getXSDTerm()`, Constant Field Values

### XSD_TOTAL_DIGITS_FACET

    static final int XSD_TOTAL_DIGITS_FACET

  The meta object id for the '`Total Digits Facet`' class.

  See Also:
    `XSDTotalDigitsFacetImpl`, `XSDPackageImpl.getXSDTotalDigitsFacet()`, Constant Field Values

### XSD_TYPE_DEFINITION

    static final int XSD_TYPE_DEFINITION

  The meta object id for the '`Type Definition`' class.

  See Also:
    `XSDTypeDefinitionImpl`, `XSDPackageImpl.getXSDTypeDefinition()`, Constant Field Values

### XSD_TYPE_DEFINITION__ELEMENT

    static final int XSD_TYPE_DEFINITION__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_TYPE_DEFINITION__CONTAINER

    static final int XSD_TYPE_DEFINITION__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_TYPE_DEFINITION__ROOT_CONTAINER

    static final int XSD_TYPE_DEFINITION__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_TYPE_DEFINITION__SCHEMA

    static final int XSD_TYPE_DEFINITION__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_TYPE_DEFINITION__DIAGNOSTICS

    static final int XSD_TYPE_DEFINITION__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_TYPE_DEFINITION__NAME

    static final int XSD_TYPE_DEFINITION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### XSD_TYPE_DEFINITION__TARGET_NAMESPACE

    static final int XSD_TYPE_DEFINITION__TARGET_NAMESPACE

  The feature id for the 'Target Namespace' attribute.

  See Also:
    Constant Field Values

### XSD_TYPE_DEFINITION__ALIAS_NAME

    static final int XSD_TYPE_DEFINITION__ALIAS_NAME

  The feature id for the 'Alias Name' attribute.

  See Also:
    Constant Field Values

### XSD_TYPE_DEFINITION__URI

    static final int XSD_TYPE_DEFINITION__URI

  The feature id for the 'URI' attribute.

  See Also:
    Constant Field Values

### XSD_TYPE_DEFINITION__ALIAS_URI

    static final int XSD_TYPE_DEFINITION__ALIAS_URI

  The feature id for the 'Alias URI' attribute.

  See Also:
    Constant Field Values

### XSD_TYPE_DEFINITION__QNAME

    static final int XSD_TYPE_DEFINITION__QNAME

  The feature id for the 'QName' attribute.

  See Also:
    Constant Field Values

### XSD_TYPE_DEFINITION__CIRCULAR

    static final int XSD_TYPE_DEFINITION__CIRCULAR

  The feature id for the 'Circular' attribute.

  See Also:
    Constant Field Values

### XSD_TYPE_DEFINITION__ANNOTATION

    static final int XSD_TYPE_DEFINITION__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_TYPE_DEFINITION__DERIVATION_ANNOTATION

    static final int XSD_TYPE_DEFINITION__DERIVATION_ANNOTATION

  The feature id for the 'Derivation Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_TYPE_DEFINITION__ANNOTATIONS

    static final int XSD_TYPE_DEFINITION__ANNOTATIONS

  The feature id for the 'Annotations' reference list.

  See Also:
    Constant Field Values

### XSD_TYPE_DEFINITION__ROOT_TYPE

    static final int XSD_TYPE_DEFINITION__ROOT_TYPE

  The feature id for the 'Root Type' reference.

  See Also:
    Constant Field Values

### XSD_TYPE_DEFINITION__BASE_TYPE

    static final int XSD_TYPE_DEFINITION__BASE_TYPE

  The feature id for the 'Base Type' reference.

  See Also:
    Constant Field Values

### XSD_TYPE_DEFINITION__SIMPLE_TYPE

    static final int XSD_TYPE_DEFINITION__SIMPLE_TYPE

  The feature id for the 'Simple Type' reference.

  See Also:
    Constant Field Values

### XSD_TYPE_DEFINITION__COMPLEX_TYPE

    static final int XSD_TYPE_DEFINITION__COMPLEX_TYPE

  The feature id for the 'Complex Type' reference.

  See Also:
    Constant Field Values

### XSD_TYPE_DEFINITION_FEATURE_COUNT

    static final int XSD_TYPE_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Type Definition' class.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__ELEMENT

    static final int XSD_COMPLEX_TYPE_DEFINITION__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__CONTAINER

    static final int XSD_COMPLEX_TYPE_DEFINITION__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__ROOT_CONTAINER

    static final int XSD_COMPLEX_TYPE_DEFINITION__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__SCHEMA

    static final int XSD_COMPLEX_TYPE_DEFINITION__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__DIAGNOSTICS

    static final int XSD_COMPLEX_TYPE_DEFINITION__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__NAME

    static final int XSD_COMPLEX_TYPE_DEFINITION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__TARGET_NAMESPACE

    static final int XSD_COMPLEX_TYPE_DEFINITION__TARGET_NAMESPACE

  The feature id for the 'Target Namespace' attribute.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__ALIAS_NAME

    static final int XSD_COMPLEX_TYPE_DEFINITION__ALIAS_NAME

  The feature id for the 'Alias Name' attribute.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__URI

    static final int XSD_COMPLEX_TYPE_DEFINITION__URI

  The feature id for the 'URI' attribute.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__ALIAS_URI

    static final int XSD_COMPLEX_TYPE_DEFINITION__ALIAS_URI

  The feature id for the 'Alias URI' attribute.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__QNAME

    static final int XSD_COMPLEX_TYPE_DEFINITION__QNAME

  The feature id for the 'QName' attribute.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__CIRCULAR

    static final int XSD_COMPLEX_TYPE_DEFINITION__CIRCULAR

  The feature id for the 'Circular' attribute.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__ANNOTATION

    static final int XSD_COMPLEX_TYPE_DEFINITION__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__DERIVATION_ANNOTATION

    static final int XSD_COMPLEX_TYPE_DEFINITION__DERIVATION_ANNOTATION

  The feature id for the 'Derivation Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__ANNOTATIONS

    static final int XSD_COMPLEX_TYPE_DEFINITION__ANNOTATIONS

  The feature id for the 'Annotations' reference list.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__ROOT_TYPE

    static final int XSD_COMPLEX_TYPE_DEFINITION__ROOT_TYPE

  The feature id for the 'Root Type' reference.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__BASE_TYPE

    static final int XSD_COMPLEX_TYPE_DEFINITION__BASE_TYPE

  The feature id for the 'Base Type' reference.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__SIMPLE_TYPE

    static final int XSD_COMPLEX_TYPE_DEFINITION__SIMPLE_TYPE

  The feature id for the 'Simple Type' reference.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__COMPLEX_TYPE

    static final int XSD_COMPLEX_TYPE_DEFINITION__COMPLEX_TYPE

  The feature id for the 'Complex Type' reference.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__DERIVATION_METHOD

    static final int XSD_COMPLEX_TYPE_DEFINITION__DERIVATION_METHOD

  The feature id for the 'Derivation Method' attribute.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__FINAL

    static final int XSD_COMPLEX_TYPE_DEFINITION__FINAL

  The feature id for the 'Final' attribute list.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__ABSTRACT

    static final int XSD_COMPLEX_TYPE_DEFINITION__ABSTRACT

  The feature id for the 'Abstract' attribute.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__CONTENT_TYPE_CATEGORY

    static final int XSD_COMPLEX_TYPE_DEFINITION__CONTENT_TYPE_CATEGORY

  The feature id for the 'Content Type Category' attribute.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__PROHIBITED_SUBSTITUTIONS

    static final int XSD_COMPLEX_TYPE_DEFINITION__PROHIBITED_SUBSTITUTIONS

  The feature id for the 'Prohibited Substitutions' attribute list.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__LEXICAL_FINAL

    static final int XSD_COMPLEX_TYPE_DEFINITION__LEXICAL_FINAL

  The feature id for the 'Lexical Final' attribute list.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__BLOCK

    static final int XSD_COMPLEX_TYPE_DEFINITION__BLOCK

  The feature id for the 'Block' attribute list.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__MIXED

    static final int XSD_COMPLEX_TYPE_DEFINITION__MIXED

  The feature id for the 'Mixed' attribute.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__CONTENT_ANNOTATION

    static final int XSD_COMPLEX_TYPE_DEFINITION__CONTENT_ANNOTATION

  The feature id for the 'Content Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__BASE_TYPE_DEFINITION

    static final int XSD_COMPLEX_TYPE_DEFINITION__BASE_TYPE_DEFINITION

  The feature id for the 'Base Type Definition' reference.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__CONTENT

    static final int XSD_COMPLEX_TYPE_DEFINITION__CONTENT

  The feature id for the 'Content' containment reference.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__CONTENT_TYPE

    static final int XSD_COMPLEX_TYPE_DEFINITION__CONTENT_TYPE

  The feature id for the 'Content Type' reference.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__ATTRIBUTE_USES

    static final int XSD_COMPLEX_TYPE_DEFINITION__ATTRIBUTE_USES

  The feature id for the 'Attribute Uses' reference list.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__ATTRIBUTE_CONTENTS

    static final int XSD_COMPLEX_TYPE_DEFINITION__ATTRIBUTE_CONTENTS

  The feature id for the 'Attribute Contents' containment reference list.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__ATTRIBUTE_WILDCARD

    static final int XSD_COMPLEX_TYPE_DEFINITION__ATTRIBUTE_WILDCARD

  The feature id for the 'Attribute Wildcard' reference.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__ATTRIBUTE_WILDCARD_CONTENT

    static final int XSD_COMPLEX_TYPE_DEFINITION__ATTRIBUTE_WILDCARD_CONTENT

  The feature id for the 'Attribute Wildcard Content' containment reference.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__ROOT_TYPE_DEFINITION

    static final int XSD_COMPLEX_TYPE_DEFINITION__ROOT_TYPE_DEFINITION

  The feature id for the 'Root Type Definition' reference.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__SYNTHETIC_PARTICLE

    static final int XSD_COMPLEX_TYPE_DEFINITION__SYNTHETIC_PARTICLE

  The feature id for the 'Synthetic Particle' containment reference.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION__SYNTHETIC_WILDCARD

    static final int XSD_COMPLEX_TYPE_DEFINITION__SYNTHETIC_WILDCARD

  The feature id for the 'Synthetic Wildcard' containment reference.

  See Also:
    Constant Field Values

### XSD_COMPLEX_TYPE_DEFINITION_FEATURE_COUNT

    static final int XSD_COMPLEX_TYPE_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Complex Type Definition' class.

  See Also:
    Constant Field Values

### XSD_CONSTRAINING_FACET__ELEMENT

    static final int XSD_CONSTRAINING_FACET__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_CONSTRAINING_FACET__CONTAINER

    static final int XSD_CONSTRAINING_FACET__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_CONSTRAINING_FACET__ROOT_CONTAINER

    static final int XSD_CONSTRAINING_FACET__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_CONSTRAINING_FACET__SCHEMA

    static final int XSD_CONSTRAINING_FACET__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_CONSTRAINING_FACET__DIAGNOSTICS

    static final int XSD_CONSTRAINING_FACET__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_CONSTRAINING_FACET__LEXICAL_VALUE

    static final int XSD_CONSTRAINING_FACET__LEXICAL_VALUE

  The feature id for the 'Lexical Value' attribute.

  See Also:
    Constant Field Values

### XSD_CONSTRAINING_FACET__FACET_NAME

    static final int XSD_CONSTRAINING_FACET__FACET_NAME

  The feature id for the 'Facet Name' attribute.

  See Also:
    Constant Field Values

### XSD_CONSTRAINING_FACET__EFFECTIVE_VALUE

    static final int XSD_CONSTRAINING_FACET__EFFECTIVE_VALUE

  The feature id for the 'Effective Value' attribute.

  See Also:
    Constant Field Values

### XSD_CONSTRAINING_FACET__ANNOTATION

    static final int XSD_CONSTRAINING_FACET__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_CONSTRAINING_FACET__SIMPLE_TYPE_DEFINITION

    static final int XSD_CONSTRAINING_FACET__SIMPLE_TYPE_DEFINITION

  The feature id for the 'Simple Type Definition' reference.

  See Also:
    Constant Field Values

### XSD_CONSTRAINING_FACET_FEATURE_COUNT

    static final int XSD_CONSTRAINING_FACET_FEATURE_COUNT

  The number of structural features of the 'Constraining Facet' class.

  See Also:
    Constant Field Values

### XSD_DIAGNOSTIC__ELEMENT

    static final int XSD_DIAGNOSTIC__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_DIAGNOSTIC__CONTAINER

    static final int XSD_DIAGNOSTIC__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_DIAGNOSTIC__ROOT_CONTAINER

    static final int XSD_DIAGNOSTIC__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_DIAGNOSTIC__SCHEMA

    static final int XSD_DIAGNOSTIC__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_DIAGNOSTIC__DIAGNOSTICS

    static final int XSD_DIAGNOSTIC__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_DIAGNOSTIC__SEVERITY

    static final int XSD_DIAGNOSTIC__SEVERITY

  The feature id for the 'Severity' attribute.

  See Also:
    Constant Field Values

### XSD_DIAGNOSTIC__MESSAGE

    static final int XSD_DIAGNOSTIC__MESSAGE

  The feature id for the 'Message' attribute.

  See Also:
    Constant Field Values

### XSD_DIAGNOSTIC__LOCATION_URI

    static final int XSD_DIAGNOSTIC__LOCATION_URI

  The feature id for the 'Location URI' attribute.

  See Also:
    Constant Field Values

### XSD_DIAGNOSTIC__LINE

    static final int XSD_DIAGNOSTIC__LINE

  The feature id for the 'Line' attribute.

  See Also:
    Constant Field Values

### XSD_DIAGNOSTIC__COLUMN

    static final int XSD_DIAGNOSTIC__COLUMN

  The feature id for the 'Column' attribute.

  See Also:
    Constant Field Values

### XSD_DIAGNOSTIC__NODE

    static final int XSD_DIAGNOSTIC__NODE

  The feature id for the 'Node' attribute.

  See Also:
    Constant Field Values

### XSD_DIAGNOSTIC__ANNOTATION_URI

    static final int XSD_DIAGNOSTIC__ANNOTATION_URI

  The feature id for the 'Annotation URI' attribute.

  See Also:
    Constant Field Values

### XSD_DIAGNOSTIC__KEY

    static final int XSD_DIAGNOSTIC__KEY

  The feature id for the 'Key' attribute.

  See Also:
    Constant Field Values

### XSD_DIAGNOSTIC__SUBSTITUTIONS

    static final int XSD_DIAGNOSTIC__SUBSTITUTIONS

  The feature id for the 'Substitutions' attribute list.

  See Also:
    Constant Field Values

### XSD_DIAGNOSTIC__COMPONENTS

    static final int XSD_DIAGNOSTIC__COMPONENTS

  The feature id for the 'Components' reference list.

  See Also:
    Constant Field Values

### XSD_DIAGNOSTIC__PRIMARY_COMPONENT

    static final int XSD_DIAGNOSTIC__PRIMARY_COMPONENT

  The feature id for the 'Primary Component' reference.

  See Also:
    Constant Field Values

### XSD_DIAGNOSTIC_FEATURE_COUNT

    static final int XSD_DIAGNOSTIC_FEATURE_COUNT

  The number of structural features of the 'Diagnostic' class.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__ELEMENT

    static final int XSD_ELEMENT_DECLARATION__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__CONTAINER

    static final int XSD_ELEMENT_DECLARATION__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__ROOT_CONTAINER

    static final int XSD_ELEMENT_DECLARATION__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__SCHEMA

    static final int XSD_ELEMENT_DECLARATION__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__DIAGNOSTICS

    static final int XSD_ELEMENT_DECLARATION__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__NAME

    static final int XSD_ELEMENT_DECLARATION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__TARGET_NAMESPACE

    static final int XSD_ELEMENT_DECLARATION__TARGET_NAMESPACE

  The feature id for the 'Target Namespace' attribute.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__ALIAS_NAME

    static final int XSD_ELEMENT_DECLARATION__ALIAS_NAME

  The feature id for the 'Alias Name' attribute.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__URI

    static final int XSD_ELEMENT_DECLARATION__URI

  The feature id for the 'URI' attribute.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__ALIAS_URI

    static final int XSD_ELEMENT_DECLARATION__ALIAS_URI

  The feature id for the 'Alias URI' attribute.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__QNAME

    static final int XSD_ELEMENT_DECLARATION__QNAME

  The feature id for the 'QName' attribute.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__VALUE

    static final int XSD_ELEMENT_DECLARATION__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__CONSTRAINT

    static final int XSD_ELEMENT_DECLARATION__CONSTRAINT

  The feature id for the 'Constraint' attribute.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__FORM

    static final int XSD_ELEMENT_DECLARATION__FORM

  The feature id for the 'Form' attribute.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__LEXICAL_VALUE

    static final int XSD_ELEMENT_DECLARATION__LEXICAL_VALUE

  The feature id for the 'Lexical Value' attribute.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__GLOBAL

    static final int XSD_ELEMENT_DECLARATION__GLOBAL

  The feature id for the 'Global' attribute.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__FEATURE_REFERENCE

    static final int XSD_ELEMENT_DECLARATION__FEATURE_REFERENCE

  The feature id for the 'Feature Reference' attribute.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__SCOPE

    static final int XSD_ELEMENT_DECLARATION__SCOPE

  The feature id for the 'Scope' reference.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__RESOLVED_FEATURE

    static final int XSD_ELEMENT_DECLARATION__RESOLVED_FEATURE

  The feature id for the 'Resolved Feature' reference.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__TYPE

    static final int XSD_ELEMENT_DECLARATION__TYPE

  The feature id for the 'Type' reference.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__NILLABLE

    static final int XSD_ELEMENT_DECLARATION__NILLABLE

  The feature id for the 'Nillable' attribute.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__DISALLOWED_SUBSTITUTIONS

    static final int XSD_ELEMENT_DECLARATION__DISALLOWED_SUBSTITUTIONS

  The feature id for the 'Disallowed Substitutions' attribute list.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__SUBSTITUTION_GROUP_EXCLUSIONS

    static final int XSD_ELEMENT_DECLARATION__SUBSTITUTION_GROUP_EXCLUSIONS

  The feature id for the 'Substitution Group Exclusions' attribute list.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__ABSTRACT

    static final int XSD_ELEMENT_DECLARATION__ABSTRACT

  The feature id for the 'Abstract' attribute.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__LEXICAL_FINAL

    static final int XSD_ELEMENT_DECLARATION__LEXICAL_FINAL

  The feature id for the 'Lexical Final' attribute list.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__BLOCK

    static final int XSD_ELEMENT_DECLARATION__BLOCK

  The feature id for the 'Block' attribute list.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__ELEMENT_DECLARATION_REFERENCE

    static final int XSD_ELEMENT_DECLARATION__ELEMENT_DECLARATION_REFERENCE

  The feature id for the 'Element Declaration Reference' attribute.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__CIRCULAR

    static final int XSD_ELEMENT_DECLARATION__CIRCULAR

  The feature id for the 'Circular' attribute.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__ANNOTATION

    static final int XSD_ELEMENT_DECLARATION__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__ANONYMOUS_TYPE_DEFINITION

    static final int XSD_ELEMENT_DECLARATION__ANONYMOUS_TYPE_DEFINITION

  The feature id for the 'Anonymous Type Definition' containment reference.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__TYPE_DEFINITION

    static final int XSD_ELEMENT_DECLARATION__TYPE_DEFINITION

  The feature id for the 'Type Definition' reference.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__IDENTITY_CONSTRAINT_DEFINITIONS

    static final int XSD_ELEMENT_DECLARATION__IDENTITY_CONSTRAINT_DEFINITIONS

  The feature id for the 'Identity Constraint Definitions' containment reference list.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__RESOLVED_ELEMENT_DECLARATION

    static final int XSD_ELEMENT_DECLARATION__RESOLVED_ELEMENT_DECLARATION

  The feature id for the 'Resolved Element Declaration' reference.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__SUBSTITUTION_GROUP_AFFILIATION

    static final int XSD_ELEMENT_DECLARATION__SUBSTITUTION_GROUP_AFFILIATION

  The feature id for the 'Substitution Group Affiliation' reference.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION__SUBSTITUTION_GROUP

    static final int XSD_ELEMENT_DECLARATION__SUBSTITUTION_GROUP

  The feature id for the 'Substitution Group' reference list.

  See Also:
    Constant Field Values

### XSD_ELEMENT_DECLARATION_FEATURE_COUNT

    static final int XSD_ELEMENT_DECLARATION_FEATURE_COUNT

  The number of structural features of the 'Element Declaration' class.

  See Also:
    Constant Field Values

### XSD_REPEATABLE_FACET__ELEMENT

    static final int XSD_REPEATABLE_FACET__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_REPEATABLE_FACET__CONTAINER

    static final int XSD_REPEATABLE_FACET__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_REPEATABLE_FACET__ROOT_CONTAINER

    static final int XSD_REPEATABLE_FACET__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_REPEATABLE_FACET__SCHEMA

    static final int XSD_REPEATABLE_FACET__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_REPEATABLE_FACET__DIAGNOSTICS

    static final int XSD_REPEATABLE_FACET__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_REPEATABLE_FACET__LEXICAL_VALUE

    static final int XSD_REPEATABLE_FACET__LEXICAL_VALUE

  The feature id for the 'Lexical Value' attribute.

  See Also:
    Constant Field Values

### XSD_REPEATABLE_FACET__FACET_NAME

    static final int XSD_REPEATABLE_FACET__FACET_NAME

  The feature id for the 'Facet Name' attribute.

  See Also:
    Constant Field Values

### XSD_REPEATABLE_FACET__EFFECTIVE_VALUE

    static final int XSD_REPEATABLE_FACET__EFFECTIVE_VALUE

  The feature id for the 'Effective Value' attribute.

  See Also:
    Constant Field Values

### XSD_REPEATABLE_FACET__ANNOTATION

    static final int XSD_REPEATABLE_FACET__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_REPEATABLE_FACET__SIMPLE_TYPE_DEFINITION

    static final int XSD_REPEATABLE_FACET__SIMPLE_TYPE_DEFINITION

  The feature id for the 'Simple Type Definition' reference.

  See Also:
    Constant Field Values

### XSD_REPEATABLE_FACET__ANNOTATIONS

    static final int XSD_REPEATABLE_FACET__ANNOTATIONS

  The feature id for the 'Annotations' reference list.

  See Also:
    Constant Field Values

### XSD_REPEATABLE_FACET_FEATURE_COUNT

    static final int XSD_REPEATABLE_FACET_FEATURE_COUNT

  The number of structural features of the 'Repeatable Facet' class.

  See Also:
    Constant Field Values

### XSD_ENUMERATION_FACET__ELEMENT

    static final int XSD_ENUMERATION_FACET__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_ENUMERATION_FACET__CONTAINER

    static final int XSD_ENUMERATION_FACET__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_ENUMERATION_FACET__ROOT_CONTAINER

    static final int XSD_ENUMERATION_FACET__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_ENUMERATION_FACET__SCHEMA

    static final int XSD_ENUMERATION_FACET__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_ENUMERATION_FACET__DIAGNOSTICS

    static final int XSD_ENUMERATION_FACET__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_ENUMERATION_FACET__LEXICAL_VALUE

    static final int XSD_ENUMERATION_FACET__LEXICAL_VALUE

  The feature id for the 'Lexical Value' attribute.

  See Also:
    Constant Field Values

### XSD_ENUMERATION_FACET__FACET_NAME

    static final int XSD_ENUMERATION_FACET__FACET_NAME

  The feature id for the 'Facet Name' attribute.

  See Also:
    Constant Field Values

### XSD_ENUMERATION_FACET__EFFECTIVE_VALUE

    static final int XSD_ENUMERATION_FACET__EFFECTIVE_VALUE

  The feature id for the 'Effective Value' attribute.

  See Also:
    Constant Field Values

### XSD_ENUMERATION_FACET__ANNOTATION

    static final int XSD_ENUMERATION_FACET__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_ENUMERATION_FACET__SIMPLE_TYPE_DEFINITION

    static final int XSD_ENUMERATION_FACET__SIMPLE_TYPE_DEFINITION

  The feature id for the 'Simple Type Definition' reference.

  See Also:
    Constant Field Values

### XSD_ENUMERATION_FACET__ANNOTATIONS

    static final int XSD_ENUMERATION_FACET__ANNOTATIONS

  The feature id for the 'Annotations' reference list.

  See Also:
    Constant Field Values

### XSD_ENUMERATION_FACET__VALUE

    static final int XSD_ENUMERATION_FACET__VALUE

  The feature id for the 'Value' attribute list.

  See Also:
    Constant Field Values

### XSD_ENUMERATION_FACET_FEATURE_COUNT

    static final int XSD_ENUMERATION_FACET_FEATURE_COUNT

  The number of structural features of the 'Enumeration Facet' class.

  See Also:
    Constant Field Values

### XSD_FIXED_FACET__ELEMENT

    static final int XSD_FIXED_FACET__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_FIXED_FACET__CONTAINER

    static final int XSD_FIXED_FACET__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_FIXED_FACET__ROOT_CONTAINER

    static final int XSD_FIXED_FACET__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_FIXED_FACET__SCHEMA

    static final int XSD_FIXED_FACET__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_FIXED_FACET__DIAGNOSTICS

    static final int XSD_FIXED_FACET__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_FIXED_FACET__LEXICAL_VALUE

    static final int XSD_FIXED_FACET__LEXICAL_VALUE

  The feature id for the 'Lexical Value' attribute.

  See Also:
    Constant Field Values

### XSD_FIXED_FACET__FACET_NAME

    static final int XSD_FIXED_FACET__FACET_NAME

  The feature id for the 'Facet Name' attribute.

  See Also:
    Constant Field Values

### XSD_FIXED_FACET__EFFECTIVE_VALUE

    static final int XSD_FIXED_FACET__EFFECTIVE_VALUE

  The feature id for the 'Effective Value' attribute.

  See Also:
    Constant Field Values

### XSD_FIXED_FACET__ANNOTATION

    static final int XSD_FIXED_FACET__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_FIXED_FACET__SIMPLE_TYPE_DEFINITION

    static final int XSD_FIXED_FACET__SIMPLE_TYPE_DEFINITION

  The feature id for the 'Simple Type Definition' reference.

  See Also:
    Constant Field Values

### XSD_FIXED_FACET__FIXED

    static final int XSD_FIXED_FACET__FIXED

  The feature id for the 'Fixed' attribute.

  See Also:
    Constant Field Values

### XSD_FIXED_FACET_FEATURE_COUNT

    static final int XSD_FIXED_FACET_FEATURE_COUNT

  The number of structural features of the 'Fixed Facet' class.

  See Also:
    Constant Field Values

### XSD_FRACTION_DIGITS_FACET__ELEMENT

    static final int XSD_FRACTION_DIGITS_FACET__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_FRACTION_DIGITS_FACET__CONTAINER

    static final int XSD_FRACTION_DIGITS_FACET__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_FRACTION_DIGITS_FACET__ROOT_CONTAINER

    static final int XSD_FRACTION_DIGITS_FACET__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_FRACTION_DIGITS_FACET__SCHEMA

    static final int XSD_FRACTION_DIGITS_FACET__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_FRACTION_DIGITS_FACET__DIAGNOSTICS

    static final int XSD_FRACTION_DIGITS_FACET__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_FRACTION_DIGITS_FACET__LEXICAL_VALUE

    static final int XSD_FRACTION_DIGITS_FACET__LEXICAL_VALUE

  The feature id for the 'Lexical Value' attribute.

  See Also:
    Constant Field Values

### XSD_FRACTION_DIGITS_FACET__FACET_NAME

    static final int XSD_FRACTION_DIGITS_FACET__FACET_NAME

  The feature id for the 'Facet Name' attribute.

  See Also:
    Constant Field Values

### XSD_FRACTION_DIGITS_FACET__EFFECTIVE_VALUE

    static final int XSD_FRACTION_DIGITS_FACET__EFFECTIVE_VALUE

  The feature id for the 'Effective Value' attribute.

  See Also:
    Constant Field Values

### XSD_FRACTION_DIGITS_FACET__ANNOTATION

    static final int XSD_FRACTION_DIGITS_FACET__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_FRACTION_DIGITS_FACET__SIMPLE_TYPE_DEFINITION

    static final int XSD_FRACTION_DIGITS_FACET__SIMPLE_TYPE_DEFINITION

  The feature id for the 'Simple Type Definition' reference.

  See Also:
    Constant Field Values

### XSD_FRACTION_DIGITS_FACET__FIXED

    static final int XSD_FRACTION_DIGITS_FACET__FIXED

  The feature id for the 'Fixed' attribute.

  See Also:
    Constant Field Values

### XSD_FRACTION_DIGITS_FACET__VALUE

    static final int XSD_FRACTION_DIGITS_FACET__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### XSD_FRACTION_DIGITS_FACET_FEATURE_COUNT

    static final int XSD_FRACTION_DIGITS_FACET_FEATURE_COUNT

  The number of structural features of the 'Fraction Digits Facet' class.

  See Also:
    Constant Field Values

### XSD_IDENTITY_CONSTRAINT_DEFINITION__ELEMENT

    static final int XSD_IDENTITY_CONSTRAINT_DEFINITION__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_IDENTITY_CONSTRAINT_DEFINITION__CONTAINER

    static final int XSD_IDENTITY_CONSTRAINT_DEFINITION__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_IDENTITY_CONSTRAINT_DEFINITION__ROOT_CONTAINER

    static final int XSD_IDENTITY_CONSTRAINT_DEFINITION__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_IDENTITY_CONSTRAINT_DEFINITION__SCHEMA

    static final int XSD_IDENTITY_CONSTRAINT_DEFINITION__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_IDENTITY_CONSTRAINT_DEFINITION__DIAGNOSTICS

    static final int XSD_IDENTITY_CONSTRAINT_DEFINITION__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_IDENTITY_CONSTRAINT_DEFINITION__NAME

    static final int XSD_IDENTITY_CONSTRAINT_DEFINITION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### XSD_IDENTITY_CONSTRAINT_DEFINITION__TARGET_NAMESPACE

    static final int XSD_IDENTITY_CONSTRAINT_DEFINITION__TARGET_NAMESPACE

  The feature id for the 'Target Namespace' attribute.

  See Also:
    Constant Field Values

### XSD_IDENTITY_CONSTRAINT_DEFINITION__ALIAS_NAME

    static final int XSD_IDENTITY_CONSTRAINT_DEFINITION__ALIAS_NAME

  The feature id for the 'Alias Name' attribute.

  See Also:
    Constant Field Values

### XSD_IDENTITY_CONSTRAINT_DEFINITION__URI

    static final int XSD_IDENTITY_CONSTRAINT_DEFINITION__URI

  The feature id for the 'URI' attribute.

  See Also:
    Constant Field Values

### XSD_IDENTITY_CONSTRAINT_DEFINITION__ALIAS_URI

    static final int XSD_IDENTITY_CONSTRAINT_DEFINITION__ALIAS_URI

  The feature id for the 'Alias URI' attribute.

  See Also:
    Constant Field Values

### XSD_IDENTITY_CONSTRAINT_DEFINITION__QNAME

    static final int XSD_IDENTITY_CONSTRAINT_DEFINITION__QNAME

  The feature id for the 'QName' attribute.

  See Also:
    Constant Field Values

### XSD_IDENTITY_CONSTRAINT_DEFINITION__IDENTITY_CONSTRAINT_CATEGORY

    static final int XSD_IDENTITY_CONSTRAINT_DEFINITION__IDENTITY_CONSTRAINT_CATEGORY

  The feature id for the 'Identity Constraint Category' attribute.

  See Also:
    Constant Field Values

### XSD_IDENTITY_CONSTRAINT_DEFINITION__ANNOTATION

    static final int XSD_IDENTITY_CONSTRAINT_DEFINITION__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_IDENTITY_CONSTRAINT_DEFINITION__REFERENCED_KEY

    static final int XSD_IDENTITY_CONSTRAINT_DEFINITION__REFERENCED_KEY

  The feature id for the 'Referenced Key' reference.

  See Also:
    Constant Field Values

### XSD_IDENTITY_CONSTRAINT_DEFINITION__SELECTOR

    static final int XSD_IDENTITY_CONSTRAINT_DEFINITION__SELECTOR

  The feature id for the 'Selector' containment reference.

  See Also:
    Constant Field Values

### XSD_IDENTITY_CONSTRAINT_DEFINITION__FIELDS

    static final int XSD_IDENTITY_CONSTRAINT_DEFINITION__FIELDS

  The feature id for the 'Fields' containment reference list.

  See Also:
    Constant Field Values

### XSD_IDENTITY_CONSTRAINT_DEFINITION_FEATURE_COUNT

    static final int XSD_IDENTITY_CONSTRAINT_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Identity Constraint Definition' class.

  See Also:
    Constant Field Values

### XSD_SCHEMA_CONTENT__ELEMENT

    static final int XSD_SCHEMA_CONTENT__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_SCHEMA_CONTENT__CONTAINER

    static final int XSD_SCHEMA_CONTENT__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_SCHEMA_CONTENT__ROOT_CONTAINER

    static final int XSD_SCHEMA_CONTENT__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_SCHEMA_CONTENT__SCHEMA

    static final int XSD_SCHEMA_CONTENT__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_SCHEMA_CONTENT__DIAGNOSTICS

    static final int XSD_SCHEMA_CONTENT__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_SCHEMA_CONTENT_FEATURE_COUNT

    static final int XSD_SCHEMA_CONTENT_FEATURE_COUNT

  The number of structural features of the 'Schema Content' class.

  See Also:
    Constant Field Values

### XSD_SCHEMA_DIRECTIVE__ELEMENT

    static final int XSD_SCHEMA_DIRECTIVE__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_SCHEMA_DIRECTIVE__CONTAINER

    static final int XSD_SCHEMA_DIRECTIVE__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_SCHEMA_DIRECTIVE__ROOT_CONTAINER

    static final int XSD_SCHEMA_DIRECTIVE__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_SCHEMA_DIRECTIVE__SCHEMA

    static final int XSD_SCHEMA_DIRECTIVE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_SCHEMA_DIRECTIVE__DIAGNOSTICS

    static final int XSD_SCHEMA_DIRECTIVE__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_SCHEMA_DIRECTIVE__SCHEMA_LOCATION

    static final int XSD_SCHEMA_DIRECTIVE__SCHEMA_LOCATION

  The feature id for the 'Schema Location' attribute.

  See Also:
    Constant Field Values

### XSD_SCHEMA_DIRECTIVE__RESOLVED_SCHEMA

    static final int XSD_SCHEMA_DIRECTIVE__RESOLVED_SCHEMA

  The feature id for the 'Resolved Schema' reference.

  See Also:
    Constant Field Values

### XSD_SCHEMA_DIRECTIVE_FEATURE_COUNT

    static final int XSD_SCHEMA_DIRECTIVE_FEATURE_COUNT

  The number of structural features of the 'Schema Directive' class.

  See Also:
    Constant Field Values

### XSD_IMPORT__ELEMENT

    static final int XSD_IMPORT__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_IMPORT__CONTAINER

    static final int XSD_IMPORT__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_IMPORT__ROOT_CONTAINER

    static final int XSD_IMPORT__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_IMPORT__SCHEMA

    static final int XSD_IMPORT__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_IMPORT__DIAGNOSTICS

    static final int XSD_IMPORT__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_IMPORT__SCHEMA_LOCATION

    static final int XSD_IMPORT__SCHEMA_LOCATION

  The feature id for the 'Schema Location' attribute.

  See Also:
    Constant Field Values

### XSD_IMPORT__RESOLVED_SCHEMA

    static final int XSD_IMPORT__RESOLVED_SCHEMA

  The feature id for the 'Resolved Schema' reference.

  See Also:
    Constant Field Values

### XSD_IMPORT__NAMESPACE

    static final int XSD_IMPORT__NAMESPACE

  The feature id for the 'Namespace' attribute.

  See Also:
    Constant Field Values

### XSD_IMPORT__ANNOTATION

    static final int XSD_IMPORT__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_IMPORT_FEATURE_COUNT

    static final int XSD_IMPORT_FEATURE_COUNT

  The number of structural features of the 'Import' class.

  See Also:
    Constant Field Values

### XSD_SCHEMA_COMPOSITOR__ELEMENT

    static final int XSD_SCHEMA_COMPOSITOR__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_SCHEMA_COMPOSITOR__CONTAINER

    static final int XSD_SCHEMA_COMPOSITOR__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_SCHEMA_COMPOSITOR__ROOT_CONTAINER

    static final int XSD_SCHEMA_COMPOSITOR__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_SCHEMA_COMPOSITOR__SCHEMA

    static final int XSD_SCHEMA_COMPOSITOR__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_SCHEMA_COMPOSITOR__DIAGNOSTICS

    static final int XSD_SCHEMA_COMPOSITOR__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_SCHEMA_COMPOSITOR__SCHEMA_LOCATION

    static final int XSD_SCHEMA_COMPOSITOR__SCHEMA_LOCATION

  The feature id for the 'Schema Location' attribute.

  See Also:
    Constant Field Values

### XSD_SCHEMA_COMPOSITOR__RESOLVED_SCHEMA

    static final int XSD_SCHEMA_COMPOSITOR__RESOLVED_SCHEMA

  The feature id for the 'Resolved Schema' reference.

  See Also:
    Constant Field Values

### XSD_SCHEMA_COMPOSITOR__INCORPORATED_SCHEMA

    static final int XSD_SCHEMA_COMPOSITOR__INCORPORATED_SCHEMA

  The feature id for the 'Incorporated Schema' reference.

  See Also:
    Constant Field Values

### XSD_SCHEMA_COMPOSITOR_FEATURE_COUNT

    static final int XSD_SCHEMA_COMPOSITOR_FEATURE_COUNT

  The number of structural features of the 'Schema Compositor' class.

  See Also:
    Constant Field Values

### XSD_INCLUDE__ELEMENT

    static final int XSD_INCLUDE__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_INCLUDE__CONTAINER

    static final int XSD_INCLUDE__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_INCLUDE__ROOT_CONTAINER

    static final int XSD_INCLUDE__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_INCLUDE__SCHEMA

    static final int XSD_INCLUDE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_INCLUDE__DIAGNOSTICS

    static final int XSD_INCLUDE__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_INCLUDE__SCHEMA_LOCATION

    static final int XSD_INCLUDE__SCHEMA_LOCATION

  The feature id for the 'Schema Location' attribute.

  See Also:
    Constant Field Values

### XSD_INCLUDE__RESOLVED_SCHEMA

    static final int XSD_INCLUDE__RESOLVED_SCHEMA

  The feature id for the 'Resolved Schema' reference.

  See Also:
    Constant Field Values

### XSD_INCLUDE__INCORPORATED_SCHEMA

    static final int XSD_INCLUDE__INCORPORATED_SCHEMA

  The feature id for the 'Incorporated Schema' reference.

  See Also:
    Constant Field Values

### XSD_INCLUDE__ANNOTATION

    static final int XSD_INCLUDE__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_INCLUDE_FEATURE_COUNT

    static final int XSD_INCLUDE_FEATURE_COUNT

  The number of structural features of the 'Include' class.

  See Also:
    Constant Field Values

### XSD_LENGTH_FACET__ELEMENT

    static final int XSD_LENGTH_FACET__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_LENGTH_FACET__CONTAINER

    static final int XSD_LENGTH_FACET__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_LENGTH_FACET__ROOT_CONTAINER

    static final int XSD_LENGTH_FACET__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_LENGTH_FACET__SCHEMA

    static final int XSD_LENGTH_FACET__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_LENGTH_FACET__DIAGNOSTICS

    static final int XSD_LENGTH_FACET__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_LENGTH_FACET__LEXICAL_VALUE

    static final int XSD_LENGTH_FACET__LEXICAL_VALUE

  The feature id for the 'Lexical Value' attribute.

  See Also:
    Constant Field Values

### XSD_LENGTH_FACET__FACET_NAME

    static final int XSD_LENGTH_FACET__FACET_NAME

  The feature id for the 'Facet Name' attribute.

  See Also:
    Constant Field Values

### XSD_LENGTH_FACET__EFFECTIVE_VALUE

    static final int XSD_LENGTH_FACET__EFFECTIVE_VALUE

  The feature id for the 'Effective Value' attribute.

  See Also:
    Constant Field Values

### XSD_LENGTH_FACET__ANNOTATION

    static final int XSD_LENGTH_FACET__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_LENGTH_FACET__SIMPLE_TYPE_DEFINITION

    static final int XSD_LENGTH_FACET__SIMPLE_TYPE_DEFINITION

  The feature id for the 'Simple Type Definition' reference.

  See Also:
    Constant Field Values

### XSD_LENGTH_FACET__FIXED

    static final int XSD_LENGTH_FACET__FIXED

  The feature id for the 'Fixed' attribute.

  See Also:
    Constant Field Values

### XSD_LENGTH_FACET__VALUE

    static final int XSD_LENGTH_FACET__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### XSD_LENGTH_FACET_FEATURE_COUNT

    static final int XSD_LENGTH_FACET_FEATURE_COUNT

  The number of structural features of the 'Length Facet' class.

  See Also:
    Constant Field Values

### XSD_MAX_FACET__ELEMENT

    static final int XSD_MAX_FACET__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_MAX_FACET__CONTAINER

    static final int XSD_MAX_FACET__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_MAX_FACET__ROOT_CONTAINER

    static final int XSD_MAX_FACET__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_MAX_FACET__SCHEMA

    static final int XSD_MAX_FACET__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_MAX_FACET__DIAGNOSTICS

    static final int XSD_MAX_FACET__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_MAX_FACET__LEXICAL_VALUE

    static final int XSD_MAX_FACET__LEXICAL_VALUE

  The feature id for the 'Lexical Value' attribute.

  See Also:
    Constant Field Values

### XSD_MAX_FACET__FACET_NAME

    static final int XSD_MAX_FACET__FACET_NAME

  The feature id for the 'Facet Name' attribute.

  See Also:
    Constant Field Values

### XSD_MAX_FACET__EFFECTIVE_VALUE

    static final int XSD_MAX_FACET__EFFECTIVE_VALUE

  The feature id for the 'Effective Value' attribute.

  See Also:
    Constant Field Values

### XSD_MAX_FACET__ANNOTATION

    static final int XSD_MAX_FACET__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_MAX_FACET__SIMPLE_TYPE_DEFINITION

    static final int XSD_MAX_FACET__SIMPLE_TYPE_DEFINITION

  The feature id for the 'Simple Type Definition' reference.

  See Also:
    Constant Field Values

### XSD_MAX_FACET__FIXED

    static final int XSD_MAX_FACET__FIXED

  The feature id for the 'Fixed' attribute.

  See Also:
    Constant Field Values

### XSD_MAX_FACET__VALUE

    static final int XSD_MAX_FACET__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### XSD_MAX_FACET__INCLUSIVE

    static final int XSD_MAX_FACET__INCLUSIVE

  The feature id for the 'Inclusive' attribute.

  See Also:
    Constant Field Values

### XSD_MAX_FACET__EXCLUSIVE

    static final int XSD_MAX_FACET__EXCLUSIVE

  The feature id for the 'Exclusive' attribute.

  See Also:
    Constant Field Values

### XSD_MAX_FACET_FEATURE_COUNT

    static final int XSD_MAX_FACET_FEATURE_COUNT

  The number of structural features of the 'Max Facet' class.

  See Also:
    Constant Field Values

### XSD_MAX_EXCLUSIVE_FACET__ELEMENT

    static final int XSD_MAX_EXCLUSIVE_FACET__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_MAX_EXCLUSIVE_FACET__CONTAINER

    static final int XSD_MAX_EXCLUSIVE_FACET__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_MAX_EXCLUSIVE_FACET__ROOT_CONTAINER

    static final int XSD_MAX_EXCLUSIVE_FACET__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_MAX_EXCLUSIVE_FACET__SCHEMA

    static final int XSD_MAX_EXCLUSIVE_FACET__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_MAX_EXCLUSIVE_FACET__DIAGNOSTICS

    static final int XSD_MAX_EXCLUSIVE_FACET__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_MAX_EXCLUSIVE_FACET__LEXICAL_VALUE

    static final int XSD_MAX_EXCLUSIVE_FACET__LEXICAL_VALUE

  The feature id for the 'Lexical Value' attribute.

  See Also:
    Constant Field Values

### XSD_MAX_EXCLUSIVE_FACET__FACET_NAME

    static final int XSD_MAX_EXCLUSIVE_FACET__FACET_NAME

  The feature id for the 'Facet Name' attribute.

  See Also:
    Constant Field Values

### XSD_MAX_EXCLUSIVE_FACET__EFFECTIVE_VALUE

    static final int XSD_MAX_EXCLUSIVE_FACET__EFFECTIVE_VALUE

  The feature id for the 'Effective Value' attribute.

  See Also:
    Constant Field Values

### XSD_MAX_EXCLUSIVE_FACET__ANNOTATION

    static final int XSD_MAX_EXCLUSIVE_FACET__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_MAX_EXCLUSIVE_FACET__SIMPLE_TYPE_DEFINITION

    static final int XSD_MAX_EXCLUSIVE_FACET__SIMPLE_TYPE_DEFINITION

  The feature id for the 'Simple Type Definition' reference.

  See Also:
    Constant Field Values

### XSD_MAX_EXCLUSIVE_FACET__FIXED

    static final int XSD_MAX_EXCLUSIVE_FACET__FIXED

  The feature id for the 'Fixed' attribute.

  See Also:
    Constant Field Values

### XSD_MAX_EXCLUSIVE_FACET__VALUE

    static final int XSD_MAX_EXCLUSIVE_FACET__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### XSD_MAX_EXCLUSIVE_FACET__INCLUSIVE

    static final int XSD_MAX_EXCLUSIVE_FACET__INCLUSIVE

  The feature id for the 'Inclusive' attribute.

  See Also:
    Constant Field Values

### XSD_MAX_EXCLUSIVE_FACET__EXCLUSIVE

    static final int XSD_MAX_EXCLUSIVE_FACET__EXCLUSIVE

  The feature id for the 'Exclusive' attribute.

  See Also:
    Constant Field Values

### XSD_MAX_EXCLUSIVE_FACET_FEATURE_COUNT

    static final int XSD_MAX_EXCLUSIVE_FACET_FEATURE_COUNT

  The number of structural features of the 'Max Exclusive Facet' class.

  See Also:
    Constant Field Values

### XSD_MAX_INCLUSIVE_FACET__ELEMENT

    static final int XSD_MAX_INCLUSIVE_FACET__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_MAX_INCLUSIVE_FACET__CONTAINER

    static final int XSD_MAX_INCLUSIVE_FACET__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_MAX_INCLUSIVE_FACET__ROOT_CONTAINER

    static final int XSD_MAX_INCLUSIVE_FACET__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_MAX_INCLUSIVE_FACET__SCHEMA

    static final int XSD_MAX_INCLUSIVE_FACET__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_MAX_INCLUSIVE_FACET__DIAGNOSTICS

    static final int XSD_MAX_INCLUSIVE_FACET__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_MAX_INCLUSIVE_FACET__LEXICAL_VALUE

    static final int XSD_MAX_INCLUSIVE_FACET__LEXICAL_VALUE

  The feature id for the 'Lexical Value' attribute.

  See Also:
    Constant Field Values

### XSD_MAX_INCLUSIVE_FACET__FACET_NAME

    static final int XSD_MAX_INCLUSIVE_FACET__FACET_NAME

  The feature id for the 'Facet Name' attribute.

  See Also:
    Constant Field Values

### XSD_MAX_INCLUSIVE_FACET__EFFECTIVE_VALUE

    static final int XSD_MAX_INCLUSIVE_FACET__EFFECTIVE_VALUE

  The feature id for the 'Effective Value' attribute.

  See Also:
    Constant Field Values

### XSD_MAX_INCLUSIVE_FACET__ANNOTATION

    static final int XSD_MAX_INCLUSIVE_FACET__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_MAX_INCLUSIVE_FACET__SIMPLE_TYPE_DEFINITION

    static final int XSD_MAX_INCLUSIVE_FACET__SIMPLE_TYPE_DEFINITION

  The feature id for the 'Simple Type Definition' reference.

  See Also:
    Constant Field Values

### XSD_MAX_INCLUSIVE_FACET__FIXED

    static final int XSD_MAX_INCLUSIVE_FACET__FIXED

  The feature id for the 'Fixed' attribute.

  See Also:
    Constant Field Values

### XSD_MAX_INCLUSIVE_FACET__VALUE

    static final int XSD_MAX_INCLUSIVE_FACET__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### XSD_MAX_INCLUSIVE_FACET__INCLUSIVE

    static final int XSD_MAX_INCLUSIVE_FACET__INCLUSIVE

  The feature id for the 'Inclusive' attribute.

  See Also:
    Constant Field Values

### XSD_MAX_INCLUSIVE_FACET__EXCLUSIVE

    static final int XSD_MAX_INCLUSIVE_FACET__EXCLUSIVE

  The feature id for the 'Exclusive' attribute.

  See Also:
    Constant Field Values

### XSD_MAX_INCLUSIVE_FACET_FEATURE_COUNT

    static final int XSD_MAX_INCLUSIVE_FACET_FEATURE_COUNT

  The number of structural features of the 'Max Inclusive Facet' class.

  See Also:
    Constant Field Values

### XSD_MAX_LENGTH_FACET__ELEMENT

    static final int XSD_MAX_LENGTH_FACET__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_MAX_LENGTH_FACET__CONTAINER

    static final int XSD_MAX_LENGTH_FACET__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_MAX_LENGTH_FACET__ROOT_CONTAINER

    static final int XSD_MAX_LENGTH_FACET__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_MAX_LENGTH_FACET__SCHEMA

    static final int XSD_MAX_LENGTH_FACET__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_MAX_LENGTH_FACET__DIAGNOSTICS

    static final int XSD_MAX_LENGTH_FACET__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_MAX_LENGTH_FACET__LEXICAL_VALUE

    static final int XSD_MAX_LENGTH_FACET__LEXICAL_VALUE

  The feature id for the 'Lexical Value' attribute.

  See Also:
    Constant Field Values

### XSD_MAX_LENGTH_FACET__FACET_NAME

    static final int XSD_MAX_LENGTH_FACET__FACET_NAME

  The feature id for the 'Facet Name' attribute.

  See Also:
    Constant Field Values

### XSD_MAX_LENGTH_FACET__EFFECTIVE_VALUE

    static final int XSD_MAX_LENGTH_FACET__EFFECTIVE_VALUE

  The feature id for the 'Effective Value' attribute.

  See Also:
    Constant Field Values

### XSD_MAX_LENGTH_FACET__ANNOTATION

    static final int XSD_MAX_LENGTH_FACET__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_MAX_LENGTH_FACET__SIMPLE_TYPE_DEFINITION

    static final int XSD_MAX_LENGTH_FACET__SIMPLE_TYPE_DEFINITION

  The feature id for the 'Simple Type Definition' reference.

  See Also:
    Constant Field Values

### XSD_MAX_LENGTH_FACET__FIXED

    static final int XSD_MAX_LENGTH_FACET__FIXED

  The feature id for the 'Fixed' attribute.

  See Also:
    Constant Field Values

### XSD_MAX_LENGTH_FACET__VALUE

    static final int XSD_MAX_LENGTH_FACET__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### XSD_MAX_LENGTH_FACET_FEATURE_COUNT

    static final int XSD_MAX_LENGTH_FACET_FEATURE_COUNT

  The number of structural features of the 'Max Length Facet' class.

  See Also:
    Constant Field Values

### XSD_MIN_FACET__ELEMENT

    static final int XSD_MIN_FACET__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_MIN_FACET__CONTAINER

    static final int XSD_MIN_FACET__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_MIN_FACET__ROOT_CONTAINER

    static final int XSD_MIN_FACET__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_MIN_FACET__SCHEMA

    static final int XSD_MIN_FACET__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_MIN_FACET__DIAGNOSTICS

    static final int XSD_MIN_FACET__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_MIN_FACET__LEXICAL_VALUE

    static final int XSD_MIN_FACET__LEXICAL_VALUE

  The feature id for the 'Lexical Value' attribute.

  See Also:
    Constant Field Values

### XSD_MIN_FACET__FACET_NAME

    static final int XSD_MIN_FACET__FACET_NAME

  The feature id for the 'Facet Name' attribute.

  See Also:
    Constant Field Values

### XSD_MIN_FACET__EFFECTIVE_VALUE

    static final int XSD_MIN_FACET__EFFECTIVE_VALUE

  The feature id for the 'Effective Value' attribute.

  See Also:
    Constant Field Values

### XSD_MIN_FACET__ANNOTATION

    static final int XSD_MIN_FACET__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_MIN_FACET__SIMPLE_TYPE_DEFINITION

    static final int XSD_MIN_FACET__SIMPLE_TYPE_DEFINITION

  The feature id for the 'Simple Type Definition' reference.

  See Also:
    Constant Field Values

### XSD_MIN_FACET__FIXED

    static final int XSD_MIN_FACET__FIXED

  The feature id for the 'Fixed' attribute.

  See Also:
    Constant Field Values

### XSD_MIN_FACET__VALUE

    static final int XSD_MIN_FACET__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### XSD_MIN_FACET__INCLUSIVE

    static final int XSD_MIN_FACET__INCLUSIVE

  The feature id for the 'Inclusive' attribute.

  See Also:
    Constant Field Values

### XSD_MIN_FACET__EXCLUSIVE

    static final int XSD_MIN_FACET__EXCLUSIVE

  The feature id for the 'Exclusive' attribute.

  See Also:
    Constant Field Values

### XSD_MIN_FACET_FEATURE_COUNT

    static final int XSD_MIN_FACET_FEATURE_COUNT

  The number of structural features of the 'Min Facet' class.

  See Also:
    Constant Field Values

### XSD_MIN_EXCLUSIVE_FACET__ELEMENT

    static final int XSD_MIN_EXCLUSIVE_FACET__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_MIN_EXCLUSIVE_FACET__CONTAINER

    static final int XSD_MIN_EXCLUSIVE_FACET__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_MIN_EXCLUSIVE_FACET__ROOT_CONTAINER

    static final int XSD_MIN_EXCLUSIVE_FACET__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_MIN_EXCLUSIVE_FACET__SCHEMA

    static final int XSD_MIN_EXCLUSIVE_FACET__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_MIN_EXCLUSIVE_FACET__DIAGNOSTICS

    static final int XSD_MIN_EXCLUSIVE_FACET__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_MIN_EXCLUSIVE_FACET__LEXICAL_VALUE

    static final int XSD_MIN_EXCLUSIVE_FACET__LEXICAL_VALUE

  The feature id for the 'Lexical Value' attribute.

  See Also:
    Constant Field Values

### XSD_MIN_EXCLUSIVE_FACET__FACET_NAME

    static final int XSD_MIN_EXCLUSIVE_FACET__FACET_NAME

  The feature id for the 'Facet Name' attribute.

  See Also:
    Constant Field Values

### XSD_MIN_EXCLUSIVE_FACET__EFFECTIVE_VALUE

    static final int XSD_MIN_EXCLUSIVE_FACET__EFFECTIVE_VALUE

  The feature id for the 'Effective Value' attribute.

  See Also:
    Constant Field Values

### XSD_MIN_EXCLUSIVE_FACET__ANNOTATION

    static final int XSD_MIN_EXCLUSIVE_FACET__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_MIN_EXCLUSIVE_FACET__SIMPLE_TYPE_DEFINITION

    static final int XSD_MIN_EXCLUSIVE_FACET__SIMPLE_TYPE_DEFINITION

  The feature id for the 'Simple Type Definition' reference.

  See Also:
    Constant Field Values

### XSD_MIN_EXCLUSIVE_FACET__FIXED

    static final int XSD_MIN_EXCLUSIVE_FACET__FIXED

  The feature id for the 'Fixed' attribute.

  See Also:
    Constant Field Values

### XSD_MIN_EXCLUSIVE_FACET__VALUE

    static final int XSD_MIN_EXCLUSIVE_FACET__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### XSD_MIN_EXCLUSIVE_FACET__INCLUSIVE

    static final int XSD_MIN_EXCLUSIVE_FACET__INCLUSIVE

  The feature id for the 'Inclusive' attribute.

  See Also:
    Constant Field Values

### XSD_MIN_EXCLUSIVE_FACET__EXCLUSIVE

    static final int XSD_MIN_EXCLUSIVE_FACET__EXCLUSIVE

  The feature id for the 'Exclusive' attribute.

  See Also:
    Constant Field Values

### XSD_MIN_EXCLUSIVE_FACET_FEATURE_COUNT

    static final int XSD_MIN_EXCLUSIVE_FACET_FEATURE_COUNT

  The number of structural features of the 'Min Exclusive Facet' class.

  See Also:
    Constant Field Values

### XSD_MIN_INCLUSIVE_FACET__ELEMENT

    static final int XSD_MIN_INCLUSIVE_FACET__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_MIN_INCLUSIVE_FACET__CONTAINER

    static final int XSD_MIN_INCLUSIVE_FACET__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_MIN_INCLUSIVE_FACET__ROOT_CONTAINER

    static final int XSD_MIN_INCLUSIVE_FACET__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_MIN_INCLUSIVE_FACET__SCHEMA

    static final int XSD_MIN_INCLUSIVE_FACET__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_MIN_INCLUSIVE_FACET__DIAGNOSTICS

    static final int XSD_MIN_INCLUSIVE_FACET__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_MIN_INCLUSIVE_FACET__LEXICAL_VALUE

    static final int XSD_MIN_INCLUSIVE_FACET__LEXICAL_VALUE

  The feature id for the 'Lexical Value' attribute.

  See Also:
    Constant Field Values

### XSD_MIN_INCLUSIVE_FACET__FACET_NAME

    static final int XSD_MIN_INCLUSIVE_FACET__FACET_NAME

  The feature id for the 'Facet Name' attribute.

  See Also:
    Constant Field Values

### XSD_MIN_INCLUSIVE_FACET__EFFECTIVE_VALUE

    static final int XSD_MIN_INCLUSIVE_FACET__EFFECTIVE_VALUE

  The feature id for the 'Effective Value' attribute.

  See Also:
    Constant Field Values

### XSD_MIN_INCLUSIVE_FACET__ANNOTATION

    static final int XSD_MIN_INCLUSIVE_FACET__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_MIN_INCLUSIVE_FACET__SIMPLE_TYPE_DEFINITION

    static final int XSD_MIN_INCLUSIVE_FACET__SIMPLE_TYPE_DEFINITION

  The feature id for the 'Simple Type Definition' reference.

  See Also:
    Constant Field Values

### XSD_MIN_INCLUSIVE_FACET__FIXED

    static final int XSD_MIN_INCLUSIVE_FACET__FIXED

  The feature id for the 'Fixed' attribute.

  See Also:
    Constant Field Values

### XSD_MIN_INCLUSIVE_FACET__VALUE

    static final int XSD_MIN_INCLUSIVE_FACET__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### XSD_MIN_INCLUSIVE_FACET__INCLUSIVE

    static final int XSD_MIN_INCLUSIVE_FACET__INCLUSIVE

  The feature id for the 'Inclusive' attribute.

  See Also:
    Constant Field Values

### XSD_MIN_INCLUSIVE_FACET__EXCLUSIVE

    static final int XSD_MIN_INCLUSIVE_FACET__EXCLUSIVE

  The feature id for the 'Exclusive' attribute.

  See Also:
    Constant Field Values

### XSD_MIN_INCLUSIVE_FACET_FEATURE_COUNT

    static final int XSD_MIN_INCLUSIVE_FACET_FEATURE_COUNT

  The number of structural features of the 'Min Inclusive Facet' class.

  See Also:
    Constant Field Values

### XSD_MIN_LENGTH_FACET__ELEMENT

    static final int XSD_MIN_LENGTH_FACET__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_MIN_LENGTH_FACET__CONTAINER

    static final int XSD_MIN_LENGTH_FACET__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_MIN_LENGTH_FACET__ROOT_CONTAINER

    static final int XSD_MIN_LENGTH_FACET__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_MIN_LENGTH_FACET__SCHEMA

    static final int XSD_MIN_LENGTH_FACET__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_MIN_LENGTH_FACET__DIAGNOSTICS

    static final int XSD_MIN_LENGTH_FACET__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_MIN_LENGTH_FACET__LEXICAL_VALUE

    static final int XSD_MIN_LENGTH_FACET__LEXICAL_VALUE

  The feature id for the 'Lexical Value' attribute.

  See Also:
    Constant Field Values

### XSD_MIN_LENGTH_FACET__FACET_NAME

    static final int XSD_MIN_LENGTH_FACET__FACET_NAME

  The feature id for the 'Facet Name' attribute.

  See Also:
    Constant Field Values

### XSD_MIN_LENGTH_FACET__EFFECTIVE_VALUE

    static final int XSD_MIN_LENGTH_FACET__EFFECTIVE_VALUE

  The feature id for the 'Effective Value' attribute.

  See Also:
    Constant Field Values

### XSD_MIN_LENGTH_FACET__ANNOTATION

    static final int XSD_MIN_LENGTH_FACET__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_MIN_LENGTH_FACET__SIMPLE_TYPE_DEFINITION

    static final int XSD_MIN_LENGTH_FACET__SIMPLE_TYPE_DEFINITION

  The feature id for the 'Simple Type Definition' reference.

  See Also:
    Constant Field Values

### XSD_MIN_LENGTH_FACET__FIXED

    static final int XSD_MIN_LENGTH_FACET__FIXED

  The feature id for the 'Fixed' attribute.

  See Also:
    Constant Field Values

### XSD_MIN_LENGTH_FACET__VALUE

    static final int XSD_MIN_LENGTH_FACET__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### XSD_MIN_LENGTH_FACET_FEATURE_COUNT

    static final int XSD_MIN_LENGTH_FACET_FEATURE_COUNT

  The number of structural features of the 'Min Length Facet' class.

  See Also:
    Constant Field Values

### XSD_TERM__ELEMENT

    static final int XSD_TERM__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_TERM__CONTAINER

    static final int XSD_TERM__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_TERM__ROOT_CONTAINER

    static final int XSD_TERM__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_TERM__SCHEMA

    static final int XSD_TERM__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_TERM__DIAGNOSTICS

    static final int XSD_TERM__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_TERM_FEATURE_COUNT

    static final int XSD_TERM_FEATURE_COUNT

  The number of structural features of the 'Term' class.

  See Also:
    Constant Field Values

### XSD_MODEL_GROUP__ELEMENT

    static final int XSD_MODEL_GROUP__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_MODEL_GROUP__CONTAINER

    static final int XSD_MODEL_GROUP__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_MODEL_GROUP__ROOT_CONTAINER

    static final int XSD_MODEL_GROUP__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_MODEL_GROUP__SCHEMA

    static final int XSD_MODEL_GROUP__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_MODEL_GROUP__DIAGNOSTICS

    static final int XSD_MODEL_GROUP__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_MODEL_GROUP__COMPOSITOR

    static final int XSD_MODEL_GROUP__COMPOSITOR

  The feature id for the 'Compositor' attribute.

  See Also:
    Constant Field Values

### XSD_MODEL_GROUP__ANNOTATION

    static final int XSD_MODEL_GROUP__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_MODEL_GROUP__CONTENTS

    static final int XSD_MODEL_GROUP__CONTENTS

  The feature id for the 'Contents' containment reference list.

  See Also:
    Constant Field Values

### XSD_MODEL_GROUP__PARTICLES

    static final int XSD_MODEL_GROUP__PARTICLES

  The feature id for the 'Particles' reference list.

  See Also:
    Constant Field Values

### XSD_MODEL_GROUP_FEATURE_COUNT

    static final int XSD_MODEL_GROUP_FEATURE_COUNT

  The number of structural features of the 'Model Group' class.

  See Also:
    Constant Field Values

### XSD_MODEL_GROUP_DEFINITION__ELEMENT

    static final int XSD_MODEL_GROUP_DEFINITION__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_MODEL_GROUP_DEFINITION__CONTAINER

    static final int XSD_MODEL_GROUP_DEFINITION__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_MODEL_GROUP_DEFINITION__ROOT_CONTAINER

    static final int XSD_MODEL_GROUP_DEFINITION__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_MODEL_GROUP_DEFINITION__SCHEMA

    static final int XSD_MODEL_GROUP_DEFINITION__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_MODEL_GROUP_DEFINITION__DIAGNOSTICS

    static final int XSD_MODEL_GROUP_DEFINITION__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_MODEL_GROUP_DEFINITION__NAME

    static final int XSD_MODEL_GROUP_DEFINITION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### XSD_MODEL_GROUP_DEFINITION__TARGET_NAMESPACE

    static final int XSD_MODEL_GROUP_DEFINITION__TARGET_NAMESPACE

  The feature id for the 'Target Namespace' attribute.

  See Also:
    Constant Field Values

### XSD_MODEL_GROUP_DEFINITION__ALIAS_NAME

    static final int XSD_MODEL_GROUP_DEFINITION__ALIAS_NAME

  The feature id for the 'Alias Name' attribute.

  See Also:
    Constant Field Values

### XSD_MODEL_GROUP_DEFINITION__URI

    static final int XSD_MODEL_GROUP_DEFINITION__URI

  The feature id for the 'URI' attribute.

  See Also:
    Constant Field Values

### XSD_MODEL_GROUP_DEFINITION__ALIAS_URI

    static final int XSD_MODEL_GROUP_DEFINITION__ALIAS_URI

  The feature id for the 'Alias URI' attribute.

  See Also:
    Constant Field Values

### XSD_MODEL_GROUP_DEFINITION__QNAME

    static final int XSD_MODEL_GROUP_DEFINITION__QNAME

  The feature id for the 'QName' attribute.

  See Also:
    Constant Field Values

### XSD_MODEL_GROUP_DEFINITION__CIRCULAR

    static final int XSD_MODEL_GROUP_DEFINITION__CIRCULAR

  The feature id for the 'Circular' attribute.

  See Also:
    Constant Field Values

### XSD_MODEL_GROUP_DEFINITION__MODEL_GROUP_DEFINITION_REFERENCE

    static final int XSD_MODEL_GROUP_DEFINITION__MODEL_GROUP_DEFINITION_REFERENCE

  The feature id for the 'Model Group Definition Reference' attribute.

  See Also:
    Constant Field Values

### XSD_MODEL_GROUP_DEFINITION__ANNOTATION

    static final int XSD_MODEL_GROUP_DEFINITION__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_MODEL_GROUP_DEFINITION__MODEL_GROUP

    static final int XSD_MODEL_GROUP_DEFINITION__MODEL_GROUP

  The feature id for the 'Model Group' containment reference.

  See Also:
    Constant Field Values

### XSD_MODEL_GROUP_DEFINITION__RESOLVED_MODEL_GROUP_DEFINITION

    static final int XSD_MODEL_GROUP_DEFINITION__RESOLVED_MODEL_GROUP_DEFINITION

  The feature id for the 'Resolved Model Group Definition' reference.

  See Also:
    Constant Field Values

### XSD_MODEL_GROUP_DEFINITION_FEATURE_COUNT

    static final int XSD_MODEL_GROUP_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Model Group Definition' class.

  See Also:
    Constant Field Values

### XSD_NOTATION_DECLARATION__ELEMENT

    static final int XSD_NOTATION_DECLARATION__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_NOTATION_DECLARATION__CONTAINER

    static final int XSD_NOTATION_DECLARATION__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_NOTATION_DECLARATION__ROOT_CONTAINER

    static final int XSD_NOTATION_DECLARATION__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_NOTATION_DECLARATION__SCHEMA

    static final int XSD_NOTATION_DECLARATION__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_NOTATION_DECLARATION__DIAGNOSTICS

    static final int XSD_NOTATION_DECLARATION__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_NOTATION_DECLARATION__NAME

    static final int XSD_NOTATION_DECLARATION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### XSD_NOTATION_DECLARATION__TARGET_NAMESPACE

    static final int XSD_NOTATION_DECLARATION__TARGET_NAMESPACE

  The feature id for the 'Target Namespace' attribute.

  See Also:
    Constant Field Values

### XSD_NOTATION_DECLARATION__ALIAS_NAME

    static final int XSD_NOTATION_DECLARATION__ALIAS_NAME

  The feature id for the 'Alias Name' attribute.

  See Also:
    Constant Field Values

### XSD_NOTATION_DECLARATION__URI

    static final int XSD_NOTATION_DECLARATION__URI

  The feature id for the 'URI' attribute.

  See Also:
    Constant Field Values

### XSD_NOTATION_DECLARATION__ALIAS_URI

    static final int XSD_NOTATION_DECLARATION__ALIAS_URI

  The feature id for the 'Alias URI' attribute.

  See Also:
    Constant Field Values

### XSD_NOTATION_DECLARATION__QNAME

    static final int XSD_NOTATION_DECLARATION__QNAME

  The feature id for the 'QName' attribute.

  See Also:
    Constant Field Values

### XSD_NOTATION_DECLARATION__SYSTEM_IDENTIFIER

    static final int XSD_NOTATION_DECLARATION__SYSTEM_IDENTIFIER

  The feature id for the 'System Identifier' attribute.

  See Also:
    Constant Field Values

### XSD_NOTATION_DECLARATION__PUBLIC_IDENTIFIER

    static final int XSD_NOTATION_DECLARATION__PUBLIC_IDENTIFIER

  The feature id for the 'Public Identifier' attribute.

  See Also:
    Constant Field Values

### XSD_NOTATION_DECLARATION__ANNOTATION

    static final int XSD_NOTATION_DECLARATION__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_NOTATION_DECLARATION_FEATURE_COUNT

    static final int XSD_NOTATION_DECLARATION_FEATURE_COUNT

  The number of structural features of the 'Notation Declaration' class.

  See Also:
    Constant Field Values

### XSD_NUMERIC_FACET__ELEMENT

    static final int XSD_NUMERIC_FACET__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_NUMERIC_FACET__CONTAINER

    static final int XSD_NUMERIC_FACET__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_NUMERIC_FACET__ROOT_CONTAINER

    static final int XSD_NUMERIC_FACET__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_NUMERIC_FACET__SCHEMA

    static final int XSD_NUMERIC_FACET__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_NUMERIC_FACET__DIAGNOSTICS

    static final int XSD_NUMERIC_FACET__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_NUMERIC_FACET__LEXICAL_VALUE

    static final int XSD_NUMERIC_FACET__LEXICAL_VALUE

  The feature id for the 'Lexical Value' attribute.

  See Also:
    Constant Field Values

### XSD_NUMERIC_FACET__FACET_NAME

    static final int XSD_NUMERIC_FACET__FACET_NAME

  The feature id for the 'Facet Name' attribute.

  See Also:
    Constant Field Values

### XSD_NUMERIC_FACET__EFFECTIVE_VALUE

    static final int XSD_NUMERIC_FACET__EFFECTIVE_VALUE

  The feature id for the 'Effective Value' attribute.

  See Also:
    Constant Field Values

### XSD_NUMERIC_FACET__ANNOTATION

    static final int XSD_NUMERIC_FACET__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_NUMERIC_FACET__SIMPLE_TYPE_DEFINITION

    static final int XSD_NUMERIC_FACET__SIMPLE_TYPE_DEFINITION

  The feature id for the 'Simple Type Definition' reference.

  See Also:
    Constant Field Values

### XSD_NUMERIC_FACET__VALUE

    static final int XSD_NUMERIC_FACET__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### XSD_NUMERIC_FACET_FEATURE_COUNT

    static final int XSD_NUMERIC_FACET_FEATURE_COUNT

  The number of structural features of the 'Numeric Facet' class.

  See Also:
    Constant Field Values

### XSD_ORDERED_FACET__ELEMENT

    static final int XSD_ORDERED_FACET__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_ORDERED_FACET__CONTAINER

    static final int XSD_ORDERED_FACET__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_ORDERED_FACET__ROOT_CONTAINER

    static final int XSD_ORDERED_FACET__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_ORDERED_FACET__SCHEMA

    static final int XSD_ORDERED_FACET__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_ORDERED_FACET__DIAGNOSTICS

    static final int XSD_ORDERED_FACET__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_ORDERED_FACET__LEXICAL_VALUE

    static final int XSD_ORDERED_FACET__LEXICAL_VALUE

  The feature id for the 'Lexical Value' attribute.

  See Also:
    Constant Field Values

### XSD_ORDERED_FACET__FACET_NAME

    static final int XSD_ORDERED_FACET__FACET_NAME

  The feature id for the 'Facet Name' attribute.

  See Also:
    Constant Field Values

### XSD_ORDERED_FACET__EFFECTIVE_VALUE

    static final int XSD_ORDERED_FACET__EFFECTIVE_VALUE

  The feature id for the 'Effective Value' attribute.

  See Also:
    Constant Field Values

### XSD_ORDERED_FACET__ANNOTATION

    static final int XSD_ORDERED_FACET__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_ORDERED_FACET__SIMPLE_TYPE_DEFINITION

    static final int XSD_ORDERED_FACET__SIMPLE_TYPE_DEFINITION

  The feature id for the 'Simple Type Definition' reference.

  See Also:
    Constant Field Values

### XSD_ORDERED_FACET__VALUE

    static final int XSD_ORDERED_FACET__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### XSD_ORDERED_FACET_FEATURE_COUNT

    static final int XSD_ORDERED_FACET_FEATURE_COUNT

  The number of structural features of the 'Ordered Facet' class.

  See Also:
    Constant Field Values

### XSD_PARTICLE__ELEMENT

    static final int XSD_PARTICLE__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_PARTICLE__CONTAINER

    static final int XSD_PARTICLE__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_PARTICLE__ROOT_CONTAINER

    static final int XSD_PARTICLE__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_PARTICLE__SCHEMA

    static final int XSD_PARTICLE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_PARTICLE__DIAGNOSTICS

    static final int XSD_PARTICLE__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_PARTICLE__MIN_OCCURS

    static final int XSD_PARTICLE__MIN_OCCURS

  The feature id for the 'Min Occurs' attribute.

  See Also:
    Constant Field Values

### XSD_PARTICLE__MAX_OCCURS

    static final int XSD_PARTICLE__MAX_OCCURS

  The feature id for the 'Max Occurs' attribute.

  See Also:
    Constant Field Values

### XSD_PARTICLE__CONTENT

    static final int XSD_PARTICLE__CONTENT

  The feature id for the 'Content' containment reference.

  See Also:
    Constant Field Values

### XSD_PARTICLE__TERM

    static final int XSD_PARTICLE__TERM

  The feature id for the 'Term' reference.

  See Also:
    Constant Field Values

### XSD_PARTICLE_FEATURE_COUNT

    static final int XSD_PARTICLE_FEATURE_COUNT

  The number of structural features of the 'Particle' class.

  See Also:
    Constant Field Values

### XSD_PARTICLE_CONTENT__ELEMENT

    static final int XSD_PARTICLE_CONTENT__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_PARTICLE_CONTENT__CONTAINER

    static final int XSD_PARTICLE_CONTENT__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_PARTICLE_CONTENT__ROOT_CONTAINER

    static final int XSD_PARTICLE_CONTENT__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_PARTICLE_CONTENT__SCHEMA

    static final int XSD_PARTICLE_CONTENT__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_PARTICLE_CONTENT__DIAGNOSTICS

    static final int XSD_PARTICLE_CONTENT__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_PARTICLE_CONTENT_FEATURE_COUNT

    static final int XSD_PARTICLE_CONTENT_FEATURE_COUNT

  The number of structural features of the 'Particle Content' class.

  See Also:
    Constant Field Values

### XSD_PATTERN_FACET__ELEMENT

    static final int XSD_PATTERN_FACET__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_PATTERN_FACET__CONTAINER

    static final int XSD_PATTERN_FACET__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_PATTERN_FACET__ROOT_CONTAINER

    static final int XSD_PATTERN_FACET__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_PATTERN_FACET__SCHEMA

    static final int XSD_PATTERN_FACET__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_PATTERN_FACET__DIAGNOSTICS

    static final int XSD_PATTERN_FACET__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_PATTERN_FACET__LEXICAL_VALUE

    static final int XSD_PATTERN_FACET__LEXICAL_VALUE

  The feature id for the 'Lexical Value' attribute.

  See Also:
    Constant Field Values

### XSD_PATTERN_FACET__FACET_NAME

    static final int XSD_PATTERN_FACET__FACET_NAME

  The feature id for the 'Facet Name' attribute.

  See Also:
    Constant Field Values

### XSD_PATTERN_FACET__EFFECTIVE_VALUE

    static final int XSD_PATTERN_FACET__EFFECTIVE_VALUE

  The feature id for the 'Effective Value' attribute.

  See Also:
    Constant Field Values

### XSD_PATTERN_FACET__ANNOTATION

    static final int XSD_PATTERN_FACET__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_PATTERN_FACET__SIMPLE_TYPE_DEFINITION

    static final int XSD_PATTERN_FACET__SIMPLE_TYPE_DEFINITION

  The feature id for the 'Simple Type Definition' reference.

  See Also:
    Constant Field Values

### XSD_PATTERN_FACET__ANNOTATIONS

    static final int XSD_PATTERN_FACET__ANNOTATIONS

  The feature id for the 'Annotations' reference list.

  See Also:
    Constant Field Values

### XSD_PATTERN_FACET__VALUE

    static final int XSD_PATTERN_FACET__VALUE

  The feature id for the 'Value' attribute list.

  See Also:
    Constant Field Values

### XSD_PATTERN_FACET_FEATURE_COUNT

    static final int XSD_PATTERN_FACET_FEATURE_COUNT

  The number of structural features of the 'Pattern Facet' class.

  See Also:
    Constant Field Values

### XSD_REDEFINE_CONTENT__ELEMENT

    static final int XSD_REDEFINE_CONTENT__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_REDEFINE_CONTENT__CONTAINER

    static final int XSD_REDEFINE_CONTENT__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_REDEFINE_CONTENT__ROOT_CONTAINER

    static final int XSD_REDEFINE_CONTENT__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_REDEFINE_CONTENT__SCHEMA

    static final int XSD_REDEFINE_CONTENT__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_REDEFINE_CONTENT__DIAGNOSTICS

    static final int XSD_REDEFINE_CONTENT__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_REDEFINE_CONTENT_FEATURE_COUNT

    static final int XSD_REDEFINE_CONTENT_FEATURE_COUNT

  The number of structural features of the 'Redefine Content' class.

  See Also:
    Constant Field Values

### XSD_REDEFINE__ELEMENT

    static final int XSD_REDEFINE__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_REDEFINE__CONTAINER

    static final int XSD_REDEFINE__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_REDEFINE__ROOT_CONTAINER

    static final int XSD_REDEFINE__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_REDEFINE__SCHEMA

    static final int XSD_REDEFINE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_REDEFINE__DIAGNOSTICS

    static final int XSD_REDEFINE__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_REDEFINE__SCHEMA_LOCATION

    static final int XSD_REDEFINE__SCHEMA_LOCATION

  The feature id for the 'Schema Location' attribute.

  See Also:
    Constant Field Values

### XSD_REDEFINE__RESOLVED_SCHEMA

    static final int XSD_REDEFINE__RESOLVED_SCHEMA

  The feature id for the 'Resolved Schema' reference.

  See Also:
    Constant Field Values

### XSD_REDEFINE__INCORPORATED_SCHEMA

    static final int XSD_REDEFINE__INCORPORATED_SCHEMA

  The feature id for the 'Incorporated Schema' reference.

  See Also:
    Constant Field Values

### XSD_REDEFINE__ANNOTATIONS

    static final int XSD_REDEFINE__ANNOTATIONS

  The feature id for the 'Annotations' reference list.

  See Also:
    Constant Field Values

### XSD_REDEFINE__CONTENTS

    static final int XSD_REDEFINE__CONTENTS

  The feature id for the 'Contents' containment reference list.

  See Also:
    Constant Field Values

### XSD_REDEFINE_FEATURE_COUNT

    static final int XSD_REDEFINE_FEATURE_COUNT

  The number of structural features of the 'Redefine' class.

  See Also:
    Constant Field Values

### XSD_SCOPE__ELEMENT

    static final int XSD_SCOPE__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_SCOPE__CONTAINER

    static final int XSD_SCOPE__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_SCOPE__ROOT_CONTAINER

    static final int XSD_SCOPE__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_SCOPE__SCHEMA

    static final int XSD_SCOPE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_SCOPE__DIAGNOSTICS

    static final int XSD_SCOPE__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_SCOPE_FEATURE_COUNT

    static final int XSD_SCOPE_FEATURE_COUNT

  The number of structural features of the 'Scope' class.

  See Also:
    Constant Field Values

### XSD_SCHEMA__ELEMENT

    static final int XSD_SCHEMA__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_SCHEMA__CONTAINER

    static final int XSD_SCHEMA__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_SCHEMA__ROOT_CONTAINER

    static final int XSD_SCHEMA__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_SCHEMA__SCHEMA

    static final int XSD_SCHEMA__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_SCHEMA__DIAGNOSTICS

    static final int XSD_SCHEMA__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_SCHEMA__DOCUMENT

    static final int XSD_SCHEMA__DOCUMENT

  The feature id for the 'Document' attribute.

  See Also:
    Constant Field Values

### XSD_SCHEMA__SCHEMA_LOCATION

    static final int XSD_SCHEMA__SCHEMA_LOCATION

  The feature id for the 'Schema Location' attribute.

  See Also:
    Constant Field Values

### XSD_SCHEMA__TARGET_NAMESPACE

    static final int XSD_SCHEMA__TARGET_NAMESPACE

  The feature id for the 'Target Namespace' attribute.

  See Also:
    Constant Field Values

### XSD_SCHEMA__ATTRIBUTE_FORM_DEFAULT

    static final int XSD_SCHEMA__ATTRIBUTE_FORM_DEFAULT

  The feature id for the 'Attribute Form Default' attribute.

  See Also:
    Constant Field Values

### XSD_SCHEMA__ELEMENT_FORM_DEFAULT

    static final int XSD_SCHEMA__ELEMENT_FORM_DEFAULT

  The feature id for the 'Element Form Default' attribute.

  See Also:
    Constant Field Values

### XSD_SCHEMA__FINAL_DEFAULT

    static final int XSD_SCHEMA__FINAL_DEFAULT

  The feature id for the 'Final Default' attribute list.

  See Also:
    Constant Field Values

### XSD_SCHEMA__BLOCK_DEFAULT

    static final int XSD_SCHEMA__BLOCK_DEFAULT

  The feature id for the 'Block Default' attribute list.

  See Also:
    Constant Field Values

### XSD_SCHEMA__VERSION

    static final int XSD_SCHEMA__VERSION

  The feature id for the 'Version' attribute.

  See Also:
    Constant Field Values

### XSD_SCHEMA__CONTENTS

    static final int XSD_SCHEMA__CONTENTS

  The feature id for the 'Contents' containment reference list.

  See Also:
    Constant Field Values

### XSD_SCHEMA__ELEMENT_DECLARATIONS

    static final int XSD_SCHEMA__ELEMENT_DECLARATIONS

  The feature id for the 'Element Declarations' reference list.

  See Also:
    Constant Field Values

### XSD_SCHEMA__ATTRIBUTE_DECLARATIONS

    static final int XSD_SCHEMA__ATTRIBUTE_DECLARATIONS

  The feature id for the 'Attribute Declarations' reference list.

  See Also:
    Constant Field Values

### XSD_SCHEMA__ATTRIBUTE_GROUP_DEFINITIONS

    static final int XSD_SCHEMA__ATTRIBUTE_GROUP_DEFINITIONS

  The feature id for the 'Attribute Group Definitions' reference list.

  See Also:
    Constant Field Values

### XSD_SCHEMA__TYPE_DEFINITIONS

    static final int XSD_SCHEMA__TYPE_DEFINITIONS

  The feature id for the 'Type Definitions' reference list.

  See Also:
    Constant Field Values

### XSD_SCHEMA__MODEL_GROUP_DEFINITIONS

    static final int XSD_SCHEMA__MODEL_GROUP_DEFINITIONS

  The feature id for the 'Model Group Definitions' reference list.

  See Also:
    Constant Field Values

### XSD_SCHEMA__IDENTITY_CONSTRAINT_DEFINITIONS

    static final int XSD_SCHEMA__IDENTITY_CONSTRAINT_DEFINITIONS

  The feature id for the 'Identity Constraint Definitions' reference list.

  See Also:
    Constant Field Values

### XSD_SCHEMA__NOTATION_DECLARATIONS

    static final int XSD_SCHEMA__NOTATION_DECLARATIONS

  The feature id for the 'Notation Declarations' reference list.

  See Also:
    Constant Field Values

### XSD_SCHEMA__ANNOTATIONS

    static final int XSD_SCHEMA__ANNOTATIONS

  The feature id for the 'Annotations' reference list.

  See Also:
    Constant Field Values

### XSD_SCHEMA__ALL_DIAGNOSTICS

    static final int XSD_SCHEMA__ALL_DIAGNOSTICS

  The feature id for the 'All Diagnostics' reference list.

  See Also:
    Constant Field Values

### XSD_SCHEMA__REFERENCING_DIRECTIVES

    static final int XSD_SCHEMA__REFERENCING_DIRECTIVES

  The feature id for the 'Referencing Directives' reference list.

  See Also:
    Constant Field Values

### XSD_SCHEMA__ROOT_VERSION

    static final int XSD_SCHEMA__ROOT_VERSION

  The feature id for the 'Root Version' reference.

  See Also:
    Constant Field Values

### XSD_SCHEMA__ORIGINAL_VERSION

    static final int XSD_SCHEMA__ORIGINAL_VERSION

  The feature id for the 'Original Version' reference.

  See Also:
    Constant Field Values

### XSD_SCHEMA__INCORPORATED_VERSIONS

    static final int XSD_SCHEMA__INCORPORATED_VERSIONS

  The feature id for the 'Incorporated Versions' containment reference list.

  See Also:
    Constant Field Values

### XSD_SCHEMA__SCHEMA_FOR_SCHEMA

    static final int XSD_SCHEMA__SCHEMA_FOR_SCHEMA

  The feature id for the 'Schema For Schema' reference.

  See Also:
    Constant Field Values

### XSD_SCHEMA_FEATURE_COUNT

    static final int XSD_SCHEMA_FEATURE_COUNT

  The number of structural features of the 'Schema' class.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__ELEMENT

    static final int XSD_SIMPLE_TYPE_DEFINITION__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__CONTAINER

    static final int XSD_SIMPLE_TYPE_DEFINITION__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__ROOT_CONTAINER

    static final int XSD_SIMPLE_TYPE_DEFINITION__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__SCHEMA

    static final int XSD_SIMPLE_TYPE_DEFINITION__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__DIAGNOSTICS

    static final int XSD_SIMPLE_TYPE_DEFINITION__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__NAME

    static final int XSD_SIMPLE_TYPE_DEFINITION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__TARGET_NAMESPACE

    static final int XSD_SIMPLE_TYPE_DEFINITION__TARGET_NAMESPACE

  The feature id for the 'Target Namespace' attribute.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__ALIAS_NAME

    static final int XSD_SIMPLE_TYPE_DEFINITION__ALIAS_NAME

  The feature id for the 'Alias Name' attribute.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__URI

    static final int XSD_SIMPLE_TYPE_DEFINITION__URI

  The feature id for the 'URI' attribute.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__ALIAS_URI

    static final int XSD_SIMPLE_TYPE_DEFINITION__ALIAS_URI

  The feature id for the 'Alias URI' attribute.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__QNAME

    static final int XSD_SIMPLE_TYPE_DEFINITION__QNAME

  The feature id for the 'QName' attribute.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__CIRCULAR

    static final int XSD_SIMPLE_TYPE_DEFINITION__CIRCULAR

  The feature id for the 'Circular' attribute.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__ANNOTATION

    static final int XSD_SIMPLE_TYPE_DEFINITION__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__DERIVATION_ANNOTATION

    static final int XSD_SIMPLE_TYPE_DEFINITION__DERIVATION_ANNOTATION

  The feature id for the 'Derivation Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__ANNOTATIONS

    static final int XSD_SIMPLE_TYPE_DEFINITION__ANNOTATIONS

  The feature id for the 'Annotations' reference list.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__ROOT_TYPE

    static final int XSD_SIMPLE_TYPE_DEFINITION__ROOT_TYPE

  The feature id for the 'Root Type' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__BASE_TYPE

    static final int XSD_SIMPLE_TYPE_DEFINITION__BASE_TYPE

  The feature id for the 'Base Type' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__SIMPLE_TYPE

    static final int XSD_SIMPLE_TYPE_DEFINITION__SIMPLE_TYPE

  The feature id for the 'Simple Type' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__COMPLEX_TYPE

    static final int XSD_SIMPLE_TYPE_DEFINITION__COMPLEX_TYPE

  The feature id for the 'Complex Type' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__VARIETY

    static final int XSD_SIMPLE_TYPE_DEFINITION__VARIETY

  The feature id for the 'Variety' attribute.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__FINAL

    static final int XSD_SIMPLE_TYPE_DEFINITION__FINAL

  The feature id for the 'Final' attribute list.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__LEXICAL_FINAL

    static final int XSD_SIMPLE_TYPE_DEFINITION__LEXICAL_FINAL

  The feature id for the 'Lexical Final' attribute list.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__VALID_FACETS

    static final int XSD_SIMPLE_TYPE_DEFINITION__VALID_FACETS

  The feature id for the 'Valid Facets' attribute list.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__CONTENTS

    static final int XSD_SIMPLE_TYPE_DEFINITION__CONTENTS

  The feature id for the 'Contents' containment reference list.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__FACET_CONTENTS

    static final int XSD_SIMPLE_TYPE_DEFINITION__FACET_CONTENTS

  The feature id for the 'Facet Contents' containment reference list.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__FACETS

    static final int XSD_SIMPLE_TYPE_DEFINITION__FACETS

  The feature id for the 'Facets' reference list.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__MEMBER_TYPE_DEFINITIONS

    static final int XSD_SIMPLE_TYPE_DEFINITION__MEMBER_TYPE_DEFINITIONS

  The feature id for the 'Member Type Definitions' reference list.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__FUNDAMENTAL_FACETS

    static final int XSD_SIMPLE_TYPE_DEFINITION__FUNDAMENTAL_FACETS

  The feature id for the 'Fundamental Facets' containment reference list.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__BASE_TYPE_DEFINITION

    static final int XSD_SIMPLE_TYPE_DEFINITION__BASE_TYPE_DEFINITION

  The feature id for the 'Base Type Definition' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__PRIMITIVE_TYPE_DEFINITION

    static final int XSD_SIMPLE_TYPE_DEFINITION__PRIMITIVE_TYPE_DEFINITION

  The feature id for the 'Primitive Type Definition' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__ITEM_TYPE_DEFINITION

    static final int XSD_SIMPLE_TYPE_DEFINITION__ITEM_TYPE_DEFINITION

  The feature id for the 'Item Type Definition' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__ROOT_TYPE_DEFINITION

    static final int XSD_SIMPLE_TYPE_DEFINITION__ROOT_TYPE_DEFINITION

  The feature id for the 'Root Type Definition' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__MIN_FACET

    static final int XSD_SIMPLE_TYPE_DEFINITION__MIN_FACET

  The feature id for the 'Min Facet' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__MAX_FACET

    static final int XSD_SIMPLE_TYPE_DEFINITION__MAX_FACET

  The feature id for the 'Max Facet' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__MAX_INCLUSIVE_FACET

    static final int XSD_SIMPLE_TYPE_DEFINITION__MAX_INCLUSIVE_FACET

  The feature id for the 'Max Inclusive Facet' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__MIN_INCLUSIVE_FACET

    static final int XSD_SIMPLE_TYPE_DEFINITION__MIN_INCLUSIVE_FACET

  The feature id for the 'Min Inclusive Facet' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__MIN_EXCLUSIVE_FACET

    static final int XSD_SIMPLE_TYPE_DEFINITION__MIN_EXCLUSIVE_FACET

  The feature id for the 'Min Exclusive Facet' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__MAX_EXCLUSIVE_FACET

    static final int XSD_SIMPLE_TYPE_DEFINITION__MAX_EXCLUSIVE_FACET

  The feature id for the 'Max Exclusive Facet' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__LENGTH_FACET

    static final int XSD_SIMPLE_TYPE_DEFINITION__LENGTH_FACET

  The feature id for the 'Length Facet' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__WHITE_SPACE_FACET

    static final int XSD_SIMPLE_TYPE_DEFINITION__WHITE_SPACE_FACET

  The feature id for the 'White Space Facet' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__ENUMERATION_FACETS

    static final int XSD_SIMPLE_TYPE_DEFINITION__ENUMERATION_FACETS

  The feature id for the 'Enumeration Facets' reference list.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__PATTERN_FACETS

    static final int XSD_SIMPLE_TYPE_DEFINITION__PATTERN_FACETS

  The feature id for the 'Pattern Facets' reference list.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__CARDINALITY_FACET

    static final int XSD_SIMPLE_TYPE_DEFINITION__CARDINALITY_FACET

  The feature id for the 'Cardinality Facet' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__NUMERIC_FACET

    static final int XSD_SIMPLE_TYPE_DEFINITION__NUMERIC_FACET

  The feature id for the 'Numeric Facet' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__MAX_LENGTH_FACET

    static final int XSD_SIMPLE_TYPE_DEFINITION__MAX_LENGTH_FACET

  The feature id for the 'Max Length Facet' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__MIN_LENGTH_FACET

    static final int XSD_SIMPLE_TYPE_DEFINITION__MIN_LENGTH_FACET

  The feature id for the 'Min Length Facet' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__TOTAL_DIGITS_FACET

    static final int XSD_SIMPLE_TYPE_DEFINITION__TOTAL_DIGITS_FACET

  The feature id for the 'Total Digits Facet' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__FRACTION_DIGITS_FACET

    static final int XSD_SIMPLE_TYPE_DEFINITION__FRACTION_DIGITS_FACET

  The feature id for the 'Fraction Digits Facet' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__ORDERED_FACET

    static final int XSD_SIMPLE_TYPE_DEFINITION__ORDERED_FACET

  The feature id for the 'Ordered Facet' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__BOUNDED_FACET

    static final int XSD_SIMPLE_TYPE_DEFINITION__BOUNDED_FACET

  The feature id for the 'Bounded Facet' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_MAX_FACET

    static final int XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_MAX_FACET

  The feature id for the 'Effective Max Facet' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_WHITE_SPACE_FACET

    static final int XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_WHITE_SPACE_FACET

  The feature id for the 'Effective White Space Facet' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_MAX_LENGTH_FACET

    static final int XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_MAX_LENGTH_FACET

  The feature id for the 'Effective Max Length Facet' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_FRACTION_DIGITS_FACET

    static final int XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_FRACTION_DIGITS_FACET

  The feature id for the 'Effective Fraction Digits Facet' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_PATTERN_FACET

    static final int XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_PATTERN_FACET

  The feature id for the 'Effective Pattern Facet' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_ENUMERATION_FACET

    static final int XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_ENUMERATION_FACET

  The feature id for the 'Effective Enumeration Facet' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_TOTAL_DIGITS_FACET

    static final int XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_TOTAL_DIGITS_FACET

  The feature id for the 'Effective Total Digits Facet' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_MIN_LENGTH_FACET

    static final int XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_MIN_LENGTH_FACET

  The feature id for the 'Effective Min Length Facet' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_LENGTH_FACET

    static final int XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_LENGTH_FACET

  The feature id for the 'Effective Length Facet' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_MIN_FACET

    static final int XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_MIN_FACET

  The feature id for the 'Effective Min Facet' reference.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION__SYNTHETIC_FACETS

    static final int XSD_SIMPLE_TYPE_DEFINITION__SYNTHETIC_FACETS

  The feature id for the 'Synthetic Facets' containment reference list.

  See Also:
    Constant Field Values

### XSD_SIMPLE_TYPE_DEFINITION_FEATURE_COUNT

    static final int XSD_SIMPLE_TYPE_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Simple Type Definition' class.

  See Also:
    Constant Field Values

### XSD_TOTAL_DIGITS_FACET__ELEMENT

    static final int XSD_TOTAL_DIGITS_FACET__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_TOTAL_DIGITS_FACET__CONTAINER

    static final int XSD_TOTAL_DIGITS_FACET__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_TOTAL_DIGITS_FACET__ROOT_CONTAINER

    static final int XSD_TOTAL_DIGITS_FACET__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_TOTAL_DIGITS_FACET__SCHEMA

    static final int XSD_TOTAL_DIGITS_FACET__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_TOTAL_DIGITS_FACET__DIAGNOSTICS

    static final int XSD_TOTAL_DIGITS_FACET__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_TOTAL_DIGITS_FACET__LEXICAL_VALUE

    static final int XSD_TOTAL_DIGITS_FACET__LEXICAL_VALUE

  The feature id for the 'Lexical Value' attribute.

  See Also:
    Constant Field Values

### XSD_TOTAL_DIGITS_FACET__FACET_NAME

    static final int XSD_TOTAL_DIGITS_FACET__FACET_NAME

  The feature id for the 'Facet Name' attribute.

  See Also:
    Constant Field Values

### XSD_TOTAL_DIGITS_FACET__EFFECTIVE_VALUE

    static final int XSD_TOTAL_DIGITS_FACET__EFFECTIVE_VALUE

  The feature id for the 'Effective Value' attribute.

  See Also:
    Constant Field Values

### XSD_TOTAL_DIGITS_FACET__ANNOTATION

    static final int XSD_TOTAL_DIGITS_FACET__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_TOTAL_DIGITS_FACET__SIMPLE_TYPE_DEFINITION

    static final int XSD_TOTAL_DIGITS_FACET__SIMPLE_TYPE_DEFINITION

  The feature id for the 'Simple Type Definition' reference.

  See Also:
    Constant Field Values

### XSD_TOTAL_DIGITS_FACET__FIXED

    static final int XSD_TOTAL_DIGITS_FACET__FIXED

  The feature id for the 'Fixed' attribute.

  See Also:
    Constant Field Values

### XSD_TOTAL_DIGITS_FACET__VALUE

    static final int XSD_TOTAL_DIGITS_FACET__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### XSD_TOTAL_DIGITS_FACET_FEATURE_COUNT

    static final int XSD_TOTAL_DIGITS_FACET_FEATURE_COUNT

  The number of structural features of the 'Total Digits Facet' class.

  See Also:
    Constant Field Values

### XSD_WHITE_SPACE_FACET

    static final int XSD_WHITE_SPACE_FACET

  The meta object id for the '`White Space Facet`' class.

  See Also:
    `XSDWhiteSpaceFacetImpl`, `XSDPackageImpl.getXSDWhiteSpaceFacet()`, Constant Field Values

### XSD_WHITE_SPACE_FACET__ELEMENT

    static final int XSD_WHITE_SPACE_FACET__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_WHITE_SPACE_FACET__CONTAINER

    static final int XSD_WHITE_SPACE_FACET__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_WHITE_SPACE_FACET__ROOT_CONTAINER

    static final int XSD_WHITE_SPACE_FACET__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_WHITE_SPACE_FACET__SCHEMA

    static final int XSD_WHITE_SPACE_FACET__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_WHITE_SPACE_FACET__DIAGNOSTICS

    static final int XSD_WHITE_SPACE_FACET__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_WHITE_SPACE_FACET__LEXICAL_VALUE

    static final int XSD_WHITE_SPACE_FACET__LEXICAL_VALUE

  The feature id for the 'Lexical Value' attribute.

  See Also:
    Constant Field Values

### XSD_WHITE_SPACE_FACET__FACET_NAME

    static final int XSD_WHITE_SPACE_FACET__FACET_NAME

  The feature id for the 'Facet Name' attribute.

  See Also:
    Constant Field Values

### XSD_WHITE_SPACE_FACET__EFFECTIVE_VALUE

    static final int XSD_WHITE_SPACE_FACET__EFFECTIVE_VALUE

  The feature id for the 'Effective Value' attribute.

  See Also:
    Constant Field Values

### XSD_WHITE_SPACE_FACET__ANNOTATION

    static final int XSD_WHITE_SPACE_FACET__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_WHITE_SPACE_FACET__SIMPLE_TYPE_DEFINITION

    static final int XSD_WHITE_SPACE_FACET__SIMPLE_TYPE_DEFINITION

  The feature id for the 'Simple Type Definition' reference.

  See Also:
    Constant Field Values

### XSD_WHITE_SPACE_FACET__FIXED

    static final int XSD_WHITE_SPACE_FACET__FIXED

  The feature id for the 'Fixed' attribute.

  See Also:
    Constant Field Values

### XSD_WHITE_SPACE_FACET__VALUE

    static final int XSD_WHITE_SPACE_FACET__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### XSD_WHITE_SPACE_FACET_FEATURE_COUNT

    static final int XSD_WHITE_SPACE_FACET_FEATURE_COUNT

  The number of structural features of the 'White Space Facet' class.

  See Also:
    Constant Field Values

### XSD_WILDCARD

    static final int XSD_WILDCARD

  The meta object id for the '`Wildcard`' class.

  See Also:
    `XSDWildcardImpl`, `XSDPackageImpl.getXSDWildcard()`, Constant Field Values

### XSD_WILDCARD__ELEMENT

    static final int XSD_WILDCARD__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_WILDCARD__CONTAINER

    static final int XSD_WILDCARD__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_WILDCARD__ROOT_CONTAINER

    static final int XSD_WILDCARD__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_WILDCARD__SCHEMA

    static final int XSD_WILDCARD__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_WILDCARD__DIAGNOSTICS

    static final int XSD_WILDCARD__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_WILDCARD__NAMESPACE_CONSTRAINT_CATEGORY

    static final int XSD_WILDCARD__NAMESPACE_CONSTRAINT_CATEGORY

  The feature id for the 'Namespace Constraint Category' attribute.

  See Also:
    Constant Field Values

### XSD_WILDCARD__NAMESPACE_CONSTRAINT

    static final int XSD_WILDCARD__NAMESPACE_CONSTRAINT

  The feature id for the 'Namespace Constraint' attribute list.

  See Also:
    Constant Field Values

### XSD_WILDCARD__PROCESS_CONTENTS

    static final int XSD_WILDCARD__PROCESS_CONTENTS

  The feature id for the 'Process Contents' attribute.

  See Also:
    Constant Field Values

### XSD_WILDCARD__LEXICAL_NAMESPACE_CONSTRAINT

    static final int XSD_WILDCARD__LEXICAL_NAMESPACE_CONSTRAINT

  The feature id for the 'Lexical Namespace Constraint' attribute list.

  See Also:
    Constant Field Values

### XSD_WILDCARD__ANNOTATION

    static final int XSD_WILDCARD__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_WILDCARD__ANNOTATIONS

    static final int XSD_WILDCARD__ANNOTATIONS

  The feature id for the 'Annotations' reference list.

  See Also:
    Constant Field Values

### XSD_WILDCARD_FEATURE_COUNT

    static final int XSD_WILDCARD_FEATURE_COUNT

  The number of structural features of the 'Wildcard' class.

  See Also:
    Constant Field Values

### XSD_XPATH_DEFINITION

    static final int XSD_XPATH_DEFINITION

  The meta object id for the '`XPath Definition`' class.

  See Also:
    `XSDXPathDefinitionImpl`, `XSDPackageImpl.getXSDXPathDefinition()`, Constant Field Values

### XSD_XPATH_DEFINITION__ELEMENT

    static final int XSD_XPATH_DEFINITION__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_XPATH_DEFINITION__CONTAINER

    static final int XSD_XPATH_DEFINITION__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values

### XSD_XPATH_DEFINITION__ROOT_CONTAINER

    static final int XSD_XPATH_DEFINITION__ROOT_CONTAINER

  The feature id for the 'Root Container' reference.

  See Also:
    Constant Field Values

### XSD_XPATH_DEFINITION__SCHEMA

    static final int XSD_XPATH_DEFINITION__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### XSD_XPATH_DEFINITION__DIAGNOSTICS

    static final int XSD_XPATH_DEFINITION__DIAGNOSTICS

  The feature id for the 'Diagnostics' containment reference list.

  See Also:
    Constant Field Values

### XSD_XPATH_DEFINITION__VARIETY

    static final int XSD_XPATH_DEFINITION__VARIETY

  The feature id for the 'Variety' attribute.

  See Also:
    Constant Field Values

### XSD_XPATH_DEFINITION__VALUE

    static final int XSD_XPATH_DEFINITION__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### XSD_XPATH_DEFINITION__ANNOTATION

    static final int XSD_XPATH_DEFINITION__ANNOTATION

  The feature id for the 'Annotation' containment reference.

  See Also:
    Constant Field Values

### XSD_XPATH_DEFINITION_FEATURE_COUNT

    static final int XSD_XPATH_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'XPath Definition' class.

  See Also:
    Constant Field Values

### XSD_ATTRIBUTE_USE_CATEGORY

    static final int XSD_ATTRIBUTE_USE_CATEGORY

  The meta object id for the '`Attribute Use Category`' enum.

  See Also:
    `XSDAttributeUseCategory`, `XSDPackageImpl.getXSDAttributeUseCategory()`, Constant Field Values

### XSD_CARDINALITY

    static final int XSD_CARDINALITY

  The meta object id for the '`Cardinality`' enum.

  See Also:
    `XSDCardinality`, `XSDPackageImpl.getXSDCardinality()`, Constant Field Values

### XSD_COMPLEX_FINAL

    static final int XSD_COMPLEX_FINAL

  The meta object id for the '`Complex Final`' enum.

  See Also:
    `XSDComplexFinal`, `XSDPackageImpl.getXSDComplexFinal()`, Constant Field Values

### XSD_COMPOSITOR

    static final int XSD_COMPOSITOR

  The meta object id for the '`Compositor`' enum.

  See Also:
    `XSDCompositor`, `XSDPackageImpl.getXSDCompositor()`, Constant Field Values

### XSD_CONSTRAINT

    static final int XSD_CONSTRAINT

  The meta object id for the '`Constraint`' enum.

  See Also:
    `XSDConstraint`, `XSDPackageImpl.getXSDConstraint()`, Constant Field Values

### XSD_CONTENT_TYPE_CATEGORY

    static final int XSD_CONTENT_TYPE_CATEGORY

  The meta object id for the '`Content Type Category`' enum.

  See Also:
    `XSDContentTypeCategory`, `XSDPackageImpl.getXSDContentTypeCategory()`, Constant Field Values

### XSD_DERIVATION_METHOD

    static final int XSD_DERIVATION_METHOD

  The meta object id for the '`Derivation Method`' enum.

  See Also:
    `XSDDerivationMethod`, `XSDPackageImpl.getXSDDerivationMethod()`, Constant Field Values

### XSD_DIAGNOSTIC_SEVERITY

    static final int XSD_DIAGNOSTIC_SEVERITY

  The meta object id for the '`Diagnostic Severity`' enum.

  See Also:
    `XSDDiagnosticSeverity`, `XSDPackageImpl.getXSDDiagnosticSeverity()`, Constant Field Values

### XSD_DISALLOWED_SUBSTITUTIONS

    static final int XSD_DISALLOWED_SUBSTITUTIONS

  The meta object id for the '`Disallowed Substitutions`' enum.

  See Also:
    `XSDDisallowedSubstitutions`, `XSDPackageImpl.getXSDDisallowedSubstitutions()`, Constant Field Values

### XSD_FORM

    static final int XSD_FORM

  The meta object id for the '`Form`' enum.

  See Also:
    `XSDForm`, `XSDPackageImpl.getXSDForm()`, Constant Field Values

### XSD_IDENTITY_CONSTRAINT_CATEGORY

    static final int XSD_IDENTITY_CONSTRAINT_CATEGORY

  The meta object id for the '`Identity Constraint Category`' enum.

  See Also:
    `XSDIdentityConstraintCategory`, `XSDPackageImpl.getXSDIdentityConstraintCategory()`, Constant Field Values

### XSD_NAMESPACE_CONSTRAINT_CATEGORY

    static final int XSD_NAMESPACE_CONSTRAINT_CATEGORY

  The meta object id for the '`Namespace Constraint Category`' enum.

  See Also:
    `XSDNamespaceConstraintCategory`, `XSDPackageImpl.getXSDNamespaceConstraintCategory()`, Constant Field Values

### XSD_ORDERED

    static final int XSD_ORDERED

  The meta object id for the '`Ordered`' enum.

  See Also:
    `XSDOrdered`, `XSDPackageImpl.getXSDOrdered()`, Constant Field Values

### XSD_PROCESS_CONTENTS

    static final int XSD_PROCESS_CONTENTS

  The meta object id for the '`Process Contents`' enum.

  See Also:
    `XSDProcessContents`, `XSDPackageImpl.getXSDProcessContents()`, Constant Field Values

### XSD_PROHIBITED_SUBSTITUTIONS

    static final int XSD_PROHIBITED_SUBSTITUTIONS

  The meta object id for the '`Prohibited Substitutions`' enum.

  See Also:
    `XSDProhibitedSubstitutions`, `XSDPackageImpl.getXSDProhibitedSubstitutions()`, Constant Field Values

### XSD_SIMPLE_FINAL

    static final int XSD_SIMPLE_FINAL

  The meta object id for the '`Simple Final`' enum.

  See Also:
    `XSDSimpleFinal`, `XSDPackageImpl.getXSDSimpleFinal()`, Constant Field Values

### XSD_SUBSTITUTION_GROUP_EXCLUSIONS

    static final int XSD_SUBSTITUTION_GROUP_EXCLUSIONS

  The meta object id for the '`Substitution Group Exclusions`' enum.

  See Also:
    `XSDSubstitutionGroupExclusions`, `XSDPackageImpl.getXSDSubstitutionGroupExclusions()`, Constant Field Values

### XSD_VARIETY

    static final int XSD_VARIETY

  The meta object id for the '`Variety`' enum.

  See Also:
    `XSDVariety`, `XSDPackageImpl.getXSDVariety()`, Constant Field Values

### XSD_WHITE_SPACE

    static final int XSD_WHITE_SPACE

  The meta object id for the '`White Space`' enum.

  See Also:
    `XSDWhiteSpace`, `XSDPackageImpl.getXSDWhiteSpace()`, Constant Field Values

### XSD_XPATH_VARIETY

    static final int XSD_XPATH_VARIETY

  The meta object id for the '`XPath Variety`' enum.

  See Also:
    `XSDXPathVariety`, `XSDPackageImpl.getXSDXPathVariety()`, Constant Field Values

### DOM_ATTR

    static final int DOM_ATTR

  The meta object id for the 'DOM Attr' data type.

  See Also:
    `Attr`, `XSDPackageImpl.getDOMAttr()`, Constant Field Values

### DOM_DOCUMENT

    static final int DOM_DOCUMENT

  The meta object id for the 'DOM Document' data type.

  See Also:
    `Document`, `XSDPackageImpl.getDOMDocument()`, Constant Field Values

### DOM_ELEMENT

    static final int DOM_ELEMENT

  The meta object id for the 'DOM Element' data type.

  See Also:
    `Element`, `XSDPackageImpl.getDOMElement()`, Constant Field Values

### DOM_NODE

    static final int DOM_NODE

  The meta object id for the 'DOM Node' data type.

  See Also:
    `Node`, `XSDPackageImpl.getDOMNode()`, Constant Field Values

### VALUE

    static final int VALUE

  The meta object id for the 'Value' data type.

  See Also:
    `Object`, `XSDPackageImpl.getValue()`, Constant Field Values

Method Detail

### getXSDAnnotation

    EClass getXSDAnnotation()

  Returns the meta object for class '`Annotation`'.

  Returns:
    the meta object for class 'Annotation'.
  See Also:
    `XSDAnnotation`

### getXSDAnnotation_ApplicationInformation

    EAttribute getXSDAnnotation_ApplicationInformation()

  Returns the meta object for the attribute list '`Application Information`'.

  Returns:
    the meta object for the attribute list 'Application Information'.
  See Also:
    `XSDAnnotation.getApplicationInformation()`, `getXSDAnnotation()`

### getXSDAnnotation_UserInformation

    EAttribute getXSDAnnotation_UserInformation()

  Returns the meta object for the attribute list '`User Information`'.

  Returns:
    the meta object for the attribute list 'User Information'.
  See Also:
    `XSDAnnotation.getUserInformation()`, `getXSDAnnotation()`

### getXSDAnnotation_Attributes

    EAttribute getXSDAnnotation_Attributes()

  Returns the meta object for the attribute list '`Attributes`'.

  Returns:
    the meta object for the attribute list 'Attributes'.
  See Also:
    `XSDAnnotation.getAttributes()`, `getXSDAnnotation()`

### getXSDAttributeDeclaration

    EClass getXSDAttributeDeclaration()

  Returns the meta object for class '`Attribute Declaration`'.

  Returns:
    the meta object for class 'Attribute Declaration'.
  See Also:
    `XSDAttributeDeclaration`

### getXSDAttributeDeclaration_AttributeDeclarationReference

    EAttribute getXSDAttributeDeclaration_AttributeDeclarationReference()

  Returns the meta object for the attribute '`Attribute Declaration Reference`'.

  Returns:
    the meta object for the attribute 'Attribute Declaration Reference'.
  See Also:
    `XSDAttributeDeclaration.isAttributeDeclarationReference()`, `getXSDAttributeDeclaration()`

### getXSDAttributeDeclaration_Annotation

    EReference getXSDAttributeDeclaration_Annotation()

  Returns the meta object for the containment reference '`Annotation`'.

  Returns:
    the meta object for the containment reference 'Annotation'.
  See Also:
    `XSDAttributeDeclaration.getAnnotation()`, `getXSDAttributeDeclaration()`

### getXSDAttributeDeclaration_AnonymousTypeDefinition

    EReference getXSDAttributeDeclaration_AnonymousTypeDefinition()

  Returns the meta object for the containment reference '`Anonymous Type Definition`'.

  Returns:
    the meta object for the containment reference 'Anonymous Type Definition'.
  See Also:
    `XSDAttributeDeclaration.getAnonymousTypeDefinition()`, `getXSDAttributeDeclaration()`

### getXSDAttributeDeclaration_TypeDefinition

    EReference getXSDAttributeDeclaration_TypeDefinition()

  Returns the meta object for the reference '`Type Definition`'.

  Returns:
    the meta object for the reference 'Type Definition'.
  See Also:
    `XSDAttributeDeclaration.getTypeDefinition()`, `getXSDAttributeDeclaration()`

### getXSDAttributeDeclaration_ResolvedAttributeDeclaration

    EReference getXSDAttributeDeclaration_ResolvedAttributeDeclaration()

  Returns the meta object for the reference '`Resolved Attribute Declaration`'.

  Returns:
    the meta object for the reference 'Resolved Attribute Declaration'.
  See Also:
    `XSDAttributeDeclaration.getResolvedAttributeDeclaration()`, `getXSDAttributeDeclaration()`

### getXSDAttributeGroupContent

    EClass getXSDAttributeGroupContent()

  Returns the meta object for class '`Attribute Group Content`'.

  Returns:
    the meta object for class 'Attribute Group Content'.
  See Also:
    `XSDAttributeGroupContent`

### getXSDAttributeGroupDefinition

    EClass getXSDAttributeGroupDefinition()

  Returns the meta object for class '`Attribute Group Definition`'.

  Returns:
    the meta object for class 'Attribute Group Definition'.
  See Also:
    `XSDAttributeGroupDefinition`

### getXSDAttributeGroupDefinition_AttributeGroupDefinitionReference

    EAttribute getXSDAttributeGroupDefinition_AttributeGroupDefinitionReference()

  Returns the meta object for the attribute '`Attribute Group Definition Reference`'.

  Returns:
    the meta object for the attribute 'Attribute Group Definition Reference'.
  See Also:
    `XSDAttributeGroupDefinition.isAttributeGroupDefinitionReference()`, `getXSDAttributeGroupDefinition()`

### getXSDAttributeGroupDefinition_Annotation

    EReference getXSDAttributeGroupDefinition_Annotation()

  Returns the meta object for the containment reference '`Annotation`'.

  Returns:
    the meta object for the containment reference 'Annotation'.
  See Also:
    `XSDAttributeGroupDefinition.getAnnotation()`, `getXSDAttributeGroupDefinition()`

### getXSDAttributeGroupDefinition_Contents

    EReference getXSDAttributeGroupDefinition_Contents()

  Returns the meta object for the containment reference list '`Contents`'.

  Returns:
    the meta object for the containment reference list 'Contents'.
  See Also:
    `XSDAttributeGroupDefinition.getContents()`, `getXSDAttributeGroupDefinition()`

### getXSDAttributeGroupDefinition_AttributeUses

    EReference getXSDAttributeGroupDefinition_AttributeUses()

  Returns the meta object for the reference list '`Attribute Uses`'.

  Returns:
    the meta object for the reference list 'Attribute Uses'.
  See Also:
    `XSDAttributeGroupDefinition.getAttributeUses()`, `getXSDAttributeGroupDefinition()`

### getXSDAttributeGroupDefinition_AttributeWildcardContent

    EReference getXSDAttributeGroupDefinition_AttributeWildcardContent()

  Returns the meta object for the containment reference '`Attribute Wildcard Content`'.

  Returns:
    the meta object for the containment reference 'Attribute Wildcard Content'.
  See Also:
    `XSDAttributeGroupDefinition.getAttributeWildcardContent()`, `getXSDAttributeGroupDefinition()`

### getXSDAttributeGroupDefinition_AttributeWildcard

    EReference getXSDAttributeGroupDefinition_AttributeWildcard()

  Returns the meta object for the reference '`Attribute Wildcard`'.

  Returns:
    the meta object for the reference 'Attribute Wildcard'.
  See Also:
    `XSDAttributeGroupDefinition.getAttributeWildcard()`, `getXSDAttributeGroupDefinition()`

### getXSDAttributeGroupDefinition_ResolvedAttributeGroupDefinition

    EReference getXSDAttributeGroupDefinition_ResolvedAttributeGroupDefinition()

  Returns the meta object for the reference '`Resolved Attribute Group Definition`'.

  Returns:
    the meta object for the reference 'Resolved Attribute Group Definition'.
  See Also:
    `XSDAttributeGroupDefinition.getResolvedAttributeGroupDefinition()`, `getXSDAttributeGroupDefinition()`

### getXSDAttributeGroupDefinition_SyntheticWildcard

    EReference getXSDAttributeGroupDefinition_SyntheticWildcard()

  Returns the meta object for the containment reference '`Synthetic Wildcard`'.

  Returns:
    the meta object for the containment reference 'Synthetic Wildcard'.
  See Also:
    `XSDAttributeGroupDefinition.getSyntheticWildcard()`, `getXSDAttributeGroupDefinition()`

### getXSDAttributeUse

    EClass getXSDAttributeUse()

  Returns the meta object for class '`Attribute Use`'.

  Returns:
    the meta object for class 'Attribute Use'.
  See Also:
    `XSDAttributeUse`

### getXSDAttributeUse_Required

    EAttribute getXSDAttributeUse_Required()

  Returns the meta object for the attribute '`Required`'.

  Returns:
    the meta object for the attribute 'Required'.
  See Also:
    `XSDAttributeUse.isRequired()`, `getXSDAttributeUse()`

### getXSDAttributeUse_Value

    EAttribute getXSDAttributeUse_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `XSDAttributeUse.getValue()`, `getXSDAttributeUse()`

### getXSDAttributeUse_Constraint

    EAttribute getXSDAttributeUse_Constraint()

  Returns the meta object for the attribute '`Constraint`'.

  Returns:
    the meta object for the attribute 'Constraint'.
  See Also:
    `XSDAttributeUse.getConstraint()`, `getXSDAttributeUse()`

### getXSDAttributeUse_Use

    EAttribute getXSDAttributeUse_Use()

  Returns the meta object for the attribute '`Use`'.

  Returns:
    the meta object for the attribute 'Use'.
  See Also:
    `XSDAttributeUse.getUse()`, `getXSDAttributeUse()`

### getXSDAttributeUse_LexicalValue

    EAttribute getXSDAttributeUse_LexicalValue()

  Returns the meta object for the attribute '`Lexical Value`'.

  Returns:
    the meta object for the attribute 'Lexical Value'.
  See Also:
    `XSDAttributeUse.getLexicalValue()`, `getXSDAttributeUse()`

### getXSDAttributeUse_AttributeDeclaration

    EReference getXSDAttributeUse_AttributeDeclaration()

  Returns the meta object for the reference '`Attribute Declaration`'.

  Returns:
    the meta object for the reference 'Attribute Declaration'.
  See Also:
    `XSDAttributeUse.getAttributeDeclaration()`, `getXSDAttributeUse()`

### getXSDAttributeUse_Content

    EReference getXSDAttributeUse_Content()

  Returns the meta object for the containment reference '`Content`'.

  Returns:
    the meta object for the containment reference 'Content'.
  See Also:
    `XSDAttributeUse.getContent()`, `getXSDAttributeUse()`

### getXSDBoundedFacet

    EClass getXSDBoundedFacet()

  Returns the meta object for class '`Bounded Facet`'.

  Returns:
    the meta object for class 'Bounded Facet'.
  See Also:
    `XSDBoundedFacet`

### getXSDBoundedFacet_Value

    EAttribute getXSDBoundedFacet_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `XSDBoundedFacet.isValue()`, `getXSDBoundedFacet()`

### getXSDCardinalityFacet

    EClass getXSDCardinalityFacet()

  Returns the meta object for class '`Cardinality Facet`'.

  Returns:
    the meta object for class 'Cardinality Facet'.
  See Also:
    `XSDCardinalityFacet`

### getXSDCardinalityFacet_Value

    EAttribute getXSDCardinalityFacet_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `XSDCardinalityFacet.getValue()`, `getXSDCardinalityFacet()`

### getXSDComplexTypeContent

    EClass getXSDComplexTypeContent()

  Returns the meta object for class '`Complex Type Content`'.

  Returns:
    the meta object for class 'Complex Type Content'.
  See Also:
    `XSDComplexTypeContent`

### getXSDComplexTypeDefinition

    EClass getXSDComplexTypeDefinition()

  Returns the meta object for class '`Complex Type Definition`'.

  Returns:
    the meta object for class 'Complex Type Definition'.
  See Also:
    `XSDComplexTypeDefinition`

### getXSDComplexTypeDefinition_DerivationMethod

    EAttribute getXSDComplexTypeDefinition_DerivationMethod()

  Returns the meta object for the attribute '`Derivation Method`'.

  Returns:
    the meta object for the attribute 'Derivation Method'.
  See Also:
    `XSDComplexTypeDefinition.getDerivationMethod()`, `getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_Final

    EAttribute getXSDComplexTypeDefinition_Final()

  Returns the meta object for the attribute list '`Final`'.

  Returns:
    the meta object for the attribute list 'Final'.
  See Also:
    `XSDComplexTypeDefinition.getFinal()`, `getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_Abstract

    EAttribute getXSDComplexTypeDefinition_Abstract()

  Returns the meta object for the attribute '`Abstract`'.

  Returns:
    the meta object for the attribute 'Abstract'.
  See Also:
    `XSDComplexTypeDefinition.isAbstract()`, `getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_ContentTypeCategory

    EAttribute getXSDComplexTypeDefinition_ContentTypeCategory()

  Returns the meta object for the attribute '`Content Type Category`'.

  Returns:
    the meta object for the attribute 'Content Type Category'.
  See Also:
    `XSDComplexTypeDefinition.getContentTypeCategory()`, `getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_ProhibitedSubstitutions

    EAttribute getXSDComplexTypeDefinition_ProhibitedSubstitutions()

  Returns the meta object for the attribute list '`Prohibited Substitutions`'.

  Returns:
    the meta object for the attribute list 'Prohibited Substitutions'.
  See Also:
    `XSDComplexTypeDefinition.getProhibitedSubstitutions()`, `getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_LexicalFinal

    EAttribute getXSDComplexTypeDefinition_LexicalFinal()

  Returns the meta object for the attribute list '`Lexical Final`'.

  Returns:
    the meta object for the attribute list 'Lexical Final'.
  See Also:
    `XSDComplexTypeDefinition.getLexicalFinal()`, `getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_Block

    EAttribute getXSDComplexTypeDefinition_Block()

  Returns the meta object for the attribute list '`Block`'.

  Returns:
    the meta object for the attribute list 'Block'.
  See Also:
    `XSDComplexTypeDefinition.getBlock()`, `getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_Mixed

    EAttribute getXSDComplexTypeDefinition_Mixed()

  Returns the meta object for the attribute '`Mixed`'.

  Returns:
    the meta object for the attribute 'Mixed'.
  See Also:
    `XSDComplexTypeDefinition.isMixed()`, `getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_ContentAnnotation

    EReference getXSDComplexTypeDefinition_ContentAnnotation()

  Returns the meta object for the containment reference '`Content Annotation`'.

  Returns:
    the meta object for the containment reference 'Content Annotation'.
  See Also:
    `XSDComplexTypeDefinition.getContentAnnotation()`, `getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_BaseTypeDefinition

    EReference getXSDComplexTypeDefinition_BaseTypeDefinition()

  Returns the meta object for the reference '`Base Type Definition`'.

  Returns:
    the meta object for the reference 'Base Type Definition'.
  See Also:
    `XSDComplexTypeDefinition.getBaseTypeDefinition()`, `getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_Content

    EReference getXSDComplexTypeDefinition_Content()

  Returns the meta object for the containment reference '`Content`'.

  Returns:
    the meta object for the containment reference 'Content'.
  See Also:
    `XSDComplexTypeDefinition.getContent()`, `getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_ContentType

    EReference getXSDComplexTypeDefinition_ContentType()

  Returns the meta object for the reference '`Content Type`'.

  Returns:
    the meta object for the reference 'Content Type'.
  See Also:
    `XSDComplexTypeDefinition.getContentType()`, `getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_AttributeUses

    EReference getXSDComplexTypeDefinition_AttributeUses()

  Returns the meta object for the reference list '`Attribute Uses`'.

  Returns:
    the meta object for the reference list 'Attribute Uses'.
  See Also:
    `XSDComplexTypeDefinition.getAttributeUses()`, `getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_AttributeContents

    EReference getXSDComplexTypeDefinition_AttributeContents()

  Returns the meta object for the containment reference list '`Attribute Contents`'.

  Returns:
    the meta object for the containment reference list 'Attribute Contents'.
  See Also:
    `XSDComplexTypeDefinition.getAttributeContents()`, `getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_AttributeWildcard

    EReference getXSDComplexTypeDefinition_AttributeWildcard()

  Returns the meta object for the reference '`Attribute Wildcard`'.

  Returns:
    the meta object for the reference 'Attribute Wildcard'.
  See Also:
    `XSDComplexTypeDefinition.getAttributeWildcard()`, `getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_AttributeWildcardContent

    EReference getXSDComplexTypeDefinition_AttributeWildcardContent()

  Returns the meta object for the containment reference '`Attribute Wildcard Content`'.

  Returns:
    the meta object for the containment reference 'Attribute Wildcard Content'.
  See Also:
    `XSDComplexTypeDefinition.getAttributeWildcardContent()`, `getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_RootTypeDefinition

    EReference getXSDComplexTypeDefinition_RootTypeDefinition()

  Returns the meta object for the reference '`Root Type Definition`'.

  Returns:
    the meta object for the reference 'Root Type Definition'.
  See Also:
    `XSDComplexTypeDefinition.getRootTypeDefinition()`, `getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_SyntheticParticle

    EReference getXSDComplexTypeDefinition_SyntheticParticle()

  Returns the meta object for the containment reference '`Synthetic Particle`'.

  Returns:
    the meta object for the containment reference 'Synthetic Particle'.
  See Also:
    `XSDComplexTypeDefinition.getSyntheticParticle()`, `getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_SyntheticWildcard

    EReference getXSDComplexTypeDefinition_SyntheticWildcard()

  Returns the meta object for the containment reference '`Synthetic Wildcard`'.

  Returns:
    the meta object for the containment reference 'Synthetic Wildcard'.
  See Also:
    `XSDComplexTypeDefinition.getSyntheticWildcard()`, `getXSDComplexTypeDefinition()`

### getXSDComponent

    EClass getXSDComponent()

  Returns the meta object for class '`Component`'.

  Returns:
    the meta object for class 'Component'.
  See Also:
    `XSDComponent`

### getXSDConcreteComponent

    EClass getXSDConcreteComponent()

  Returns the meta object for class '`Concrete Component`'.

  Returns:
    the meta object for class 'Concrete Component'.
  See Also:
    `XSDConcreteComponent`

### getXSDConcreteComponent_Element

    EAttribute getXSDConcreteComponent_Element()

  Returns the meta object for the attribute '`Element`'.

  Returns:
    the meta object for the attribute 'Element'.
  See Also:
    `XSDConcreteComponent.getElement()`, `getXSDConcreteComponent()`

### getXSDConcreteComponent_Container

    EReference getXSDConcreteComponent_Container()

  Returns the meta object for the reference '`Container`'.

  Returns:
    the meta object for the reference 'Container'.
  See Also:
    `XSDConcreteComponent.getContainer()`, `getXSDConcreteComponent()`

### getXSDConcreteComponent_RootContainer

    EReference getXSDConcreteComponent_RootContainer()

  Returns the meta object for the reference '`Root Container`'.

  Returns:
    the meta object for the reference 'Root Container'.
  See Also:
    `XSDConcreteComponent.getRootContainer()`, `getXSDConcreteComponent()`

### getXSDConcreteComponent_Schema

    EReference getXSDConcreteComponent_Schema()

  Returns the meta object for the reference '`Schema`'.

  Returns:
    the meta object for the reference 'Schema'.
  See Also:
    `XSDConcreteComponent.getSchema()`, `getXSDConcreteComponent()`

### getXSDConcreteComponent_Diagnostics

    EReference getXSDConcreteComponent_Diagnostics()

  Returns the meta object for the containment reference list '`Diagnostics`'.

  Returns:
    the meta object for the containment reference list 'Diagnostics'.
  See Also:
    `XSDConcreteComponent.getDiagnostics()`, `getXSDConcreteComponent()`

### getXSDConstrainingFacet

    EClass getXSDConstrainingFacet()

  Returns the meta object for class '`Constraining Facet`'.

  Returns:
    the meta object for class 'Constraining Facet'.
  See Also:
    `XSDConstrainingFacet`

### getXSDDiagnostic

    EClass getXSDDiagnostic()

  Returns the meta object for class '`Diagnostic`'.

  Returns:
    the meta object for class 'Diagnostic'.
  See Also:
    `XSDDiagnostic`

### getXSDDiagnostic_Severity

    EAttribute getXSDDiagnostic_Severity()

  Returns the meta object for the attribute '`Severity`'.

  Returns:
    the meta object for the attribute 'Severity'.
  See Also:
    `XSDDiagnostic.getSeverity()`, `getXSDDiagnostic()`

### getXSDDiagnostic_Message

    EAttribute getXSDDiagnostic_Message()

  Returns the meta object for the attribute '`Message`'.

  Returns:
    the meta object for the attribute 'Message'.
  See Also:
    `XSDDiagnostic.getMessage()`, `getXSDDiagnostic()`

### getXSDDiagnostic_LocationURI

    EAttribute getXSDDiagnostic_LocationURI()

  Returns the meta object for the attribute '`Location URI`'.

  Returns:
    the meta object for the attribute 'Location URI'.
  See Also:
    `XSDDiagnostic.getLocationURI()`, `getXSDDiagnostic()`

### getXSDDiagnostic_Line

    EAttribute getXSDDiagnostic_Line()

  Returns the meta object for the attribute '`Line`'.

  Returns:
    the meta object for the attribute 'Line'.
  See Also:
    `XSDDiagnostic.getLine()`, `getXSDDiagnostic()`

### getXSDDiagnostic_Column

    EAttribute getXSDDiagnostic_Column()

  Returns the meta object for the attribute '`Column`'.

  Returns:
    the meta object for the attribute 'Column'.
  See Also:
    `XSDDiagnostic.getColumn()`, `getXSDDiagnostic()`

### getXSDDiagnostic_Node

    EAttribute getXSDDiagnostic_Node()

  Returns the meta object for the attribute '`Node`'.

  Returns:
    the meta object for the attribute 'Node'.
  See Also:
    `XSDDiagnostic.getNode()`, `getXSDDiagnostic()`

### getXSDDiagnostic_AnnotationURI

    EAttribute getXSDDiagnostic_AnnotationURI()

  Returns the meta object for the attribute '`Annotation URI`'.

  Returns:
    the meta object for the attribute 'Annotation URI'.
  See Also:
    `XSDDiagnostic.getAnnotationURI()`, `getXSDDiagnostic()`

### getXSDDiagnostic_Key

    EAttribute getXSDDiagnostic_Key()

  Returns the meta object for the attribute '`Key`'.

  Returns:
    the meta object for the attribute 'Key'.
  See Also:
    `XSDDiagnostic.getKey()`, `getXSDDiagnostic()`

### getXSDDiagnostic_Substitutions

    EAttribute getXSDDiagnostic_Substitutions()

  Returns the meta object for the attribute list '`Substitutions`'.

  Returns:
    the meta object for the attribute list 'Substitutions'.
  See Also:
    `XSDDiagnostic.getSubstitutions()`, `getXSDDiagnostic()`

### getXSDDiagnostic_Components

    EReference getXSDDiagnostic_Components()

  Returns the meta object for the reference list '`Components`'.

  Returns:
    the meta object for the reference list 'Components'.
  See Also:
    `XSDDiagnostic.getComponents()`, `getXSDDiagnostic()`

### getXSDDiagnostic_PrimaryComponent

    EReference getXSDDiagnostic_PrimaryComponent()

  Returns the meta object for the reference '`Primary Component`'.

  Returns:
    the meta object for the reference 'Primary Component'.
  See Also:
    `XSDDiagnostic.getPrimaryComponent()`, `getXSDDiagnostic()`

### getXSDElementDeclaration

    EClass getXSDElementDeclaration()

  Returns the meta object for class '`Element Declaration`'.

  Returns:
    the meta object for class 'Element Declaration'.
  See Also:
    `XSDElementDeclaration`

### getXSDElementDeclaration_Nillable

    EAttribute getXSDElementDeclaration_Nillable()

  Returns the meta object for the attribute '`Nillable`'.

  Returns:
    the meta object for the attribute 'Nillable'.
  See Also:
    `XSDElementDeclaration.isNillable()`, `getXSDElementDeclaration()`

### getXSDElementDeclaration_DisallowedSubstitutions

    EAttribute getXSDElementDeclaration_DisallowedSubstitutions()

  Returns the meta object for the attribute list '`Disallowed Substitutions`'.

  Returns:
    the meta object for the attribute list 'Disallowed Substitutions'.
  See Also:
    `XSDElementDeclaration.getDisallowedSubstitutions()`, `getXSDElementDeclaration()`

### getXSDElementDeclaration_SubstitutionGroupExclusions

    EAttribute getXSDElementDeclaration_SubstitutionGroupExclusions()

  Returns the meta object for the attribute list '`Substitution Group Exclusions`'.

  Returns:
    the meta object for the attribute list 'Substitution Group Exclusions'.
  See Also:
    `XSDElementDeclaration.getSubstitutionGroupExclusions()`, `getXSDElementDeclaration()`

### getXSDElementDeclaration_Abstract

    EAttribute getXSDElementDeclaration_Abstract()

  Returns the meta object for the attribute '`Abstract`'.

  Returns:
    the meta object for the attribute 'Abstract'.
  See Also:
    `XSDElementDeclaration.isAbstract()`, `getXSDElementDeclaration()`

### getXSDElementDeclaration_LexicalFinal

    EAttribute getXSDElementDeclaration_LexicalFinal()

  Returns the meta object for the attribute list '`Lexical Final`'.

  Returns:
    the meta object for the attribute list 'Lexical Final'.
  See Also:
    `XSDElementDeclaration.getLexicalFinal()`, `getXSDElementDeclaration()`

### getXSDElementDeclaration_Block

    EAttribute getXSDElementDeclaration_Block()

  Returns the meta object for the attribute list '`Block`'.

  Returns:
    the meta object for the attribute list 'Block'.
  See Also:
    `XSDElementDeclaration.getBlock()`, `getXSDElementDeclaration()`

### getXSDElementDeclaration_ElementDeclarationReference

    EAttribute getXSDElementDeclaration_ElementDeclarationReference()

  Returns the meta object for the attribute '`Element Declaration Reference`'.

  Returns:
    the meta object for the attribute 'Element Declaration Reference'.
  See Also:
    `XSDElementDeclaration.isElementDeclarationReference()`, `getXSDElementDeclaration()`

### getXSDElementDeclaration_Circular

    EAttribute getXSDElementDeclaration_Circular()

  Returns the meta object for the attribute '`Circular`'.

  Returns:
    the meta object for the attribute 'Circular'.
  See Also:
    `XSDElementDeclaration.isCircular()`, `getXSDElementDeclaration()`

### getXSDElementDeclaration_Annotation

    EReference getXSDElementDeclaration_Annotation()

  Returns the meta object for the containment reference '`Annotation`'.

  Returns:
    the meta object for the containment reference 'Annotation'.
  See Also:
    `XSDElementDeclaration.getAnnotation()`, `getXSDElementDeclaration()`

### getXSDElementDeclaration_AnonymousTypeDefinition

    EReference getXSDElementDeclaration_AnonymousTypeDefinition()

  Returns the meta object for the containment reference '`Anonymous Type Definition`'.

  Returns:
    the meta object for the containment reference 'Anonymous Type Definition'.
  See Also:
    `XSDElementDeclaration.getAnonymousTypeDefinition()`, `getXSDElementDeclaration()`

### getXSDElementDeclaration_TypeDefinition

    EReference getXSDElementDeclaration_TypeDefinition()

  Returns the meta object for the reference '`Type Definition`'.

  Returns:
    the meta object for the reference 'Type Definition'.
  See Also:
    `XSDElementDeclaration.getTypeDefinition()`, `getXSDElementDeclaration()`

### getXSDElementDeclaration_IdentityConstraintDefinitions

    EReference getXSDElementDeclaration_IdentityConstraintDefinitions()

  Returns the meta object for the containment reference list '`Identity Constraint Definitions`'.

  Returns:
    the meta object for the containment reference list 'Identity Constraint Definitions'.
  See Also:
    `XSDElementDeclaration.getIdentityConstraintDefinitions()`, `getXSDElementDeclaration()`

### getXSDElementDeclaration_ResolvedElementDeclaration

    EReference getXSDElementDeclaration_ResolvedElementDeclaration()

  Returns the meta object for the reference '`Resolved Element Declaration`'.

  Returns:
    the meta object for the reference 'Resolved Element Declaration'.
  See Also:
    `XSDElementDeclaration.getResolvedElementDeclaration()`, `getXSDElementDeclaration()`

### getXSDElementDeclaration_SubstitutionGroupAffiliation

    EReference getXSDElementDeclaration_SubstitutionGroupAffiliation()

  Returns the meta object for the reference '`Substitution Group Affiliation`'.

  Returns:
    the meta object for the reference 'Substitution Group Affiliation'.
  See Also:
    `XSDElementDeclaration.getSubstitutionGroupAffiliation()`, `getXSDElementDeclaration()`

### getXSDElementDeclaration_SubstitutionGroup

    EReference getXSDElementDeclaration_SubstitutionGroup()

  Returns the meta object for the reference list '`Substitution Group`'.

  Returns:
    the meta object for the reference list 'Substitution Group'.
  See Also:
    `XSDElementDeclaration.getSubstitutionGroup()`, `getXSDElementDeclaration()`

### getXSDEnumerationFacet

    EClass getXSDEnumerationFacet()

  Returns the meta object for class '`Enumeration Facet`'.

  Returns:
    the meta object for class 'Enumeration Facet'.
  See Also:
    `XSDEnumerationFacet`

### getXSDEnumerationFacet_Value

    EAttribute getXSDEnumerationFacet_Value()

  Returns the meta object for the attribute list '`Value`'.

  Returns:
    the meta object for the attribute list 'Value'.
  See Also:
    `XSDEnumerationFacet.getValue()`, `getXSDEnumerationFacet()`

### getXSDFacet

    EClass getXSDFacet()

  Returns the meta object for class '`Facet`'.

  Returns:
    the meta object for class 'Facet'.
  See Also:
    `XSDFacet`

### getXSDFacet_LexicalValue

    EAttribute getXSDFacet_LexicalValue()

  Returns the meta object for the attribute '`Lexical Value`'.

  Returns:
    the meta object for the attribute 'Lexical Value'.
  See Also:
    `XSDFacet.getLexicalValue()`, `getXSDFacet()`

### getXSDFacet_FacetName

    EAttribute getXSDFacet_FacetName()

  Returns the meta object for the attribute '`Facet Name`'.

  Returns:
    the meta object for the attribute 'Facet Name'.
  See Also:
    `XSDFacet.getFacetName()`, `getXSDFacet()`

### getXSDFacet_EffectiveValue

    EAttribute getXSDFacet_EffectiveValue()

  Returns the meta object for the attribute '`Effective Value`'.

  Returns:
    the meta object for the attribute 'Effective Value'.
  See Also:
    `XSDFacet.getEffectiveValue()`, `getXSDFacet()`

### getXSDFacet_Annotation

    EReference getXSDFacet_Annotation()

  Returns the meta object for the containment reference '`Annotation`'.

  Returns:
    the meta object for the containment reference 'Annotation'.
  See Also:
    `XSDFacet.getAnnotation()`, `getXSDFacet()`

### getXSDFacet_SimpleTypeDefinition

    EReference getXSDFacet_SimpleTypeDefinition()

  Returns the meta object for the reference '`Simple Type Definition`'.

  Returns:
    the meta object for the reference 'Simple Type Definition'.
  See Also:
    `XSDFacet.getSimpleTypeDefinition()`, `getXSDFacet()`

### getXSDFeature

    EClass getXSDFeature()

  Returns the meta object for class '`Feature`'.

  Returns:
    the meta object for class 'Feature'.
  See Also:
    `XSDFeature`

### getXSDFeature_Value

    EAttribute getXSDFeature_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `XSDFeature.getValue()`, `getXSDFeature()`

### getXSDFeature_Constraint

    EAttribute getXSDFeature_Constraint()

  Returns the meta object for the attribute '`Constraint`'.

  Returns:
    the meta object for the attribute 'Constraint'.
  See Also:
    `XSDFeature.getConstraint()`, `getXSDFeature()`

### getXSDFeature_Form

    EAttribute getXSDFeature_Form()

  Returns the meta object for the attribute '`Form`'.

  Returns:
    the meta object for the attribute 'Form'.
  See Also:
    `XSDFeature.getForm()`, `getXSDFeature()`

### getXSDFeature_LexicalValue

    EAttribute getXSDFeature_LexicalValue()

  Returns the meta object for the attribute '`Lexical Value`'.

  Returns:
    the meta object for the attribute 'Lexical Value'.
  See Also:
    `XSDFeature.getLexicalValue()`, `getXSDFeature()`

### getXSDFeature_Global

    EAttribute getXSDFeature_Global()

  Returns the meta object for the attribute '`Global`'.

  Returns:
    the meta object for the attribute 'Global'.
  See Also:
    `XSDFeature.isGlobal()`, `getXSDFeature()`

### getXSDFeature_FeatureReference

    EAttribute getXSDFeature_FeatureReference()

  Returns the meta object for the attribute '`Feature Reference`'.

  Returns:
    the meta object for the attribute 'Feature Reference'.
  See Also:
    `XSDFeature.isFeatureReference()`, `getXSDFeature()`

### getXSDFeature_Scope

    EReference getXSDFeature_Scope()

  Returns the meta object for the reference '`Scope`'.

  Returns:
    the meta object for the reference 'Scope'.
  See Also:
    `XSDFeature.getScope()`, `getXSDFeature()`

### getXSDFeature_ResolvedFeature

    EReference getXSDFeature_ResolvedFeature()

  Returns the meta object for the reference '`Resolved Feature`'.

  Returns:
    the meta object for the reference 'Resolved Feature'.
  See Also:
    `XSDFeature.getResolvedFeature()`, `getXSDFeature()`

### getXSDFeature_Type

    EReference getXSDFeature_Type()

  Returns the meta object for the reference '`Type`'.

  Returns:
    the meta object for the reference 'Type'.
  See Also:
    `XSDFeature.getType()`, `getXSDFeature()`

### getXSDFixedFacet

    EClass getXSDFixedFacet()

  Returns the meta object for class '`Fixed Facet`'.

  Returns:
    the meta object for class 'Fixed Facet'.
  See Also:
    `XSDFixedFacet`

### getXSDFixedFacet_Fixed

    EAttribute getXSDFixedFacet_Fixed()

  Returns the meta object for the attribute '`Fixed`'.

  Returns:
    the meta object for the attribute 'Fixed'.
  See Also:
    `XSDFixedFacet.isFixed()`, `getXSDFixedFacet()`

### getXSDFractionDigitsFacet

    EClass getXSDFractionDigitsFacet()

  Returns the meta object for class '`Fraction Digits Facet`'.

  Returns:
    the meta object for class 'Fraction Digits Facet'.
  See Also:
    `XSDFractionDigitsFacet`

### getXSDFractionDigitsFacet_Value

    EAttribute getXSDFractionDigitsFacet_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `XSDFractionDigitsFacet.getValue()`, `getXSDFractionDigitsFacet()`

### getXSDFundamentalFacet

    EClass getXSDFundamentalFacet()

  Returns the meta object for class '`Fundamental Facet`'.

  Returns:
    the meta object for class 'Fundamental Facet'.
  See Also:
    `XSDFundamentalFacet`

### getXSDIdentityConstraintDefinition

    EClass getXSDIdentityConstraintDefinition()

  Returns the meta object for class '`Identity Constraint Definition`'.

  Returns:
    the meta object for class 'Identity Constraint Definition'.
  See Also:
    `XSDIdentityConstraintDefinition`

### getXSDIdentityConstraintDefinition_IdentityConstraintCategory

    EAttribute getXSDIdentityConstraintDefinition_IdentityConstraintCategory()

  Returns the meta object for the attribute '`Identity Constraint Category`'.

  Returns:
    the meta object for the attribute 'Identity Constraint Category'.
  See Also:
    `XSDIdentityConstraintDefinition.getIdentityConstraintCategory()`, `getXSDIdentityConstraintDefinition()`

### getXSDIdentityConstraintDefinition_Annotation

    EReference getXSDIdentityConstraintDefinition_Annotation()

  Returns the meta object for the containment reference '`Annotation`'.

  Returns:
    the meta object for the containment reference 'Annotation'.
  See Also:
    `XSDIdentityConstraintDefinition.getAnnotation()`, `getXSDIdentityConstraintDefinition()`

### getXSDIdentityConstraintDefinition_ReferencedKey

    EReference getXSDIdentityConstraintDefinition_ReferencedKey()

  Returns the meta object for the reference '`Referenced Key`'.

  Returns:
    the meta object for the reference 'Referenced Key'.
  See Also:
    `XSDIdentityConstraintDefinition.getReferencedKey()`, `getXSDIdentityConstraintDefinition()`

### getXSDIdentityConstraintDefinition_Selector

    EReference getXSDIdentityConstraintDefinition_Selector()

  Returns the meta object for the containment reference '`Selector`'.

  Returns:
    the meta object for the containment reference 'Selector'.
  See Also:
    `XSDIdentityConstraintDefinition.getSelector()`, `getXSDIdentityConstraintDefinition()`

### getXSDIdentityConstraintDefinition_Fields

    EReference getXSDIdentityConstraintDefinition_Fields()

  Returns the meta object for the containment reference list '`Fields`'.

  Returns:
    the meta object for the containment reference list 'Fields'.
  See Also:
    `XSDIdentityConstraintDefinition.getFields()`, `getXSDIdentityConstraintDefinition()`

### getXSDImport

    EClass getXSDImport()

  Returns the meta object for class '`Import`'.

  Returns:
    the meta object for class 'Import'.
  See Also:
    `XSDImport`

### getXSDImport_Namespace

    EAttribute getXSDImport_Namespace()

  Returns the meta object for the attribute '`Namespace`'.

  Returns:
    the meta object for the attribute 'Namespace'.
  See Also:
    `XSDImport.getNamespace()`, `getXSDImport()`

### getXSDImport_Annotation

    EReference getXSDImport_Annotation()

  Returns the meta object for the containment reference '`Annotation`'.

  Returns:
    the meta object for the containment reference 'Annotation'.
  See Also:
    `XSDImport.getAnnotation()`, `getXSDImport()`

### getXSDInclude

    EClass getXSDInclude()

  Returns the meta object for class '`Include`'.

  Returns:
    the meta object for class 'Include'.
  See Also:
    `XSDInclude`

### getXSDInclude_Annotation

    EReference getXSDInclude_Annotation()

  Returns the meta object for the containment reference '`Annotation`'.

  Returns:
    the meta object for the containment reference 'Annotation'.
  See Also:
    `XSDInclude.getAnnotation()`, `getXSDInclude()`

### getXSDLengthFacet

    EClass getXSDLengthFacet()

  Returns the meta object for class '`Length Facet`'.

  Returns:
    the meta object for class 'Length Facet'.
  See Also:
    `XSDLengthFacet`

### getXSDLengthFacet_Value

    EAttribute getXSDLengthFacet_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `XSDLengthFacet.getValue()`, `getXSDLengthFacet()`

### getXSDMaxExclusiveFacet

    EClass getXSDMaxExclusiveFacet()

  Returns the meta object for class '`Max Exclusive Facet`'.

  Returns:
    the meta object for class 'Max Exclusive Facet'.
  See Also:
    `XSDMaxExclusiveFacet`

### getXSDMaxFacet

    EClass getXSDMaxFacet()

  Returns the meta object for class '`Max Facet`'.

  Returns:
    the meta object for class 'Max Facet'.
  See Also:
    `XSDMaxFacet`

### getXSDMaxFacet_Value

    EAttribute getXSDMaxFacet_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `XSDMaxFacet.getValue()`, `getXSDMaxFacet()`

### getXSDMaxFacet_Inclusive

    EAttribute getXSDMaxFacet_Inclusive()

  Returns the meta object for the attribute '`Inclusive`'.

  Returns:
    the meta object for the attribute 'Inclusive'.
  See Also:
    `XSDMaxFacet.isInclusive()`, `getXSDMaxFacet()`

### getXSDMaxFacet_Exclusive

    EAttribute getXSDMaxFacet_Exclusive()

  Returns the meta object for the attribute '`Exclusive`'.

  Returns:
    the meta object for the attribute 'Exclusive'.
  See Also:
    `XSDMaxFacet.isExclusive()`, `getXSDMaxFacet()`

### getXSDMaxInclusiveFacet

    EClass getXSDMaxInclusiveFacet()

  Returns the meta object for class '`Max Inclusive Facet`'.

  Returns:
    the meta object for class 'Max Inclusive Facet'.
  See Also:
    `XSDMaxInclusiveFacet`

### getXSDMaxLengthFacet

    EClass getXSDMaxLengthFacet()

  Returns the meta object for class '`Max Length Facet`'.

  Returns:
    the meta object for class 'Max Length Facet'.
  See Also:
    `XSDMaxLengthFacet`

### getXSDMaxLengthFacet_Value

    EAttribute getXSDMaxLengthFacet_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `XSDMaxLengthFacet.getValue()`, `getXSDMaxLengthFacet()`

### getXSDMinExclusiveFacet

    EClass getXSDMinExclusiveFacet()

  Returns the meta object for class '`Min Exclusive Facet`'.

  Returns:
    the meta object for class 'Min Exclusive Facet'.
  See Also:
    `XSDMinExclusiveFacet`

### getXSDMinFacet

    EClass getXSDMinFacet()

  Returns the meta object for class '`Min Facet`'.

  Returns:
    the meta object for class 'Min Facet'.
  See Also:
    `XSDMinFacet`

### getXSDMinFacet_Value

    EAttribute getXSDMinFacet_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `XSDMinFacet.getValue()`, `getXSDMinFacet()`

### getXSDMinFacet_Inclusive

    EAttribute getXSDMinFacet_Inclusive()

  Returns the meta object for the attribute '`Inclusive`'.

  Returns:
    the meta object for the attribute 'Inclusive'.
  See Also:
    `XSDMinFacet.isInclusive()`, `getXSDMinFacet()`

### getXSDMinFacet_Exclusive

    EAttribute getXSDMinFacet_Exclusive()

  Returns the meta object for the attribute '`Exclusive`'.

  Returns:
    the meta object for the attribute 'Exclusive'.
  See Also:
    `XSDMinFacet.isExclusive()`, `getXSDMinFacet()`

### getXSDMinInclusiveFacet

    EClass getXSDMinInclusiveFacet()

  Returns the meta object for class '`Min Inclusive Facet`'.

  Returns:
    the meta object for class 'Min Inclusive Facet'.
  See Also:
    `XSDMinInclusiveFacet`

### getXSDMinLengthFacet

    EClass getXSDMinLengthFacet()

  Returns the meta object for class '`Min Length Facet`'.

  Returns:
    the meta object for class 'Min Length Facet'.
  See Also:
    `XSDMinLengthFacet`

### getXSDMinLengthFacet_Value

    EAttribute getXSDMinLengthFacet_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `XSDMinLengthFacet.getValue()`, `getXSDMinLengthFacet()`

### getXSDModelGroup

    EClass getXSDModelGroup()

  Returns the meta object for class '`Model Group`'.

  Returns:
    the meta object for class 'Model Group'.
  See Also:
    `XSDModelGroup`

### getXSDModelGroup_Compositor

    EAttribute getXSDModelGroup_Compositor()

  Returns the meta object for the attribute '`Compositor`'.

  Returns:
    the meta object for the attribute 'Compositor'.
  See Also:
    `XSDModelGroup.getCompositor()`, `getXSDModelGroup()`

### getXSDModelGroup_Annotation

    EReference getXSDModelGroup_Annotation()

  Returns the meta object for the containment reference '`Annotation`'.

  Returns:
    the meta object for the containment reference 'Annotation'.
  See Also:
    `XSDModelGroup.getAnnotation()`, `getXSDModelGroup()`

### getXSDModelGroup_Contents

    EReference getXSDModelGroup_Contents()

  Returns the meta object for the containment reference list '`Contents`'.

  Returns:
    the meta object for the containment reference list 'Contents'.
  See Also:
    `XSDModelGroup.getContents()`, `getXSDModelGroup()`

### getXSDModelGroup_Particles

    EReference getXSDModelGroup_Particles()

  Returns the meta object for the reference list '`Particles`'.

  Returns:
    the meta object for the reference list 'Particles'.
  See Also:
    `XSDModelGroup.getParticles()`, `getXSDModelGroup()`

### getXSDModelGroupDefinition

    EClass getXSDModelGroupDefinition()

  Returns the meta object for class '`Model Group Definition`'.

  Returns:
    the meta object for class 'Model Group Definition'.
  See Also:
    `XSDModelGroupDefinition`

### getXSDModelGroupDefinition_ModelGroupDefinitionReference

    EAttribute getXSDModelGroupDefinition_ModelGroupDefinitionReference()

  Returns the meta object for the attribute '`Model Group Definition Reference`'.

  Returns:
    the meta object for the attribute 'Model Group Definition Reference'.
  See Also:
    `XSDModelGroupDefinition.isModelGroupDefinitionReference()`, `getXSDModelGroupDefinition()`

### getXSDModelGroupDefinition_Annotation

    EReference getXSDModelGroupDefinition_Annotation()

  Returns the meta object for the containment reference '`Annotation`'.

  Returns:
    the meta object for the containment reference 'Annotation'.
  See Also:
    `XSDModelGroupDefinition.getAnnotation()`, `getXSDModelGroupDefinition()`

### getXSDModelGroupDefinition_ModelGroup

    EReference getXSDModelGroupDefinition_ModelGroup()

  Returns the meta object for the containment reference '`Model Group`'.

  Returns:
    the meta object for the containment reference 'Model Group'.
  See Also:
    `XSDModelGroupDefinition.getModelGroup()`, `getXSDModelGroupDefinition()`

### getXSDModelGroupDefinition_ResolvedModelGroupDefinition

    EReference getXSDModelGroupDefinition_ResolvedModelGroupDefinition()

  Returns the meta object for the reference '`Resolved Model Group Definition`'.

  Returns:
    the meta object for the reference 'Resolved Model Group Definition'.
  See Also:
    `XSDModelGroupDefinition.getResolvedModelGroupDefinition()`, `getXSDModelGroupDefinition()`

### getXSDNamedComponent

    EClass getXSDNamedComponent()

  Returns the meta object for class '`Named Component`'.

  Returns:
    the meta object for class 'Named Component'.
  See Also:
    `XSDNamedComponent`

### getXSDNamedComponent_Name

    EAttribute getXSDNamedComponent_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `XSDNamedComponent.getName()`, `getXSDNamedComponent()`

### getXSDNamedComponent_TargetNamespace

    EAttribute getXSDNamedComponent_TargetNamespace()

  Returns the meta object for the attribute '`Target Namespace`'.

  Returns:
    the meta object for the attribute 'Target Namespace'.
  See Also:
    `XSDNamedComponent.getTargetNamespace()`, `getXSDNamedComponent()`

### getXSDNamedComponent_AliasName

    EAttribute getXSDNamedComponent_AliasName()

  Returns the meta object for the attribute '`Alias Name`'.

  Returns:
    the meta object for the attribute 'Alias Name'.
  See Also:
    `XSDNamedComponent.getAliasName()`, `getXSDNamedComponent()`

### getXSDNamedComponent_URI

    EAttribute getXSDNamedComponent_URI()

  Returns the meta object for the attribute '`URI`'.

  Returns:
    the meta object for the attribute 'URI'.
  See Also:
    `XSDNamedComponent.getURI()`, `getXSDNamedComponent()`

### getXSDNamedComponent_AliasURI

    EAttribute getXSDNamedComponent_AliasURI()

  Returns the meta object for the attribute '`Alias URI`'.

  Returns:
    the meta object for the attribute 'Alias URI'.
  See Also:
    `XSDNamedComponent.getAliasURI()`, `getXSDNamedComponent()`

### getXSDNamedComponent_QName

    EAttribute getXSDNamedComponent_QName()

  Returns the meta object for the attribute '`QName`'.

  Returns:
    the meta object for the attribute 'QName'.
  See Also:
    `XSDNamedComponent.getQName()`, `getXSDNamedComponent()`

### getXSDNotationDeclaration

    EClass getXSDNotationDeclaration()

  Returns the meta object for class '`Notation Declaration`'.

  Returns:
    the meta object for class 'Notation Declaration'.
  See Also:
    `XSDNotationDeclaration`

### getXSDNotationDeclaration_SystemIdentifier

    EAttribute getXSDNotationDeclaration_SystemIdentifier()

  Returns the meta object for the attribute '`System Identifier`'.

  Returns:
    the meta object for the attribute 'System Identifier'.
  See Also:
    `XSDNotationDeclaration.getSystemIdentifier()`, `getXSDNotationDeclaration()`

### getXSDNotationDeclaration_PublicIdentifier

    EAttribute getXSDNotationDeclaration_PublicIdentifier()

  Returns the meta object for the attribute '`Public Identifier`'.

  Returns:
    the meta object for the attribute 'Public Identifier'.
  See Also:
    `XSDNotationDeclaration.getPublicIdentifier()`, `getXSDNotationDeclaration()`

### getXSDNotationDeclaration_Annotation

    EReference getXSDNotationDeclaration_Annotation()

  Returns the meta object for the containment reference '`Annotation`'.

  Returns:
    the meta object for the containment reference 'Annotation'.
  See Also:
    `XSDNotationDeclaration.getAnnotation()`, `getXSDNotationDeclaration()`

### getXSDNumericFacet

    EClass getXSDNumericFacet()

  Returns the meta object for class '`Numeric Facet`'.

  Returns:
    the meta object for class 'Numeric Facet'.
  See Also:
    `XSDNumericFacet`

### getXSDNumericFacet_Value

    EAttribute getXSDNumericFacet_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `XSDNumericFacet.isValue()`, `getXSDNumericFacet()`

### getXSDOrderedFacet

    EClass getXSDOrderedFacet()

  Returns the meta object for class '`Ordered Facet`'.

  Returns:
    the meta object for class 'Ordered Facet'.
  See Also:
    `XSDOrderedFacet`

### getXSDOrderedFacet_Value

    EAttribute getXSDOrderedFacet_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `XSDOrderedFacet.getValue()`, `getXSDOrderedFacet()`

### getXSDParticle

    EClass getXSDParticle()

  Returns the meta object for class '`Particle`'.

  Returns:
    the meta object for class 'Particle'.
  See Also:
    `XSDParticle`

### getXSDParticle_MinOccurs

    EAttribute getXSDParticle_MinOccurs()

  Returns the meta object for the attribute '`Min Occurs`'.

  Returns:
    the meta object for the attribute 'Min Occurs'.
  See Also:
    `XSDParticle.getMinOccurs()`, `getXSDParticle()`

### getXSDParticle_MaxOccurs

    EAttribute getXSDParticle_MaxOccurs()

  Returns the meta object for the attribute '`Max Occurs`'.

  Returns:
    the meta object for the attribute 'Max Occurs'.
  See Also:
    `XSDParticle.getMaxOccurs()`, `getXSDParticle()`

### getXSDParticle_Content

    EReference getXSDParticle_Content()

  Returns the meta object for the containment reference '`Content`'.

  Returns:
    the meta object for the containment reference 'Content'.
  See Also:
    `XSDParticle.getContent()`, `getXSDParticle()`

### getXSDParticle_Term

    EReference getXSDParticle_Term()

  Returns the meta object for the reference '`Term`'.

  Returns:
    the meta object for the reference 'Term'.
  See Also:
    `XSDParticle.getTerm()`, `getXSDParticle()`

### getXSDParticleContent

    EClass getXSDParticleContent()

  Returns the meta object for class '`Particle Content`'.

  Returns:
    the meta object for class 'Particle Content'.
  See Also:
    `XSDParticleContent`

### getXSDPatternFacet

    EClass getXSDPatternFacet()

  Returns the meta object for class '`Pattern Facet`'.

  Returns:
    the meta object for class 'Pattern Facet'.
  See Also:
    `XSDPatternFacet`

### getXSDPatternFacet_Value

    EAttribute getXSDPatternFacet_Value()

  Returns the meta object for the attribute list '`Value`'.

  Returns:
    the meta object for the attribute list 'Value'.
  See Also:
    `XSDPatternFacet.getValue()`, `getXSDPatternFacet()`

### getXSDRedefinableComponent

    EClass getXSDRedefinableComponent()

  Returns the meta object for class '`Redefinable Component`'.

  Returns:
    the meta object for class 'Redefinable Component'.
  See Also:
    `XSDRedefinableComponent`

### getXSDRedefinableComponent_Circular

    EAttribute getXSDRedefinableComponent_Circular()

  Returns the meta object for the attribute '`Circular`'.

  Returns:
    the meta object for the attribute 'Circular'.
  See Also:
    `XSDRedefinableComponent.isCircular()`, `getXSDRedefinableComponent()`

### getXSDRedefineContent

    EClass getXSDRedefineContent()

  Returns the meta object for class '`Redefine Content`'.

  Returns:
    the meta object for class 'Redefine Content'.
  See Also:
    `XSDRedefineContent`

### getXSDRedefine

    EClass getXSDRedefine()

  Returns the meta object for class '`Redefine`'.

  Returns:
    the meta object for class 'Redefine'.
  See Also:
    `XSDRedefine`

### getXSDRedefine_Annotations

    EReference getXSDRedefine_Annotations()

  Returns the meta object for the reference list '`Annotations`'.

  Returns:
    the meta object for the reference list 'Annotations'.
  See Also:
    `XSDRedefine.getAnnotations()`, `getXSDRedefine()`

### getXSDRedefine_Contents

    EReference getXSDRedefine_Contents()

  Returns the meta object for the containment reference list '`Contents`'.

  Returns:
    the meta object for the containment reference list 'Contents'.
  See Also:
    `XSDRedefine.getContents()`, `getXSDRedefine()`

### getXSDRepeatableFacet

    EClass getXSDRepeatableFacet()

  Returns the meta object for class '`Repeatable Facet`'.

  Returns:
    the meta object for class 'Repeatable Facet'.
  See Also:
    `XSDRepeatableFacet`

### getXSDRepeatableFacet_Annotations

    EReference getXSDRepeatableFacet_Annotations()

  Returns the meta object for the reference list '`Annotations`'.

  Returns:
    the meta object for the reference list 'Annotations'.
  See Also:
    `XSDRepeatableFacet.getAnnotations()`, `getXSDRepeatableFacet()`

### getXSDSchema

    EClass getXSDSchema()

  Returns the meta object for class '`Schema`'.

  Returns:
    the meta object for class 'Schema'.
  See Also:
    `XSDSchema`

### getXSDSchema_Document

    EAttribute getXSDSchema_Document()

  Returns the meta object for the attribute '`Document`'.

  Returns:
    the meta object for the attribute 'Document'.
  See Also:
    `XSDSchema.getDocument()`, `getXSDSchema()`

### getXSDSchema_SchemaLocation

    EAttribute getXSDSchema_SchemaLocation()

  Returns the meta object for the attribute '`Schema Location`'.

  Returns:
    the meta object for the attribute 'Schema Location'.
  See Also:
    `XSDSchema.getSchemaLocation()`, `getXSDSchema()`

### getXSDSchema_TargetNamespace

    EAttribute getXSDSchema_TargetNamespace()

  Returns the meta object for the attribute '`Target Namespace`'.

  Returns:
    the meta object for the attribute 'Target Namespace'.
  See Also:
    `XSDSchema.getTargetNamespace()`, `getXSDSchema()`

### getXSDSchema_AttributeFormDefault

    EAttribute getXSDSchema_AttributeFormDefault()

  Returns the meta object for the attribute '`Attribute Form Default`'.

  Returns:
    the meta object for the attribute 'Attribute Form Default'.
  See Also:
    `XSDSchema.getAttributeFormDefault()`, `getXSDSchema()`

### getXSDSchema_ElementFormDefault

    EAttribute getXSDSchema_ElementFormDefault()

  Returns the meta object for the attribute '`Element Form Default`'.

  Returns:
    the meta object for the attribute 'Element Form Default'.
  See Also:
    `XSDSchema.getElementFormDefault()`, `getXSDSchema()`

### getXSDSchema_FinalDefault

    EAttribute getXSDSchema_FinalDefault()

  Returns the meta object for the attribute list '`Final Default`'.

  Returns:
    the meta object for the attribute list 'Final Default'.
  See Also:
    `XSDSchema.getFinalDefault()`, `getXSDSchema()`

### getXSDSchema_BlockDefault

    EAttribute getXSDSchema_BlockDefault()

  Returns the meta object for the attribute list '`Block Default`'.

  Returns:
    the meta object for the attribute list 'Block Default'.
  See Also:
    `XSDSchema.getBlockDefault()`, `getXSDSchema()`

### getXSDSchema_Version

    EAttribute getXSDSchema_Version()

  Returns the meta object for the attribute '`Version`'.

  Returns:
    the meta object for the attribute 'Version'.
  See Also:
    `XSDSchema.getVersion()`, `getXSDSchema()`

### getXSDSchema_Contents

    EReference getXSDSchema_Contents()

  Returns the meta object for the containment reference list '`Contents`'.

  Returns:
    the meta object for the containment reference list 'Contents'.
  See Also:
    `XSDSchema.getContents()`, `getXSDSchema()`

### getXSDSchema_ElementDeclarations

    EReference getXSDSchema_ElementDeclarations()

  Returns the meta object for the reference list '`Element Declarations`'.

  Returns:
    the meta object for the reference list 'Element Declarations'.
  See Also:
    `XSDSchema.getElementDeclarations()`, `getXSDSchema()`

### getXSDSchema_AttributeDeclarations

    EReference getXSDSchema_AttributeDeclarations()

  Returns the meta object for the reference list '`Attribute Declarations`'.

  Returns:
    the meta object for the reference list 'Attribute Declarations'.
  See Also:
    `XSDSchema.getAttributeDeclarations()`, `getXSDSchema()`

### getXSDSchema_AttributeGroupDefinitions

    EReference getXSDSchema_AttributeGroupDefinitions()

  Returns the meta object for the reference list '`Attribute Group Definitions`'.

  Returns:
    the meta object for the reference list 'Attribute Group Definitions'.
  See Also:
    `XSDSchema.getAttributeGroupDefinitions()`, `getXSDSchema()`

### getXSDSchema_TypeDefinitions

    EReference getXSDSchema_TypeDefinitions()

  Returns the meta object for the reference list '`Type Definitions`'.

  Returns:
    the meta object for the reference list 'Type Definitions'.
  See Also:
    `XSDSchema.getTypeDefinitions()`, `getXSDSchema()`

### getXSDSchema_ModelGroupDefinitions

    EReference getXSDSchema_ModelGroupDefinitions()

  Returns the meta object for the reference list '`Model Group Definitions`'.

  Returns:
    the meta object for the reference list 'Model Group Definitions'.
  See Also:
    `XSDSchema.getModelGroupDefinitions()`, `getXSDSchema()`

### getXSDSchema_IdentityConstraintDefinitions

    EReference getXSDSchema_IdentityConstraintDefinitions()

  Returns the meta object for the reference list '`Identity Constraint Definitions`'.

  Returns:
    the meta object for the reference list 'Identity Constraint Definitions'.
  See Also:
    `XSDSchema.getIdentityConstraintDefinitions()`, `getXSDSchema()`

### getXSDSchema_NotationDeclarations

    EReference getXSDSchema_NotationDeclarations()

  Returns the meta object for the reference list '`Notation Declarations`'.

  Returns:
    the meta object for the reference list 'Notation Declarations'.
  See Also:
    `XSDSchema.getNotationDeclarations()`, `getXSDSchema()`

### getXSDSchema_Annotations

    EReference getXSDSchema_Annotations()

  Returns the meta object for the reference list '`Annotations`'.

  Returns:
    the meta object for the reference list 'Annotations'.
  See Also:
    `XSDSchema.getAnnotations()`, `getXSDSchema()`

### getXSDSchema_AllDiagnostics

    EReference getXSDSchema_AllDiagnostics()

  Returns the meta object for the reference list '`All Diagnostics`'.

  Returns:
    the meta object for the reference list 'All Diagnostics'.
  See Also:
    `XSDSchema.getAllDiagnostics()`, `getXSDSchema()`

### getXSDSchema_ReferencingDirectives

    EReference getXSDSchema_ReferencingDirectives()

  Returns the meta object for the reference list '`Referencing Directives`'.

  Returns:
    the meta object for the reference list 'Referencing Directives'.
  See Also:
    `XSDSchema.getReferencingDirectives()`, `getXSDSchema()`

### getXSDSchema_RootVersion

    EReference getXSDSchema_RootVersion()

  Returns the meta object for the reference '`Root Version`'.

  Returns:
    the meta object for the reference 'Root Version'.
  See Also:
    `XSDSchema.getRootVersion()`, `getXSDSchema()`

### getXSDSchema_OriginalVersion

    EReference getXSDSchema_OriginalVersion()

  Returns the meta object for the reference '`Original Version`'.

  Returns:
    the meta object for the reference 'Original Version'.
  See Also:
    `XSDSchema.getOriginalVersion()`, `getXSDSchema()`

### getXSDSchema_IncorporatedVersions

    EReference getXSDSchema_IncorporatedVersions()

  Returns the meta object for the containment reference list '`Incorporated Versions`'.

  Returns:
    the meta object for the containment reference list 'Incorporated Versions'.
  See Also:
    `XSDSchema.getIncorporatedVersions()`, `getXSDSchema()`

### getXSDSchema_SchemaForSchema

    EReference getXSDSchema_SchemaForSchema()

  Returns the meta object for the reference '`Schema For Schema`'.

  Returns:
    the meta object for the reference 'Schema For Schema'.
  See Also:
    `XSDSchema.getSchemaForSchema()`, `getXSDSchema()`

### getXSDSchemaCompositor

    EClass getXSDSchemaCompositor()

  Returns the meta object for class '`Schema Compositor`'.

  Returns:
    the meta object for class 'Schema Compositor'.
  See Also:
    `XSDSchemaCompositor`

### getXSDSchemaCompositor_IncorporatedSchema

    EReference getXSDSchemaCompositor_IncorporatedSchema()

  Returns the meta object for the reference '`Incorporated Schema`'.

  Returns:
    the meta object for the reference 'Incorporated Schema'.
  See Also:
    `XSDSchemaCompositor.getIncorporatedSchema()`, `getXSDSchemaCompositor()`

### getXSDSchemaContent

    EClass getXSDSchemaContent()

  Returns the meta object for class '`Schema Content`'.

  Returns:
    the meta object for class 'Schema Content'.
  See Also:
    `XSDSchemaContent`

### getXSDSchemaDirective

    EClass getXSDSchemaDirective()

  Returns the meta object for class '`Schema Directive`'.

  Returns:
    the meta object for class 'Schema Directive'.
  See Also:
    `XSDSchemaDirective`

### getXSDSchemaDirective_SchemaLocation

    EAttribute getXSDSchemaDirective_SchemaLocation()

  Returns the meta object for the attribute '`Schema Location`'.

  Returns:
    the meta object for the attribute 'Schema Location'.
  See Also:
    `XSDSchemaDirective.getSchemaLocation()`, `getXSDSchemaDirective()`

### getXSDSchemaDirective_ResolvedSchema

    EReference getXSDSchemaDirective_ResolvedSchema()

  Returns the meta object for the reference '`Resolved Schema`'.

  Returns:
    the meta object for the reference 'Resolved Schema'.
  See Also:
    `XSDSchemaDirective.getResolvedSchema()`, `getXSDSchemaDirective()`

### getXSDScope

    EClass getXSDScope()

  Returns the meta object for class '`Scope`'.

  Returns:
    the meta object for class 'Scope'.
  See Also:
    `XSDScope`

### getXSDSimpleTypeDefinition

    EClass getXSDSimpleTypeDefinition()

  Returns the meta object for class '`Simple Type Definition`'.

  Returns:
    the meta object for class 'Simple Type Definition'.
  See Also:
    `XSDSimpleTypeDefinition`

### getXSDSimpleTypeDefinition_Variety

    EAttribute getXSDSimpleTypeDefinition_Variety()

  Returns the meta object for the attribute '`Variety`'.

  Returns:
    the meta object for the attribute 'Variety'.
  See Also:
    `XSDSimpleTypeDefinition.getVariety()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_Final

    EAttribute getXSDSimpleTypeDefinition_Final()

  Returns the meta object for the attribute list '`Final`'.

  Returns:
    the meta object for the attribute list 'Final'.
  See Also:
    `XSDSimpleTypeDefinition.getFinal()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_LexicalFinal

    EAttribute getXSDSimpleTypeDefinition_LexicalFinal()

  Returns the meta object for the attribute list '`Lexical Final`'.

  Returns:
    the meta object for the attribute list 'Lexical Final'.
  See Also:
    `XSDSimpleTypeDefinition.getLexicalFinal()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_ValidFacets

    EAttribute getXSDSimpleTypeDefinition_ValidFacets()

  Returns the meta object for the attribute list '`Valid Facets`'.

  Returns:
    the meta object for the attribute list 'Valid Facets'.
  See Also:
    `XSDSimpleTypeDefinition.getValidFacets()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_Contents

    EReference getXSDSimpleTypeDefinition_Contents()

  Returns the meta object for the containment reference list '`Contents`'.

  Returns:
    the meta object for the containment reference list 'Contents'.
  See Also:
    `XSDSimpleTypeDefinition.getContents()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_FacetContents

    EReference getXSDSimpleTypeDefinition_FacetContents()

  Returns the meta object for the containment reference list '`Facet Contents`'.

  Returns:
    the meta object for the containment reference list 'Facet Contents'.
  See Also:
    `XSDSimpleTypeDefinition.getFacetContents()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_Facets

    EReference getXSDSimpleTypeDefinition_Facets()

  Returns the meta object for the reference list '`Facets`'.

  Returns:
    the meta object for the reference list 'Facets'.
  See Also:
    `XSDSimpleTypeDefinition.getFacets()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_MemberTypeDefinitions

    EReference getXSDSimpleTypeDefinition_MemberTypeDefinitions()

  Returns the meta object for the reference list '`Member Type Definitions`'.

  Returns:
    the meta object for the reference list 'Member Type Definitions'.
  See Also:
    `XSDSimpleTypeDefinition.getMemberTypeDefinitions()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_FundamentalFacets

    EReference getXSDSimpleTypeDefinition_FundamentalFacets()

  Returns the meta object for the containment reference list '`Fundamental Facets`'.

  Returns:
    the meta object for the containment reference list 'Fundamental Facets'.
  See Also:
    `XSDSimpleTypeDefinition.getFundamentalFacets()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_BaseTypeDefinition

    EReference getXSDSimpleTypeDefinition_BaseTypeDefinition()

  Returns the meta object for the reference '`Base Type Definition`'.

  Returns:
    the meta object for the reference 'Base Type Definition'.
  See Also:
    `XSDSimpleTypeDefinition.getBaseTypeDefinition()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_PrimitiveTypeDefinition

    EReference getXSDSimpleTypeDefinition_PrimitiveTypeDefinition()

  Returns the meta object for the reference '`Primitive Type Definition`'.

  Returns:
    the meta object for the reference 'Primitive Type Definition'.
  See Also:
    `XSDSimpleTypeDefinition.getPrimitiveTypeDefinition()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_ItemTypeDefinition

    EReference getXSDSimpleTypeDefinition_ItemTypeDefinition()

  Returns the meta object for the reference '`Item Type Definition`'.

  Returns:
    the meta object for the reference 'Item Type Definition'.
  See Also:
    `XSDSimpleTypeDefinition.getItemTypeDefinition()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_RootTypeDefinition

    EReference getXSDSimpleTypeDefinition_RootTypeDefinition()

  Returns the meta object for the reference '`Root Type Definition`'.

  Returns:
    the meta object for the reference 'Root Type Definition'.
  See Also:
    `XSDSimpleTypeDefinition.getRootTypeDefinition()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_MinFacet

    EReference getXSDSimpleTypeDefinition_MinFacet()

  Returns the meta object for the reference '`Min Facet`'.

  Returns:
    the meta object for the reference 'Min Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getMinFacet()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_MaxFacet

    EReference getXSDSimpleTypeDefinition_MaxFacet()

  Returns the meta object for the reference '`Max Facet`'.

  Returns:
    the meta object for the reference 'Max Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getMaxFacet()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_MaxInclusiveFacet

    EReference getXSDSimpleTypeDefinition_MaxInclusiveFacet()

  Returns the meta object for the reference '`Max Inclusive Facet`'.

  Returns:
    the meta object for the reference 'Max Inclusive Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getMaxInclusiveFacet()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_MinInclusiveFacet

    EReference getXSDSimpleTypeDefinition_MinInclusiveFacet()

  Returns the meta object for the reference '`Min Inclusive Facet`'.

  Returns:
    the meta object for the reference 'Min Inclusive Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getMinInclusiveFacet()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_MinExclusiveFacet

    EReference getXSDSimpleTypeDefinition_MinExclusiveFacet()

  Returns the meta object for the reference '`Min Exclusive Facet`'.

  Returns:
    the meta object for the reference 'Min Exclusive Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getMinExclusiveFacet()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_MaxExclusiveFacet

    EReference getXSDSimpleTypeDefinition_MaxExclusiveFacet()

  Returns the meta object for the reference '`Max Exclusive Facet`'.

  Returns:
    the meta object for the reference 'Max Exclusive Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getMaxExclusiveFacet()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_LengthFacet

    EReference getXSDSimpleTypeDefinition_LengthFacet()

  Returns the meta object for the reference '`Length Facet`'.

  Returns:
    the meta object for the reference 'Length Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getLengthFacet()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_WhiteSpaceFacet

    EReference getXSDSimpleTypeDefinition_WhiteSpaceFacet()

  Returns the meta object for the reference '`White Space Facet`'.

  Returns:
    the meta object for the reference 'White Space Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getWhiteSpaceFacet()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_EnumerationFacets

    EReference getXSDSimpleTypeDefinition_EnumerationFacets()

  Returns the meta object for the reference list '`Enumeration Facets`'.

  Returns:
    the meta object for the reference list 'Enumeration Facets'.
  See Also:
    `XSDSimpleTypeDefinition.getEnumerationFacets()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_PatternFacets

    EReference getXSDSimpleTypeDefinition_PatternFacets()

  Returns the meta object for the reference list '`Pattern Facets`'.

  Returns:
    the meta object for the reference list 'Pattern Facets'.
  See Also:
    `XSDSimpleTypeDefinition.getPatternFacets()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_CardinalityFacet

    EReference getXSDSimpleTypeDefinition_CardinalityFacet()

  Returns the meta object for the reference '`Cardinality Facet`'.

  Returns:
    the meta object for the reference 'Cardinality Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getCardinalityFacet()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_NumericFacet

    EReference getXSDSimpleTypeDefinition_NumericFacet()

  Returns the meta object for the reference '`Numeric Facet`'.

  Returns:
    the meta object for the reference 'Numeric Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getNumericFacet()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_MaxLengthFacet

    EReference getXSDSimpleTypeDefinition_MaxLengthFacet()

  Returns the meta object for the reference '`Max Length Facet`'.

  Returns:
    the meta object for the reference 'Max Length Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getMaxLengthFacet()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_MinLengthFacet

    EReference getXSDSimpleTypeDefinition_MinLengthFacet()

  Returns the meta object for the reference '`Min Length Facet`'.

  Returns:
    the meta object for the reference 'Min Length Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getMinLengthFacet()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_TotalDigitsFacet

    EReference getXSDSimpleTypeDefinition_TotalDigitsFacet()

  Returns the meta object for the reference '`Total Digits Facet`'.

  Returns:
    the meta object for the reference 'Total Digits Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getTotalDigitsFacet()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_FractionDigitsFacet

    EReference getXSDSimpleTypeDefinition_FractionDigitsFacet()

  Returns the meta object for the reference '`Fraction Digits Facet`'.

  Returns:
    the meta object for the reference 'Fraction Digits Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getFractionDigitsFacet()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_OrderedFacet

    EReference getXSDSimpleTypeDefinition_OrderedFacet()

  Returns the meta object for the reference '`Ordered Facet`'.

  Returns:
    the meta object for the reference 'Ordered Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getOrderedFacet()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_BoundedFacet

    EReference getXSDSimpleTypeDefinition_BoundedFacet()

  Returns the meta object for the reference '`Bounded Facet`'.

  Returns:
    the meta object for the reference 'Bounded Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getBoundedFacet()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_EffectiveMaxFacet

    EReference getXSDSimpleTypeDefinition_EffectiveMaxFacet()

  Returns the meta object for the reference '`Effective Max Facet`'.

  Returns:
    the meta object for the reference 'Effective Max Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getEffectiveMaxFacet()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_EffectiveWhiteSpaceFacet

    EReference getXSDSimpleTypeDefinition_EffectiveWhiteSpaceFacet()

  Returns the meta object for the reference '`Effective White Space Facet`'.

  Returns:
    the meta object for the reference 'Effective White Space Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getEffectiveWhiteSpaceFacet()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_EffectiveMaxLengthFacet

    EReference getXSDSimpleTypeDefinition_EffectiveMaxLengthFacet()

  Returns the meta object for the reference '`Effective Max Length Facet`'.

  Returns:
    the meta object for the reference 'Effective Max Length Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getEffectiveMaxLengthFacet()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_EffectiveFractionDigitsFacet

    EReference getXSDSimpleTypeDefinition_EffectiveFractionDigitsFacet()

  Returns the meta object for the reference '`Effective Fraction Digits Facet`'.

  Returns:
    the meta object for the reference 'Effective Fraction Digits Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getEffectiveFractionDigitsFacet()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_EffectivePatternFacet

    EReference getXSDSimpleTypeDefinition_EffectivePatternFacet()

  Returns the meta object for the reference '`Effective Pattern Facet`'.

  Returns:
    the meta object for the reference 'Effective Pattern Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getEffectivePatternFacet()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_EffectiveEnumerationFacet

    EReference getXSDSimpleTypeDefinition_EffectiveEnumerationFacet()

  Returns the meta object for the reference '`Effective Enumeration Facet`'.

  Returns:
    the meta object for the reference 'Effective Enumeration Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getEffectiveEnumerationFacet()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_EffectiveTotalDigitsFacet

    EReference getXSDSimpleTypeDefinition_EffectiveTotalDigitsFacet()

  Returns the meta object for the reference '`Effective Total Digits Facet`'.

  Returns:
    the meta object for the reference 'Effective Total Digits Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getEffectiveTotalDigitsFacet()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_EffectiveMinLengthFacet

    EReference getXSDSimpleTypeDefinition_EffectiveMinLengthFacet()

  Returns the meta object for the reference '`Effective Min Length Facet`'.

  Returns:
    the meta object for the reference 'Effective Min Length Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getEffectiveMinLengthFacet()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_EffectiveLengthFacet

    EReference getXSDSimpleTypeDefinition_EffectiveLengthFacet()

  Returns the meta object for the reference '`Effective Length Facet`'.

  Returns:
    the meta object for the reference 'Effective Length Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getEffectiveLengthFacet()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_EffectiveMinFacet

    EReference getXSDSimpleTypeDefinition_EffectiveMinFacet()

  Returns the meta object for the reference '`Effective Min Facet`'.

  Returns:
    the meta object for the reference 'Effective Min Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getEffectiveMinFacet()`, `getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_SyntheticFacets

    EReference getXSDSimpleTypeDefinition_SyntheticFacets()

  Returns the meta object for the containment reference list '`Synthetic Facets`'.

  Returns:
    the meta object for the containment reference list 'Synthetic Facets'.
  See Also:
    `XSDSimpleTypeDefinition.getSyntheticFacets()`, `getXSDSimpleTypeDefinition()`

### getXSDTerm

    EClass getXSDTerm()

  Returns the meta object for class '`Term`'.

  Returns:
    the meta object for class 'Term'.
  See Also:
    `XSDTerm`

### getXSDTotalDigitsFacet

    EClass getXSDTotalDigitsFacet()

  Returns the meta object for class '`Total Digits Facet`'.

  Returns:
    the meta object for class 'Total Digits Facet'.
  See Also:
    `XSDTotalDigitsFacet`

### getXSDTotalDigitsFacet_Value

    EAttribute getXSDTotalDigitsFacet_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `XSDTotalDigitsFacet.getValue()`, `getXSDTotalDigitsFacet()`

### getXSDTypeDefinition

    EClass getXSDTypeDefinition()

  Returns the meta object for class '`Type Definition`'.

  Returns:
    the meta object for class 'Type Definition'.
  See Also:
    `XSDTypeDefinition`

### getXSDTypeDefinition_Annotation

    EReference getXSDTypeDefinition_Annotation()

  Returns the meta object for the containment reference '`Annotation`'.

  Returns:
    the meta object for the containment reference 'Annotation'.
  See Also:
    `XSDTypeDefinition.getAnnotation()`, `getXSDTypeDefinition()`

### getXSDTypeDefinition_DerivationAnnotation

    EReference getXSDTypeDefinition_DerivationAnnotation()

  Returns the meta object for the containment reference '`Derivation Annotation`'.

  Returns:
    the meta object for the containment reference 'Derivation Annotation'.
  See Also:
    `XSDTypeDefinition.getDerivationAnnotation()`, `getXSDTypeDefinition()`

### getXSDTypeDefinition_Annotations

    EReference getXSDTypeDefinition_Annotations()

  Returns the meta object for the reference list '`Annotations`'.

  Returns:
    the meta object for the reference list 'Annotations'.
  See Also:
    `XSDTypeDefinition.getAnnotations()`, `getXSDTypeDefinition()`

### getXSDTypeDefinition_RootType

    EReference getXSDTypeDefinition_RootType()

  Returns the meta object for the reference '`Root Type`'.

  Returns:
    the meta object for the reference 'Root Type'.
  See Also:
    `XSDTypeDefinition.getRootType()`, `getXSDTypeDefinition()`

### getXSDTypeDefinition_BaseType

    EReference getXSDTypeDefinition_BaseType()

  Returns the meta object for the reference '`Base Type`'.

  Returns:
    the meta object for the reference 'Base Type'.
  See Also:
    `XSDTypeDefinition.getBaseType()`, `getXSDTypeDefinition()`

### getXSDTypeDefinition_SimpleType

    EReference getXSDTypeDefinition_SimpleType()

  Returns the meta object for the reference '`Simple Type`'.

  Returns:
    the meta object for the reference 'Simple Type'.
  See Also:
    `XSDTypeDefinition.getSimpleType()`, `getXSDTypeDefinition()`

### getXSDTypeDefinition_ComplexType

    EReference getXSDTypeDefinition_ComplexType()

  Returns the meta object for the reference '`Complex Type`'.

  Returns:
    the meta object for the reference 'Complex Type'.
  See Also:
    `XSDTypeDefinition.getComplexType()`, `getXSDTypeDefinition()`

### getXSDWhiteSpaceFacet

    EClass getXSDWhiteSpaceFacet()

  Returns the meta object for class '`White Space Facet`'.

  Returns:
    the meta object for class 'White Space Facet'.
  See Also:
    `XSDWhiteSpaceFacet`

### getXSDWhiteSpaceFacet_Value

    EAttribute getXSDWhiteSpaceFacet_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `XSDWhiteSpaceFacet.getValue()`, `getXSDWhiteSpaceFacet()`

### getXSDWildcard

    EClass getXSDWildcard()

  Returns the meta object for class '`Wildcard`'.

  Returns:
    the meta object for class 'Wildcard'.
  See Also:
    `XSDWildcard`

### getXSDWildcard_NamespaceConstraintCategory

    EAttribute getXSDWildcard_NamespaceConstraintCategory()

  Returns the meta object for the attribute '`Namespace Constraint Category`'.

  Returns:
    the meta object for the attribute 'Namespace Constraint Category'.
  See Also:
    `XSDWildcard.getNamespaceConstraintCategory()`, `getXSDWildcard()`

### getXSDWildcard_NamespaceConstraint

    EAttribute getXSDWildcard_NamespaceConstraint()

  Returns the meta object for the attribute list '`Namespace Constraint`'.

  Returns:
    the meta object for the attribute list 'Namespace Constraint'.
  See Also:
    `XSDWildcard.getNamespaceConstraint()`, `getXSDWildcard()`

### getXSDWildcard_ProcessContents

    EAttribute getXSDWildcard_ProcessContents()

  Returns the meta object for the attribute '`Process Contents`'.

  Returns:
    the meta object for the attribute 'Process Contents'.
  See Also:
    `XSDWildcard.getProcessContents()`, `getXSDWildcard()`

### getXSDWildcard_LexicalNamespaceConstraint

    EAttribute getXSDWildcard_LexicalNamespaceConstraint()

  Returns the meta object for the attribute list '`Lexical Namespace Constraint`'.

  Returns:
    the meta object for the attribute list 'Lexical Namespace Constraint'.
  See Also:
    `XSDWildcard.getLexicalNamespaceConstraint()`, `getXSDWildcard()`

### getXSDWildcard_Annotation

    EReference getXSDWildcard_Annotation()

  Returns the meta object for the containment reference '`Annotation`'.

  Returns:
    the meta object for the containment reference 'Annotation'.
  See Also:
    `XSDWildcard.getAnnotation()`, `getXSDWildcard()`

### getXSDWildcard_Annotations

    EReference getXSDWildcard_Annotations()

  Returns the meta object for the reference list '`Annotations`'.

  Returns:
    the meta object for the reference list 'Annotations'.
  See Also:
    `XSDWildcard.getAnnotations()`, `getXSDWildcard()`

### getXSDXPathDefinition

    EClass getXSDXPathDefinition()

  Returns the meta object for class '`XPath Definition`'.

  Returns:
    the meta object for class 'XPath Definition'.
  See Also:
    `XSDXPathDefinition`

### getXSDXPathDefinition_Variety

    EAttribute getXSDXPathDefinition_Variety()

  Returns the meta object for the attribute '`Variety`'.

  Returns:
    the meta object for the attribute 'Variety'.
  See Also:
    `XSDXPathDefinition.getVariety()`, `getXSDXPathDefinition()`

### getXSDXPathDefinition_Value

    EAttribute getXSDXPathDefinition_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `XSDXPathDefinition.getValue()`, `getXSDXPathDefinition()`

### getXSDXPathDefinition_Annotation

    EReference getXSDXPathDefinition_Annotation()

  Returns the meta object for the containment reference '`Annotation`'.

  Returns:
    the meta object for the containment reference 'Annotation'.
  See Also:
    `XSDXPathDefinition.getAnnotation()`, `getXSDXPathDefinition()`

### getXSDAttributeUseCategory

    EEnum getXSDAttributeUseCategory()

  Returns the meta object for enum '`Attribute Use Category`'.

  Returns:
    the meta object for enum 'Attribute Use Category'.
  See Also:
    `XSDAttributeUseCategory`

### getXSDCardinality

    EEnum getXSDCardinality()

  Returns the meta object for enum '`Cardinality`'.

  Returns:
    the meta object for enum 'Cardinality'.
  See Also:
    `XSDCardinality`

### getXSDComplexFinal

    EEnum getXSDComplexFinal()

  Returns the meta object for enum '`Complex Final`'.

  Returns:
    the meta object for enum 'Complex Final'.
  See Also:
    `XSDComplexFinal`

### getXSDCompositor

    EEnum getXSDCompositor()

  Returns the meta object for enum '`Compositor`'.

  Returns:
    the meta object for enum 'Compositor'.
  See Also:
    `XSDCompositor`

### getXSDConstraint

    EEnum getXSDConstraint()

  Returns the meta object for enum '`Constraint`'.

  Returns:
    the meta object for enum 'Constraint'.
  See Also:
    `XSDConstraint`

### getXSDContentTypeCategory

    EEnum getXSDContentTypeCategory()

  Returns the meta object for enum '`Content Type Category`'.

  Returns:
    the meta object for enum 'Content Type Category'.
  See Also:
    `XSDContentTypeCategory`

### getXSDDerivationMethod

    EEnum getXSDDerivationMethod()

  Returns the meta object for enum '`Derivation Method`'.

  Returns:
    the meta object for enum 'Derivation Method'.
  See Also:
    `XSDDerivationMethod`

### getXSDDiagnosticSeverity

    EEnum getXSDDiagnosticSeverity()

  Returns the meta object for enum '`Diagnostic Severity`'.

  Returns:
    the meta object for enum 'Diagnostic Severity'.
  See Also:
    `XSDDiagnosticSeverity`

### getXSDDisallowedSubstitutions

    EEnum getXSDDisallowedSubstitutions()

  Returns the meta object for enum '`Disallowed Substitutions`'.

  Returns:
    the meta object for enum 'Disallowed Substitutions'.
  See Also:
    `XSDDisallowedSubstitutions`

### getXSDForm

    EEnum getXSDForm()

  Returns the meta object for enum '`Form`'.

  Returns:
    the meta object for enum 'Form'.
  See Also:
    `XSDForm`

### getXSDIdentityConstraintCategory

    EEnum getXSDIdentityConstraintCategory()

  Returns the meta object for enum '`Identity Constraint Category`'.

  Returns:
    the meta object for enum 'Identity Constraint Category'.
  See Also:
    `XSDIdentityConstraintCategory`

### getXSDNamespaceConstraintCategory

    EEnum getXSDNamespaceConstraintCategory()

  Returns the meta object for enum '`Namespace Constraint Category`'.

  Returns:
    the meta object for enum 'Namespace Constraint Category'.
  See Also:
    `XSDNamespaceConstraintCategory`

### getXSDOrdered

    EEnum getXSDOrdered()

  Returns the meta object for enum '`Ordered`'.

  Returns:
    the meta object for enum 'Ordered'.
  See Also:
    `XSDOrdered`

### getXSDProcessContents

    EEnum getXSDProcessContents()

  Returns the meta object for enum '`Process Contents`'.

  Returns:
    the meta object for enum 'Process Contents'.
  See Also:
    `XSDProcessContents`

### getXSDProhibitedSubstitutions

    EEnum getXSDProhibitedSubstitutions()

  Returns the meta object for enum '`Prohibited Substitutions`'.

  Returns:
    the meta object for enum 'Prohibited Substitutions'.
  See Also:
    `XSDProhibitedSubstitutions`

### getXSDSimpleFinal

    EEnum getXSDSimpleFinal()

  Returns the meta object for enum '`Simple Final`'.

  Returns:
    the meta object for enum 'Simple Final'.
  See Also:
    `XSDSimpleFinal`

### getXSDSubstitutionGroupExclusions

    EEnum getXSDSubstitutionGroupExclusions()

  Returns the meta object for enum '`Substitution Group Exclusions`'.

  Returns:
    the meta object for enum 'Substitution Group Exclusions'.
  See Also:
    `XSDSubstitutionGroupExclusions`

### getXSDVariety

    EEnum getXSDVariety()

  Returns the meta object for enum '`Variety`'.

  Returns:
    the meta object for enum 'Variety'.
  See Also:
    `XSDVariety`

### getXSDWhiteSpace

    EEnum getXSDWhiteSpace()

  Returns the meta object for enum '`White Space`'.

  Returns:
    the meta object for enum 'White Space'.
  See Also:
    `XSDWhiteSpace`

### getXSDXPathVariety

    EEnum getXSDXPathVariety()

  Returns the meta object for enum '`XPath Variety`'.

  Returns:
    the meta object for enum 'XPath Variety'.
  See Also:
    `XSDXPathVariety`

### getDOMAttr

    EDataType getDOMAttr()

  Returns the meta object for data type '`DOM Attr`'.

  Returns:
    the meta object for data type 'DOM Attr'.
  See Also:
    `Attr`

### getDOMDocument

    EDataType getDOMDocument()

  Returns the meta object for data type '`DOM Document`'.

  Returns:
    the meta object for data type 'DOM Document'.
  See Also:
    `Document`

### getDOMElement

    EDataType getDOMElement()

  Returns the meta object for data type '`DOM Element`'.

  Returns:
    the meta object for data type 'DOM Element'.
  See Also:
    `Element`

### getDOMNode

    EDataType getDOMNode()

  Returns the meta object for data type '`DOM Node`'.

  Returns:
    the meta object for data type 'DOM Node'.
  See Also:
    `Node`

### getValue

    EDataType getValue()

  Returns the meta object for data type '`Value`'.

  Returns:
    the meta object for data type 'Value'.
  See Also:
    `Object`

### getXSDFactory

    XSDFactory getXSDFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.